<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  support_messages.php                                     ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// støttemeldinger
	define("SUPPORT_TITLE", "Støtteavdeling");
	define("SUPPORT_REQUEST_INF_TITLE", "Be om informasjon");
	define("SUPPORT_REPLY_FORM_TITLE", "Svar");
	define("SUPPORT_SHORT_TITLE", "Support");

	define("MY_SUPPORT_ISSUES_MSG", "Mine støttesaker");
	define("MY_SUPPORT_ISSUES_DESC", "Hvis du opplever problemer med varen du har kjøpt, er vår støtteavdeling klar for å hjelpe deg.  Ved å trykke på lenken ovenfor kan du kontakte oss og opprette en støttesak.");
	define("NEW_SUPPORT_REQUEST_MSG", "Ny forespørsel");
	define("SUPPORT_REQUEST_ADDED_MSG", "Takk<br>Vår supportavdeling vil hjelpe deg så fort som mulig.");
	define("SUPPORT_SELECT_DEP_MSG", "Velg avdeling");
	define("SUPPORT_SELECT_PROD_MSG", "Velg produkt");
	define("SUPPORT_SELECT_STATUS_MSG", "Velg status");
	define("SUPPORT_NOT_VIEWED_MSG", "Ikke sett");
	define("SUPPORT_VIEWED_BY_USER_MSG", "Sett av kunde");
	define("SUPPORT_VIEWED_BY_ADMIN_MSG", "Sett av administrator");
	define("SUPPORT_STATUS_NEW_MSG", "Ny");
	define("NO_SUPPORT_REQUEST_MSG", "Ingen utgivelser ble funnet");

	define("SUPPORT_SUMMARY_COLUMN", "Oppsummering");
	define("SUPPORT_TYPE_COLUMN", "Type");
	define("SUPPORT_UPDATED_COLUMN", "Sist oppdatert");

	define("SUPPORT_USER_NAME_FIELD", "Ditt navn");
	define("SUPPORT_USER_EMAIL_FIELD", "Din e-mail adresse");
	define("SUPPORT_IDENTIFIER_FIELD", "Identifikator (Faktura #)");
	define("SUPPORT_ENVIRONMENT_FIELD", "Omgivelse (OS, Database, Web Server, etc.)");
	define("SUPPORT_DEPARTMENT_FIELD", "Avdeling");
	define("SUPPORT_PRODUCT_FIELD", "Vare");
	define("SUPPORT_TYPE_FIELD", "Type");
	define("SUPPORT_CURRENT_STATUS_FIELD", "Foreløpig status");
	define("SUPPORT_SUMMARY_FIELD", "Oppsummering på en linje");
	define("SUPPORT_DESCRIPTION_FIELD", "Beskrivelse");
	define("SUPPORT_MESSAGE_FIELD", "Melding");
	define("SUPPORT_ADDED_FIELD", "Lagt til");
	define("SUPPORT_ADDED_BY_FIELD", "Lagt til av");
	define("SUPPORT_UPDATED_FIELD", "Sist oppdatert");

	define("SUPPORT_REQUEST_BUTTON", "Send forspørsel");
	                                    
	define("SUPPORT_MISS_ID_ERROR", "Mangler <b>Support ID</b> parameter");
	define("SUPPORT_MISS_CODE_ERROR", "Mangler <b>Verification</b> parameter");
	define("SUPPORT_WRONG_ID_ERROR", "<b>Support ID</b> parameter har feil verdi");
	define("SUPPORT_WRONG_CODE_ERROR", "<b>Verification</b> parameter har feil verdi");

	define("MAIL_DATA_MSG", "Postdata");
	define("HEADERS_MSG", "Topper");
	define("ORIGINAL_TEXT_MSG", "Original tekst");
	define("ORIGINAL_HTML_MSG", "Original HTML");
	define("CLOSE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to close tickets.<br>");
	define("REPLY_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to reply tickets.<br>");
	define("CREATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to create new tickets.<br>");
	define("REMOVE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to remove tickets.<br>");
	define("UPDATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to update tickets.<br>");
	define("NO_TICKETS_FOUND_MSG", "No tickets were found.");
	define("HIDDEN_TICKETS_MSG", "Hidden Tickets");
	define("ALL_TICKETS_MSG", "All Tickets");
	define("ACTIVE_TICKETS_MSG", "Active Tickets");
	define("NOT_ASSIGNED_THIS_DEP_MSG", "You are not assigned to this department.");
	define("NOT_ASSIGNED_ANY_DEP_MSG", "You are not assigned to any department.");
	define("REPLY_TO_NAME_MSG", "Reply to {name}");
	define("KNOWLEDGE_CATEGORY_MSG", "Knowledge Category");
	define("KNOWLEDGE_TITLE_MSG", "Knowledge Title");
	define("KNOWLEDGE_ARTICLE_STATUS_MSG", "Knowledge Article Status");
	define("SELECT_RESPONSIBLE_MSG", "Select Responsible");
	//ticket types
	define("TICKET_BUG_ISSUE_MSG", "Bug/Issue");
	define("TICKET_QUESTION_MSG", "Question");
	define("TICKET_WISH_REQUEST_MSG", "Wish/Request");
	define("TICKET_OTHER_MSG", "Other");
	define("TICKET_QUOTE_MSG", "Quote");
	//ticket statuses
	define("TICKET_NEW_MSG", "New");
	define("TICKET_ANSWERED_MSG", "Answered");
	define("TICKET_REQUEST_INFO_MSG", "Request More Information");
	define("TICKET_INVESTIGATING_MSG", "Investigating");
	define("TICKET_CLOSED_MSG", "Closed");
	define("TICKET_ASSIGNED_MANAGER_MSG", "Assigned to Manager");
	define("TICKET_CUSOMER_REPLY_MSG", "Customer Reply");
	define("TICKET_ADDED_KB_MSG", "Added to Knowledge Base ");

	define("CHATS_MSG", "Chats");
	define("START_CHATTING_MSG", "Start Chatting");
	define("SUPPORT_LIVE_MSG", "Live Support");
	define("SUPPORT_ONLINE_DESC", "Hello, we are online, <br />click here to start chatting");
	define("SUPPORT_OFFLINE_DESC", "Sorry, we are offline, <br />click here to send us message");
	define("CHATS_WAITING_MSG", "<b>{number}</b> chats waiting");
	define("CHAT_QUESTION_MSG", "Question");
	define("INCOMING_REQUESTS_MSG", "{number} incomming requests");
	define("YOUR_STATUS_MSG", "Your status:");
	define("NO_CHATS_WAITING_MSG", "There are no users waiting to chat.");
	define("WAITING_MSG", "Waiting");
	define("CHATTING_MSG", "Chatting");
	define("EXIT_CHAT_MSG", "Exit Chat");
	define("CLOSE_CHAT_MSG", "Close Chat");
	define("CLOSE_CHAT_QST", "Whould you like to close this chat?");
	define("CHAT_SYSTEM_MSG", "System");
	define("USER_JOINED_CHAT_MSG", "{name} has joined chat.");
	define("USER_CLOSED_CHAT_MSG", "{name} has closed chat.");
	define("CHAT_AUTO_CLOSED_MSG", "Chat has been closed automatically due to inactivity.");

?>