<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// installation messages
	define("INSTALL_TITLE", "ViArt SHOP Kurulumu");

	define("INSTALL_STEP_1_TITLE", "Kurulum: Adım 1");
	define("INSTALL_STEP_1_DESC", "ViArt SHOP 'u seçtiğiniz için teşekkür ederiz. Kurulum işlemini tamamlamak için lütfen aşağıda istenen bilgileri doldurunuz. Unutmayınız ki seçtiğiniz veri tabanı  önceden kurulmuş olmalıdır.  MS Access gibi bir ODBC kullanan veri tabanı kuruyorsanız , işleme devam etmeden, öncelikle bir DSN oluşturmanız gerekir.");
	define("INSTALL_STEP_2_TITLE", "Kurulum: Adım 2");
	define("INSTALL_STEP_2_DESC", "");
	define("INSTALL_STEP_3_TITLE", "Kurulum: Adım 3");
	define("INSTALL_STEP_3_DESC", "Lütfen bir site planı seçiniz, sonradan planı değiştirebilirsiniz.");
	define("INSTALL_FINAL_TITLE", "Kurulum: Son Adım");
	define("SELECT_DATE_TITLE", "Tarih Formatını Seç");

	define("DB_SETTINGS_MSG", "Veri tabanı Ayarları");
	define("DB_PROGRESS_MSG", "Database yapılandırma işlemi.");
	define("SELECT_PHP_LIB_MSG", "PHP Kitaplığı Seç");
	define("SELECT_DB_TYPE_MSG", "Veritabanı Tipi Seç");
	define("ADMIN_SETTINGS_MSG", "Yönetim Ayarları");
	define("DATE_SETTINGS_MSG", "Tarih Formatları");
	define("NO_DATE_FORMATS_MSG", "Mevcut tarih formatı yok");
	define("INSTALL_FINISHED_MSG", "Bu noktada ana kurulumunuz tamamlanmış bulunuyor. Lütfen yönetim bölümü ayarlarını kontrol ettiğinizden ve gerekli değişiklikleri yaptığınızdan emin olun.");
	define("ACCESS_ADMIN_MSG", "Yönetim bölümüne ulaşmak için buraya tıklayınız.");
	define("ADMIN_URL_MSG", "Yönetim URL");
	define("MANUAL_URL_MSG", "Kılavuz URL");
	define("THANKS_MSG", "<b>ViArt SHOP</b> u seçtiğiniz için teşekkür ederiz.");

	define("DB_TYPE_FIELD", "Veri tabanı tipi");
	define("DB_TYPE_DESC", "Kullandığınız <b>veritabanının</b>tipini seçiniz. SQL Server veya Microsoft Access kullanıyorsanız ODBC'yi seçin.");
	define("DB_PHP_LIB_FIELD", "PHP Kitaplığı");
	define("DB_HOST_FIELD", "Hostname");
	define("DB_HOST_DESC", "ViArt veritabanınızın çalışacağı sunucunun <b>ad</b>nı veya <b>IP adresi</b>ni giriniz. Veritabanınızı yerel PC'nizde çalıştıyorsanız, bunu \"<b>localhost</b>\" şeklinde ve portu da boş olarak bırakabilirsiniz. Hosting firmasının veritabanını kullanmanız halinde, sunucu ayarları için firmanın belgelerine başvurun.");
	define("DB_PORT_FIELD", "Port");
	define("DB_NAME_FIELD", "Veritabanı Adı / DSN");
	define("DB_NAME_DESC", "MySQL veya PostgreSQL gibi bir veritabanı kullanıyorsanız, ViArt'ın tabloları oluşturmasını istediğiniz <b>veritabanının adı</>nı girin. Bu veritabanı mutlaka mevcut olmalıdır. Eğer ViArt'ı yerel PC'nize deneme amacıyla kuruyorsanız, çoğu sistemde hazır bulunan bir \"<b>test</b>\" veritabanının olmaması durumunda, \"viart\" adıyla bir tane oluşturun. Ama eğer Microsoft Access veya SQL Server kullanıyorsanız, bu durumda Veritabanının Adı, Kontrol Paneli'nin Veri kaynakları (ODBC) bölümünde kurmuş olduğunuz <b>DSN'nin adı</b> olmalıdır.");
	define("DB_USER_FIELD", "Kullanıcı Adı");
	define("DB_PASS_FIELD", "Şifre");
	define("DB_USER_PASS_DESC", "Veritabanı <b>Kullanıcı adı</b> ve <b>Şifresini</b> giriniz.");
	define("DB_PERSISTENT_FIELD", "Kalıcı (persistent) bağlantı");
	define("DB_PERSISTENT_DESC", "MySQL yahut Postgre gibi sürekli bağlantı kullanmak için kutuyu işaretleyin. Bu konuda bilginiz yoksa, kutuyu boş bırakın.");
	define("DB_CREATE_DB_FIELD", "Veritabanı Oluştur");
	define("DB_CREATE_DB_DESC", "Veritabanı oluşturmak mümkünse, bu kutuyu işaretleyin. Sadece MySQL ve PostgreSQL için geçerlidir.");
	define("DB_POPULATE_FIELD", "Populate DB");
	define("DB_POPULATE_DESC", "veritabanı tablo yapısını oluşturmak ve içine veri yazmak için kutuyu işaretleyin");
	define("DB_TEST_DATA_FIELD", "Test Data");
	define("DB_TEST_DATA_DESC", "veritabanınıza test verisi eklemek için kutuyu işaretleyin");
	define("ADMIN_EMAIL_FIELD", "Yönetici E-posta");
	define("ADMIN_LOGIN_FIELD", "Yönetici girişi");
	define("ADMIN_PASS_FIELD", "Admin Şifre");
	define("ADMIN_CONF_FIELD", "Şifre Doğrula");
	define("DATETIME_SHOWN_FIELD", "Tarih Zaman Formatı (sitede görülecek)");
	define("DATE_SHOWN_FIELD", "Tarih Formatı (sitede görülecek)");
	define("DATETIME_EDIT_FIELD", "Tarih Zaman Formatı (for editing)");
	define("DATE_EDIT_FIELD", "Tarih Formatı (for editing)");
	define("DATE_FORMAT_COLUMN", "Tarih Formatı");

	define("DB_LIBRARY_ERROR", "PHP fonksiyonları {db_library} için belirlenmemiş. Lütfen configuration file - php.ini database ayarlarını kontrol ediniz.");
	define("DB_CONNECT_ERROR", "Database 'e ulaşılamıyor. Lütfen database parametrelerini kontrol edip tekrar deneyiniz.");
	define("INSTALL_FINISHED_ERROR", "Kurulum tamamlandı.");
	define("WRITE_FILE_ERROR", "<b>'includes/var_definition.php'</b> dosyası yazılabilir değil. Devam etmeden önce CHMOD ayarlarını düzeltiniz.");
	define("WRITE_DIR_ERROR", "<b>'includes'</b> klasörü yazılabilir değil. Devam etmeden önce CHMOD ayarlarını düzeltiniz.");
	define("DUMP_FILE_ERROR", "{file_name}' bulunamadı.");
	define("DB_TABLE_ERROR", "{table_name}' bulunamadı. Lütfen veritabanına gerekli veriyi yerleştiriniz.");
	define("TEST_DATA_ERROR", "Test verileri olan tabloları yayınlamadan önce <b>{POPULATE_DB_FIELD}</b>'yi kontrol edin");
	define("DB_HOST_ERROR", "Vermiş olduğunuz host adresi bulunamadı");
	define("DB_PORT_ERROR", "Belirtilen porttaki veritabanı sunucusuna bağlanılamadı");
	define("DB_USER_PASS_ERROR", "Belirtilen kullanıcı adı veya şifre hatalı");
	define("DB_NAME_ERROR", "Bağlantı ayarları doğru fakat '{db_name}' veritabanı bulunamadı");

	// upgrade messages
	define("UPGRADE_TITLE", "ViArt SHOP Güncelleme");
	define("UPGRADE_NOTE", "Uyarı: Lütfen işleme başlamadan önce veritabanının yedeğini aldığınızdan emin olunuz.");
	define("UPGRADE_AVAILABLE_MSG", "Yeni Güncelleme Mevcut");
	define("UPGRADE_BUTTON", "{version_number} a yükselt");
	define("CURRENT_VERSION_MSG", "Kurulu Versiyon");
	define("LATEST_VERSION_MSG", "Kurulabilir Version");
	define("UPGRADE_RESULTS_MSG", "Yükseltme Sonuçları");
	define("SQL_SUCCESS_MSG", "SQL sorgusu başarılı");
	define("SQL_FAILED_MSG", "SQL sorgusu başarısız");
	define("SQL_TOTAL_MSG", "Yürütülen toplam SQL sorgusu");
	define("VERSION_UPGRADED_MSG", "Ürün versiyonu yükseltilmiştir.");
	define("ALREADY_LATEST_MSG", "Ürünün son versiyonu zaten yüklü.");
	define("DOWNLOAD_NEW_MSG", "Yeni versiyon bulundu");
	define("DOWNLOAD_NOW_MSG", "{version_number} 'ı indir");
	define("DOWNLOAD_FOUND_MSG", "Yüklenebilir yeni bir versiyon var {version_number}. Lütfen indirmek için tıklayınız. Dosyaları indirip sunucunuza yükledikten sonra yükseltme butonuna (upgrade) tıklamayı unutmayın.");
	define("NO_XML_CONNECTION", "Dikkat 'http://www.viart.com/' bağlanılamıyor!");

	define("END_USER_LICENSE_AGREEMENT_MSG", "End User License Agreement");
	define("AGREE_LICENSE_AGREEMENT_MSG", "I have read and agree to the License Agreement");
	define("READ_LICENSE_AGREEMENT_MSG", "Click here to read license agreement");
	define("LICENSE_AGREEMENT_ERROR", "Please read and agree to the License Agreement before proceeding.");

?>