<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  common.php                                               ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	ini_set("display_errors", "1");
	error_reporting(E_ALL);

	@ini_set("magic_quotes_runtime", 0);
	header("Content-Type: text/html; charset=UTF-8");

	// start session
	session_start();

	// version information
	define("VA_PRODUCT","shop");
	define("VA_TYPE","enterprise");
	define("VA_RELEASE","4.6.1");

	$root_folder_path = (isset($is_admin_path) && $is_admin_path) ? "../" : "./";
	$db_lib = ""; $language_code = "";
	$site_id = 1; // default site ID - override in var_definition.php
	@include_once($root_folder_path . "includes/var_definition.php");
	if (!defined("INSTALLED") || !INSTALLED) {
		header("Location: " . $root_folder_path . "install.php");
		exit;	
	}
	include_once($root_folder_path . "includes/constants.php");
	include_once($root_folder_path . "includes/db_query.php");
	include_once($root_folder_path . "includes/db_$db_lib.php");

	// Database Initialize
	$db = new VA_SQL();
	$db->DBType      = $db_type;
	$db->DBDatabase  = $db_name;
	$db->DBHost      = $db_host;
	$db->DBPort      = $db_port;
	$db->DBUser      = $db_user;
	$db->DBPassword  = $db_password;
	$db->DBPersistent= $db_persistent;

	include_once($root_folder_path . "includes/common_functions.php");
	include_once($root_folder_path . "includes/va_functions.php");
	include_once($root_folder_path . "includes/cms_functions.php");
	include_once($root_folder_path . "includes/sms_functions.php");
	$language_code = get_language(); // when $va_browser_language = true detect language from browser settings
	include_once($root_folder_path ."messages/" . $language_code . "/messages.php");
	include_once($root_folder_path . "includes/date_functions.php");
	include_once($root_folder_path . "includes/url.php");
	include_once($root_folder_path . "includes/template.php");
	include_once($root_folder_path . "includes/tree.php");
	if (file_exists($root_folder_path . "includes/license.php") ) {
		include_once($root_folder_path . "includes/license.php");
	}
	if (file_exists($root_folder_path ."messages/".$language_code."/custom_messages.php")) {
		include_once($root_folder_path ."messages/".$language_code."/custom_messages.php");
	}
	if (file_exists($root_folder_path ."includes/custom_functions.php")) {
		include_once($root_folder_path ."includes/custom_functions.php");
	}

	// Database Initialize
	$db = new VA_SQL();
	$db->DBType      = $db_type;
	$db->DBDatabase  = $db_name;
	$db->DBHost      = $db_host;
	$db->DBPort      = $db_port;
	$db->DBUser      = $db_user;
	$db->DBPassword  = $db_password;
	$db->DBPersistent= $db_persistent;

	// get site properties
	$settings = va_settings();
	// updates stats about email campaigns clicks
	$eid = get_param("eid");
  if (strlen($eid) && is_numeric($eid)) {
	  $sql  = " UPDATE ".$table_prefix."newsletters_emails ";
		$sql .= " SET is_clicked=1 ";
		$sql .= " WHERE email_id=" . $db->tosql($eid, INTEGER);
  	$db->query($sql);
		set_session("session_eid", $eid);
  }

	$custom_friendly_urls = prepare_custom_friendly_urls();

	// check ssl connection
	$server_https = isset($_SERVER["HTTPS"]) ? strtoupper($_SERVER["HTTPS"]) : "";
	$server_port = isset($_SERVER["SERVER_PORT"]) ? $_SERVER["SERVER_PORT"] : "";
	$server_ssl = isset($_SERVER["SSL"]) ? $_SERVER["SSL"] : "";
	$is_ssl = ($server_https == "ON" || $server_port == 443 || $server_ssl == 1);

	// make currency available from any page
	$currency = get_currency();

?>