<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// installation messages
	define("INSTALL_TITLE", "Instalacija ViArt SHOP-a");

	define("INSTALL_STEP_1_TITLE", "Instalacija: Korak 1");
	define("INSTALL_STEP_1_DESC", "Hvala vam što ste izabrali ViArt SHOP. Kako bi ste nastavili insatalaciju, molimo vas prvo ispunite tražene detalje ispod. Nemojte zaboraviti da bi baza podataka koju ste izabrali već trebala postojati. Ako instalirate bazu podataka koja koristi ODBC, npr. MS Access, trebali biste prvo kreirati DSN za nju prije nego nastavite.");
	define("INSTALL_STEP_2_TITLE", "Instalacija: Korak 2");
	define("INSTALL_STEP_2_DESC", "");
	define("INSTALL_STEP_3_TITLE", "Instalacija: Korak 3");
	define("INSTALL_STEP_3_DESC", "Odaberite izgled stranice. Moći ćete mijenjati izgled kasnije.");
	define("INSTALL_FINAL_TITLE", "Instalacija: završtak");
	define("SELECT_DATE_TITLE", "Odaberite format datuma");

	define("DB_SETTINGS_MSG", "Postavke Baze Podataka");
	define("DB_PROGRESS_MSG", "Napredak punjenja strukture baze podataka");
	define("SELECT_PHP_LIB_MSG", "Odaberite PHP knjižnicu");
	define("SELECT_DB_TYPE_MSG", "Odaberite Tip Baze Podataka");
	define("ADMIN_SETTINGS_MSG", "Postavke Administracije");
	define("DATE_SETTINGS_MSG", "Formati Datuma");
	define("NO_DATE_FORMATS_MSG", "Nema dostupnih formata datuma");
	define("INSTALL_FINISHED_MSG", "U ovom trenutku vaša osnovna instalacija je završena. Provjerite postavke u administraciji i napravite tražene promjene.");
	define("ACCESS_ADMIN_MSG", "Kako bi pristupili administraciji kiknite ovdje");
	define("ADMIN_URL_MSG", "URL Administracije");
	define("MANUAL_URL_MSG", "URL Manual");
	define("THANKS_MSG", "Hvala Vam što ste izabrali <b>ViArt SHOP</b>");

	define("DB_TYPE_FIELD", "Tip Baze Podataka");
	define("DB_TYPE_DESC", "Molim vas odaberite <b>type of database</b> koji koristite. Ako koristite SQL Server ili Microsoft Access, molimo odaberite ODBC.");
	define("DB_PHP_LIB_FIELD", "PHP Knjižnica");
	define("DB_HOST_FIELD", "Hostname");
	define("DB_HOST_DESC", "Molimo vas unesite b>name</b> ili <b>IP address of the server</b> na kojem će se baza podataka vašeg ViArta pokretati. Uko pokrećete vašu bazu podataka na vašem lokalnom PC-u, tada vjerovatno možete samo ostaviti kao \"<b>localhost</b>\" i prazan port. Ako koristite bazu podataka vaše hosting kompanije, pogledajte dakutmentaciju vaše hosting kompanije za postavke servera.");
	define("DB_PORT_FIELD", "Port");
	define("DB_NAME_FIELD", "Ime Baze Podataka/DSN");
	define("DB_NAME_DESC", "Ako koristite bazu podataka kao što je MySQL ili PostgreSQL onda unesite <b>name of the database</b> gdje bi ste željeli da ViArt stvori svoje tablice. Ova baza podataka mora već postojati. Ako instalirate ViArt za potrebe testiranja na vašem lokalnom PC-u, onda većina sistema ima \"<b>test</b>\" bazu podataka koju može koristiti. Ako ne, kreirajte bazu podataka kao npr. \"viart\" i koristite tu. Ako koristite Microsoft Access ili SQL Server tada ime baze podataka treba biti <b>name of the DSN</b> koju ste postavili u sekciji Data Sources (ODBC) na vašoj upravljačkoj ploči.");
	define("DB_USER_FIELD", "Korisničko ime");
	define("DB_PASS_FIELD", "Lozinka");
	define("DB_USER_PASS_DESC", "<b>Username</b> i <b>Password</b> - Molimo vas unesite korisničko ime i lozinku koju želite koristiti kako bi pristupili bazi podataka. Ako koristite lokalnu testnu instalaciju korisničko ime bi vjerovatno trebalo biti \"<b>root</b>\" a lozinka ostati prazna. Ovo je u redu za testiranje, ali zapamtite da nije sigurno da servere proizvoda.");
	define("DB_PERSISTENT_FIELD", "Persistent Conection");
	define("DB_PERSISTENT_DESC", "to use MySQL or Postgre persistent connections, tick this box. If you do not know what it means, then leaving it unticked is probably best.");
	define("DB_CREATE_DB_FIELD", "Kreiraj BP");
	define("DB_CREATE_DB_DESC", "za kreiranje baze podataka ako je moguće, označite ovu kućicu. Radi samo za MySQL i Postgre");
	define("DB_POPULATE_FIELD", "Popuni BP");
	define("DB_POPULATE_DESC", "kako bi kreirali bazu podataka tablično strukturiranu i kako bi je popunili označite ovu kućicu");
	define("DB_TEST_DATA_FIELD", "Testni Podatci");
	define("DB_TEST_DATA_DESC", "kako bi dodali neke testne podatke u vašu bazu podataka, označite kućicu");
	define("ADMIN_EMAIL_FIELD", "Email Administratora");
	define("ADMIN_LOGIN_FIELD", "Prijava Administratora");
	define("ADMIN_PASS_FIELD", "Lozinka Administratora");
	define("ADMIN_CONF_FIELD", "Potvrdite Loziku");
	define("DATETIME_SHOWN_FIELD", "Format datumasata (prikazan na stranici)");
	define("DATE_SHOWN_FIELD", "Format datuma (prikazan na stranici)");
	define("DATETIME_EDIT_FIELD", "Format datumsata (za uređivanje)");
	define("DATE_EDIT_FIELD", "Format datuma (za uređivanje)");
	define("DATE_FORMAT_COLUMN", "Format Datuma");

	define("DB_LIBRARY_ERROR", "PHP funkcije za {db_library} nisu definirane. Molimo provjerite postavke paze podataka u vašoj konfiguracijskoj datoteci - php.ini");
	define("DB_CONNECT_ERROR", "Ne može se spojiti na bazu podataka. Molimo provjerite parametre baze podataka");
	define("INSTALL_FINISHED_ERROR", "Instalacijski proces je gotov.");
	define("WRITE_FILE_ERROR", "Nemate pisano dopuštenje za datoteku <b>'includes/var_definition.php'</b>. Prije nego nastavite, promijenite dopuštenja za datoteku.");
	define("WRITE_DIR_ERROR", "Nemate pisano dopuštenje za mapu <b>'includes/'</b>. Prije nego nastavite, promijenite dopuštenja za mapu");
	define("DUMP_FILE_ERROR", "Dump datoteka '{file_name} nije pronađeno.");
	define("DB_TABLE_ERROR", "Tablica '{table_name}' nije pronađeno. Popunite bazu podataka sa potrebnim podatcima");
	define("TEST_DATA_ERROR", "pProvjerite <b>{POPULATE_DBFIELD}</b> prije nego popunite tablicu sa testnim podatcima.");
	define("DB_HOST_ERROR", "Hostname koje ste naveli nemože biti pronađeno");
	define("DB_PORT_ERROR", "Nemože se spojiti na bazu podataka koristeći specificirani port.");
	define("DB_USER_PASS_ERROR", "Korisničko ime ili lozinka koje ste unijeli nisu točni.");
	define("DB_NAME_ERROR", "Postavke prijave su točni, međutim baza podataka '{db:name}' nije pronađena.");

	// upgrade messages
	define("UPGRADE_TITLE", "ViArt SHOP Unapređenje");
	define("UPGRADE_NOTE", "Napomena: Molim vas razmislite o stvaranju dodatne (backup) baze podataka prije nastavka.");
	define("UPGRADE_AVAILABLE_MSG", "Dostupno unapređenje baze podataka");
	define("UPGRADE_BUTTON", "Unaprijedi bazu podataka u {version_number} sada");
	define("CURRENT_VERSION_MSG", "Trenutno instalirana verzija");
	define("LATEST_VERSION_MSG", "Verzija dostupna za instalaciju");
	define("UPGRADE_RESULTS_MSG", "Rezultati unapređenja");
	define("SQL_SUCCESS_MSG", "SQL upiti uspješni");
	define("SQL_FAILED_MSG", "SQL upiti neuspješni");
	define("SQL_TOTAL_MSG", "Ukupni SQL upiti izvršeni");
	define("VERSION_UPGRADED_MSG", "Vaša baza podataka je uspješno unaprijeđena u ");
	define("ALREADY_LATEST_MSG", "Već imate najnoviju verziju");
	define("DOWNLOAD_NEW_MSG", "Nova verzija je pronađena");
	define("DOWNLOAD_NOW_MSG", "Preuzeti verziju {version_number} sada");
	define("DOWNLOAD_FOUND_MSG", "Pronađena je nova {version_number} verzija koju je moguće preuzeti. Kliknite na link ispod kako bi započeli sa preuzimanjem. Nakon što završite sa preuzimanjem i nakon što zamjenite datoteke, nemojte zaboraviti pokrenuti Rutinu Unapređenja (Upgrade routine) ponovno.");
	define("NO_XML_CONNECTION", "Upozorenje! Nije moguć pristup 'http://www.viart.com/'!");

	define("END_USER_LICENSE_AGREEMENT_MSG", "Završi korisnički ugovor o nadogradnji");
	define("AGREE_LICENSE_AGREEMENT_MSG", "Pročitao sam i slažem se s Ugovorom o licenci");
	define("READ_LICENSE_AGREEMENT_MSG", "Klikni ovdje i pročitaj Ugovor o licenci");
	define("LICENSE_AGREEMENT_ERROR", "Molimo vas prvo pročitajte i složite se sa Ugovorom o licenci kako bi nastavili");

?>