<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  messages.php                                             ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	define("CHARSET", "utf-8");
	// data
	define("YEAR_MSG", "Rok");
	define("YEARS_QTY_MSG", "{quantity} years");
	define("MONTH_MSG", "Miesiąc");
	define("MONTHS_QTY_MSG", "{quantity} months");
	define("DAY_MSG", "Dzień");
	define("DAYS_MSG", "Dni");
	define("DAYS_QTY_MSG", "{quantity} days");
	define("HOUR_MSG", "Godzina");
	define("HOURS_QTY_MSG", "{quantity} hours");
	define("MINUTE_MSG", "Minuta");
	define("MINUTES_QTY_MSG", "{quantity} minutes");
	define("SECOND_MSG", "Sekunda");
	define("SECONDS_QTY_MSG", "{quantity} seconds");
	define("WEEK_MSG", "Week");
	define("WEEKS_QTY_MSG", "{quantity} weeks");
	define("TODAY_MSG", "Today");
	define("YESTERDAY_MSG", "Yesterday");
	define("LAST_7DAYS_MSG", "Last 7 Days");
	define("THIS_MONTH_MSG", "This Month");
	define("LAST_MONTH_MSG", "Last Month");
	define("THIS_QUARTER_MSG", "This Quarter");
	define("THIS_YEAR_MSG", "This Year");
	define("CURRENT_DATE_MSG", "Aktualna data");
	define("CURRENT_TIME_MSG", "Current Time");
	define("DATE_MSG", "Date");

	//miesiące
	define("JANUARY", "Styczeń");
	define("FEBRUARY", "Luty");
	define("MARCH", "Marzec");
	define("APRIL", "Kwiecień");
	define("MAY", "Maj");
	define("JUNE", "Czerwiec");
	define("JULY", "Lipiec");
	define("AUGUST", "Sierpień");
	define("SEPTEMBER", "Wrzesień");
	define("OCTOBER", "Październik");
	define("NOVEMBER", "Listopad");
	define("DECEMBER", "Grudzień");

	define("JANUARY_SHORT", "Sty");
	define("FEBRUARY_SHORT", "Lut");
	define("MARCH_SHORT", "Mar");
	define("APRIL_SHORT", "Kwi");
	define("MAY_SHORT", "Maj");
	define("JUNE_SHORT", "Cze");
	define("JULY_SHORT", "Lip");
	define("AUGUST_SHORT", "Sie");
	define("SEPTEMBER_SHORT", "Wrz");
	define("OCTOBER_SHORT", "Paź");
	define("NOVEMBER_SHORT", "Lis");
	define("DECEMBER_SHORT", "Gru");

	// dni tygodnia
	define("SUNDAY", "Niedziela");
	define("MONDAY", "Poniedziałek");
	define("TUESDAY", "Wtorek");
	define("WEDNESDAY", "Środa");
	define("THURSDAY", "Czwartek");
	define("FRIDAY", "Piątek");
	define("SATURDAY", "Sobota");

	define("SUNDAY_SHORT", "Nie");
	define("MONDAY_SHORT", "Pon");
	define("TUESDAY_SHORT", "Wto");
	define("WEDNESDAY_SHORT", "Śro");
	define("THURSDAY_SHORT", "Czw");
	define("FRIDAY_SHORT", "Pią");
	define("SATURDAY_SHORT", "Sob");

	// sprawdzanie poprawności danych
	define("REQUIRED_MESSAGE", "<b>{field_name}</b>jest wymagane");
	define("UNIQUE_MESSAGE", "Wartość w polu <b>{field_name}</b> jest już w bazie danych");
	define("VALIDATION_MESSAGE", "Sprawdzanie zgodności danych dla pola {field_name} nie powiodło się");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> i <b>{field_two}</b> nie pasują do siebie");
	define("INSERT_ALLOWED_ERROR", "Sorry, but insert operation is not allowed for you");
	define("UPDATE_ALLOWED_ERROR", "Sorry, but update operation is not allowed for you");
	define("DELETE_ALLOWED_ERROR", "Sorry, but delete operation is not allowed for you");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Only alpha-numeric characters, hyphen and underscore are allowed for field <b>{field_name}</b>");
	define("CORRECT_ERRORS_BELOW_MSG", "Please correct the errors below before continuing.");
	define("CORRECT_HIGHLIGHTED_FIELDS_MSG", "Please fill in all highlighted fields with correct values.");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> zawiera nieprawidłową wartość. Użyj dat z kalendarza.");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> nie pasuje do maski wyboru. Użyj następującej maski '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Niepoprawny format email w polu {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Niepoprawna wartość w polu <b>{field_name}</b>");

	define("MIN_VALUE_MESSAGE", "Wartość w polu <b>{field_name}</b>nie może być mniejsza niż {min_value}");
	define("MAX_VALUE_MESSAGE", "Wartość w polu <b>{field_name}</b> nie może być mniejsza niż {max_value}");
	define("MIN_LENGTH_MESSAGE", "Długość pola <b>{field_name}</b> nie może być mniejsza niż {min_length} znaków");
	define("MAX_LENGTH_MESSAGE", "Długość pola <b>{field_name}</b> nie może być większa od {max_length} znaków");
	define("MIN_MAX_VALUE_MSG", "Please enter a value between {min_value} and {max_value}.");


	define("FILE_PERMISSION_MESSAGE", "Brak prawa do zapisu dla pliku <b>'{file_name}'</b>. Przed kontynuacją prosimy zmienić prawa dostępu do pliku");
	define("FOLDER_PERMISSION_MESSAGE", "Brak prawa do zapisu dla katalogu <b>'{folder_name}'</b>. Przed kontynuacją prosimy zmienić prawa dostępu do katalogu");
	define("INVALID_EMAIL_MSG", "Twój email nie jest prawidłowy");
	define("DATABASE_ERROR_MSG", "Wytąpił błąd bazy danych");
	define("BLACK_IP_MSG", "This action is not permitted from your host.");
	define("BANNED_CONTENT_MSG", "Sorry, the provided content contains illegal statement.");
	define("ERRORS_MSG", "Błędy");
	define("REGISTERED_ACCESS_MSG", "Only registered users could access this option.");
	define("SELECT_FROM_LIST_MSG", "Wybierz z listy");

	// tytuły
	define("TOP_RATED_TITLE", "Najlepiej oceniane");
	define("TOP_VIEWED_TITLE", "Najczęściej oglądane");
	define("RECENTLY_VIEWED_TITLE", "Ostatnio oglądane");
	define("HOT_TITLE", "Gorące");
	define("LATEST_TITLE", "Ostatnie");
	define("CONTENT_TITLE", "Zawartość");
	define("RELATED_TITLE", "Powiązany");
	define("SEARCH_TITLE", "Szukaj");
	define("ADVANCED_SEARCH_TITLE", "Szukanie zaawansowane");
	define("LOGIN_TITLE", "Użytkownik");
	define("CATEGORIES_TITLE", "Kategorie");
	define("MANUFACTURERS_TITLE", "Wytwórcy");
	define("SPECIAL_OFFER_TITLE", "Oferta specjalna");
	define("NEWS_TITLE", "Nowości");
	define("EVENTS_TITLE", "Wydarzenia");
	define("PROFILE_TITLE", "Profil");
	define("USER_HOME_TITLE", "Strona domowa");
	define("DOWNLOAD_TITLE", "Ściągnij pliki");
	define("FAQ_TITLE", "Najczęściej zadawane pytania");
	define("POLL_TITLE", "Ankieta");
	define("HOME_PAGE_TITLE", "Strona startowa");
	define("CURRENCY_TITLE", "Waluta");
	define("SUBSCRIBE_TITLE", "Zapisz się do newsletter");
	define("UNSUBSCRIBE_TITLE", "Wypisz się z newsletter");
	define("UPLOAD_TITLE", "Umieść plik");
	define("ADS_TITLE", "Reklama");
	define("ADS_COMPARE_TITLE", "Porównanie reklam");
	define("ADS_SELLERS_TITLE", "Sprzedawcy");
	define("AD_REQUEST_TITLE", "Złóż ofertę / Zadaj pytanie sprzedawcy");
	define("LANGUAGE_TITLE", "Języki");
	define("MERCHANTS_TITLE", "Merchants");
	define("PREVIEW_TITLE", "Preview");
	define("ARTICLES_TITLE", "Articles");
	define("SITE_MAP_TITLE", "Site Map");
	define("LAYOUTS_TITLE", "Layouts");
	define("LINKS_TITLE", "Links");
	define("PROFILES_TITLE", "Profiles");
	define("DATING_TITLE", "Dating");
	define("RANDOM_TITLE", "Random");
	define("AUTHORS_MSG", "Authors");
	define("AUTHOR_MSG", "Author");
	define("ALBUMS_MSG", "Albums");
	define("ALBUM_MSG", "Album");

	// pozycje w menu
	define("MENU_MSG", "Menu");
	define("MENU_ABOUT", "o nas");
	define("MENU_ACCOUNT", "twoje konto");
	define("MENU_BASKET", "twój koszyk");
	define("MENU_CONTACT", "kontakt");
	define("MENU_DOCUMENTATION", "dokumentacja");
	define("MENU_DOWNLOADS", "pliki do ściągnięcia");
	define("MENU_EVENTS", "Wydarzenia");
	define("MENU_FAQ", "faq");
	define("MENU_FORUM", "forum");
	define("MENU_HELP", "pomoc");
	define("MENU_HOME", "start");
	define("MENU_HOW", "jak kupować?");
	define("MENU_MEMBERS", "członkowie");
	define("MENU_MYPROFILE", "mój profil");
	define("MENU_NEWS", "nowości");
	define("MENU_PRIVACY", "ochrona prywatności");
	define("MENU_PRODUCTS", "produkty");
	define("MENU_REGISTRATION", "rejestracja");
	define("MENU_SHIPPING", "dostawa");
	define("MENU_SIGNIN", "zapisz się");
	define("MENU_SIGNOUT", "wypisz się");
	define("MENU_SUPPORT", "wsparcie");
	define("MENU_USERHOME", "strona użytkownika");
	define("MENU_ADS", "klasyfikacja reklam");
	define("MENU_ADMIN", "administracja");
	define("MENU_KNOWLEDGE", "Knowledge Base");
	define("NAVIGATION_BAR_MSG", "Navigation Bar");
	define("MAIN_PAGES_MSG", "Main Pages");

	// główne wyrażenia
	define("NO_MSG", "Nie");
	define("YES_MSG", "Tak");
	define("NOT_AVAILABLE_MSG", "N/D");
	define("MORE_MSG", "więcej...");
	define("READ_MORE_MSG", "czytaj więcej...");
	define("ADD_MORE_MSG", "Add more");
	define("CLICK_HERE_MSG", "kliknij tu");
	define("ENTER_YOUR_MSG", "Wprowadź Twój");
	define("CHOOSE_A_MSG", "Wybierz");
	define("PLEASE_CHOOSE_MSG", "Prosimy wybrać");
	define("SELECT_MSG", "Wybór");
	define("DATE_FORMAT_MSG", "użyj następującego formatu <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Następna");
	define("PREV_PAGE_MSG", "Poprzednia");
	define("FIRST_PAGE_MSG", "Pierwsza");
	define("LAST_PAGE_MSG", "Ostatnia");
	define("OF_PAGE_MSG", "z");
	define("TOP_CATEGORY_MSG", "Najwyższa kategoria");
	define("SEARCH_IN_CURRENT_MSG", "Obecna kategoria");
	define("SEARCH_IN_ALL_MSG", "Wszystkie kategorie");
	define("FOUND_IN_MSG", "Znaleziono w");
	define("TOTAL_VIEWS_MSG", "Oglądany");
	define("VOTES_MSG", "Głosy");
	define("TOTAL_VOTES_MSG", "Total Votes");
	define("TOTAL_POINTS_MSG", "Total Points");
	define("VIEW_RESULTS_MSG", "Zobacz wyniki");
	define("PREVIOUS_POLLS_MSG", "Poprzednie ankiety");
	define("TOTAL_MSG", "Wszystkich");
	define("CLOSED_MSG", "Zamknięte");
	define("CLOSE_WINDOW_MSG", "Zamknij okno");
	define("ASTERISK_MSG", "gwiazdka (*) - wymagane pole");
	define("PROVIDE_INFO_MSG", "Prosimy o wprowadzenie informacji w sekcjach zaznaczonych na czerwono. Później kliknij '{button_name}'");
	define("FOUND_ARTICLES_MSG", "Znaleźliśmy <b>{found_records}</b> artykułów pasujących do wyrażenia '<b>{search_string}</b>'");
	define("NO_ARTICLE_MSG", "Artykuł o tym identyfikatorze nie jest dostępny");
	define("NO_ARTICLES_MSG", "Nie znaleziono żadnego artykułu");
	define("COMMENT_MSG", "Comment");
	define("NOTES_MSG", "Notatki");
	define("KEYWORDS_MSG", "Słowa kluczowwe");
	define("TAGS_MSG", "Tags");
	define("TAG_MSG", "Tag");
	define("LINK_URL_MSG", "Link");
	define("DOWNLOAD_URL_MSG", "Ściągnij pliki");
	define("SUBSCRIBE_FORM_MSG", "Aby otrzymać nasz newsletter prosimy o wprowadzenie poniżej Twojego adresu email i wciśnięcie klawisza '{button_name}'.");
	define("UNSUBSCRIBE_FORM_MSG", "Prosimy wpisz poniżej Twój adres email i wciśnij klawisz '{button_name}'.");
	define("SUBSCRIBE_LINK_MSG", "Zapisz się");
	define("UNSUBSCRIBE_LINK_MSG", "Wypisz się");
	define("SUBSCRIBED_MSG", "Gratulujemy! Zostałeś/aś członkiem naszego newsletter'a.");
	define("ALREADY_SUBSCRIBED_MSG", "Zostałeś/aś już zapisany/na do listy odbiorców naszego newsletter'a. Dziękujemy.");
	define("UNSUBSCRIBED_MSG", "Wypisałeś/aś się z listy odiorców naszego newsletter'a. Dziękujemy i zapraszamy ponownie.");
	define("UNSUBSCRIBED_ERROR_MSG", "Przepraszamy, ale nie możemy znaleźć w naszej bazie email'a, któty podałeś/aś. Prawdopodobnie już wypisałeś/aś się z naszego newsletter'a.");
	define("FORGOT_PASSWORD_MSG", "Zapomniałeś/aś hasła?");
	define("FORGOT_PASSWORD_DESC", "Prosimy wprowadź adres email, który podałeś/aś przy rejestracji:");
	define("FORGOT_EMAIL_ERROR_MSG", "Przepraszamy, ale nie możemy znaleźć w naszej bazie email'a, któty podałeś/aś.");
	define("FORGOT_EMAIL_SENT_MSG", "Dokładne instrukcje dotyczące logowania zostały wysłane na Twój email.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Niektóre wymagane parametry nie zostały odnalezione.");
	define("RESET_PASSWORD_PARAMS_MSG", "Parametry, które dostarczyłeś/aś nie pasują do jakichkolwiek parametrów zawartych w naszej bazie danych.");
	define("RESET_PASSWORD_EXPIRY_MSG", "Kod resetujący, który dostarczyłeś/aś wygasł. Wyślij zapytanie o nowy kod, który zresetuje Twoje hasło.");
	define("RESET_PASSWORD_SAVED_MSG", "Twoje nowe hasło zostało zapisane.");
	define("PRINTER_FRIENDLY_MSG", "Przyjazne drukowanie");
	define("PRINT_PAGE_MSG", "Wydrukuj tę stronę");
	define("ATTACHMENTS_MSG", "Attachments");
	define("ATTACHMENT_MSG", "Attachment");
	define("VIEW_DETAILS_MSG", "View Details");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Plain Text");
	define("META_DATA_MSG", "Meta Data");
	define("META_TITLE_MSG", "Page Title");
	define("META_KEYWORDS_MSG", "Meta Keywords");
	define("META_DESCRIPTION_MSG", "Meta Description");
	define("FRIENDLY_URL_MSG", "Friendly URL");
	define("IMAGES_MSG", "Obrazki");
	define("IMAGE_MSG", "Obrazek");
	define("TINY_MSG", "Tiny");
	define("IMAGE_TINY_MSG", "Tiny Image");
	define("IMAGE_TINY_ALT_MSG", "Tiny Image Alt");
	define("SMALL_MSG", "Small");
	define("IMAGE_SMALL_MSG", "Mały obrazek");
	define("IMAGE_SMALL_DESC", "shown on list page");
	define("IMAGE_SMALL_ALT_MSG", "Small Image Alt");
	define("LARGE_MSG", "Large");
	define("IMAGE_LARGE_MSG", "Duży obrazek");
	define("IMAGE_LARGE_DESC", "shown on details page");
	define("IMAGE_LARGE_ALT_MSG", "Large Image Alt");
	define("SUPERSIZED_MSG", "Supersized");
	define("IMAGE_SUPER_MSG", "Super-Sized Image");
	define("IMAGE_SUPER_DESC", "image popup in the new window");
	define("IMAGE_POSITION_MSG", "Image Position");
	define("UPLOAD_IMAGE_MSG", "Wgraj obraz na serwer");
	define("UPLOAD_FILE_MSG", "Upload File");
	define("SELECT_IMAGE_MSG", "Select Image");
	define("SELECT_FILE_MSG", "Select File");
	define("UPLOAD_PHOTO_MSG", "Upload Photo");
	define("MANAGE_PHOTOS_MSG", "Manage Photos");
	define("SHOW_BELOW_PRODUCT_IMAGE_MSG", "show image below large product image");
	define("SHOW_IN_SEPARATE_SECTION_MSG", "show image in separate images section");
	define("IS_APPROVED_MSG", "Approved");
	define("NOT_APPROVED_MSG", "Not Approved");
	define("IS_ACTIVE_MSG", "Is Active");
	define("CATEGORY_MSG", "Kategoria");
	define("SELECT_CATEGORY_MSG", "Wybierz kategorie");
	define("REDIRECT_TO_CATEGORY_MSG", "Redirect to Category");
	define("DESCRIPTION_MSG", "Opis");
	define("SHORT_DESCRIPTION_MSG", "Short Description");
	define("FULL_DESCRIPTION_MSG", "Full Description");
	define("HIGHLIGHTS_MSG", "Highlights");
	define("SPECIAL_OFFER_MSG", "Oferta specjalna");
	define("ARTICLE_MSG", "Article");
	define("OTHER_MSG", "Other");
	define("MEASUREMENT_UNITS_MSG", "Measurement Units");
	define("WIDTH_MSG", "Width");
	define("HEIGHT_MSG", "Height");
	define("LENGTH_MSG", "Length");
	define("WEIGHT_MSG", "Waga");
	define("QUANTITY_MSG", "Ilość");
	define("CALENDAR_MSG", "Calendar");
	define("FROM_DATE_MSG", "From Date");
	define("TO_DATE_MSG", "To Date");
	define("TIME_PERIOD_MSG", "Time Period");
	define("GROUP_BY_MSG", "Group By");
	define("BIRTHDAY_MSG", "Birthday");
	define("BIRTH_DATE_MSG", "Birth Date");
	define("BIRTH_YEAR_MSG", "Birth Year");
	define("BIRTH_MONTH_MSG", "Birth Month");
	define("BIRTH_DAY_MSG", "Birth Day");
	define("STEP_NUMBER_MSG", "Step {current_step} of {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Where status is");
	define("ID_MSG", "ID");
	define("QTY_MSG", "Qty");
	define("TYPE_MSG", "Typ");
	define("NAME_MSG", "Name");
	define("TITLE_MSG", "Tytuł");
	define("DEFAULT_MSG", "Default");
	define("OPTIONS_MSG", "Options");
	define("EDIT_MSG", "Edit");
	define("MULTI_EDIT_MSG", "Multi-edit");
	define("CONFIRM_DELETE_MSG", "Would you like to delete this {record_name}?");
	define("DESC_MSG", "Desc");
	define("ASC_MSG", "Asc");
	define("ACTIVE_MSG", "Active");
	define("INACTIVE_MSG", "Inactive");
	define("EXPIRED_MSG", "Wygasłe");
	define("EMOTICONS_MSG", "Emoticons");
	define("EMOTION_ICONS_MSG", "Emotion Icons (smiles)");
	define("VIEW_MORE_EMOTICONS_MSG", "View more Emoticons");
	define("SITE_NAME_MSG", "Site Name");
	define("SITE_URL_MSG", "URL strony");
	define("SORT_ORDER_MSG", "Sort Order");
	define("NEW_MSG", "New");
	define("USED_MSG", "Used");
	define("REFURBISHED_MSG", "Refurbished");
	define("ADD_NEW_MSG", "Add New");
	define("SETTINGS_MSG", "Settings");
	define("VIEW_MSG", "Zobacz");
	define("STATUS_MSG", "Status");
	define("NONE_MSG", "None");
	define("PRICE_MSG", "Cena");
	define("TEXT_MSG", "Text");
	define("WARNING_MSG", "Warning");
	define("HIDDEN_MSG", "Hidden");
	define("CODE_MSG", "Code");
	define("LANGUAGE_MSG", "Language");
	define("DEFAULT_VIEW_TYPE_MSG", "Default View Type");
	define("CLICK_TO_OPEN_SECTION_MSG", "Click to open section");
	define("CURRENCY_WRONG_VALUE_MSG", "Currency code has wrong value.");
	define("TRANSACTION_AMOUNT_DOESNT_MATCH_MSG", "<b>Transaction Amount</b> and <b>Order Amount</b> doesn't match.");
	define("STATUS_CANT_BE_UPDATED_MSG", "The status for order #{order_id} can't be updated. ");
	define("CANT_FIND_STATUS_MSG", "Can't find the status with ID:{status_id}");
	define("NOTIFICATION_SENT_MSG", "Notification sent");
	define("AUTO_SUBMITTED_PAYMENT_MSG", "Auto-submitted payment");
	define("FONT_METRIC_FILE_ERROR", "Could not include font metric file");
	define("PER_LINE_MSG", "per line");
	define("PER_LETTER_MSG", "per letter");
	define("PER_NON_SPACE_LETTER_MSG", "per non-space letter");
	define("LETTERS_ALLOWED_MSG", "letters allowed");
	define("LETTERS_ALLOWED_PER_LINEMSG", "letters allowed per line");
	define("RENAME_MSG", "Rename");
	define("IMAGE_FORMAT_ERROR_MSG", "Image format is not supported by the GD library");
	define("GD_LIBRARY_ERROR_MSG", "GD library not loaded");
	define("INVALID_CODE_MSG", "Invalid code: ");
	define("INVALID_CODE_TYPE_MSG", "Invalid code type");
	define("INVALID_FILE_EXTENSION_MSG", "Invalid file extension:");
	define("FOLDER_WRITE_PERMISSION_MSG", "The folder doesn't exists or you do not have the permissions");
	define("UNDEFINED_RECORD_PARAMETER_MSG", "Undefined record parameter: <b>{parameter_name}</b>");
	define("MAX_RECORDS_LIMITATION_MSG", "You are not allowed to add more than <b>{max_records}</b> {records_name} for your version");
	define("ACCESS_DENIED_MSG", "You are not allowed to access this section.");
	define("DELETE_RECORDS_BEFORE_PROCEED_MSG", "Please delete some {records_name} before proceed.");
	define("FOLDER_DOESNT_EXIST_MSG", "The folder doesn't exist:");
	define("FILE_DOESNT_EXIST_MSG", "The file doesn't exist:");
	define("PARSE_ERROR_IN_BLOCK_MSG", "Parse error in block:");
	define("BLOCK_DOENT_EXIST_MSG", "Block doesn't exist:");
	define("NUMBER_OF_ELEMENTS_MSG", "Number of elements");
	define("MISSING_COMPONENT_MSG", "Missing component/parameter.");
	define("RELEASES_TITLE", "Wydania");
	define("DETAILED_MSG", "Detailed");
	define("LIST_MSG", "List");
	define("READONLY_MSG", "Readonly");
	define("CREDIT_MSG", "Credit");
	define("ONLINE_MSG", "Online");
	define("OFFLINE_MSG", "Offline");
	define("SMALL_CART_MSG", "Small Cart");
	define("NEVER_MSG", "Never");
	define("SEARCH_EXACT_WORD_OR_PHRASE", "exact wording or phrase");
	define("SEARCH_ONE_OR_MORE", "one or more of these words");
	define("SEARCH_ALL", "all these words");
	define("RELATED_ARTICLES_MSG", "Related Articles");
	define("RELATED_FORUMS_MSG", "Related Forums");
	define("APPEARANCE_MSG", "Appearance");
	define("REMOVE_FILTER_MSG", "remove filter");

	define("RECORD_UPDATED_MSG", "The record has been successfully updated.");
	define("RECORD_ADDED_MSG", "New record has been successfully added.");
	define("RECORD_DELETED_MSG", "The record has been successfully deleted.");
	define("FAST_PRODUCT_ADDING_MSG", "Fast Product Adding");
	define("CHANGES_SAVED_MSG", "Changes saved");
	define("CURRENT_SUBSCRIPTION_MSG", "Current Subscription");
	define("SUBSCRIPTION_EXPIRATION_MSG", "Subscription expiration date");
	define("UPGRADE_DOWNGRADE_MSG", "Upgrade/Downgrade");
	define("SUBSCRIPTION_MONEY_BACK_MSG", "Subscription Money Back");
	define("MONEY_TO_CREDITS_BALANCE_MSG", "money will be added to your credits balance");
	define("USED_VOUCHERS_MSG", "Used Vouchers");
	define("VOUCHERS_TOTAL_MSG", "Vouchers Total");
	define("SUBSCRIPTIONS_GROUPS_MSG", "Subscriptions Groups");
	define("SUBSCRIPTIONS_GROUP_MSG", "Subscriptions Group");
	define("SUBSCRIPTIONS_MSG", "Subscriptions");
	define("SUBSCRIPTION_START_DATE_MSG", "Subscription Start Date");
	define("SUBSCRIPTION_EXPIRY_DATE_MSG", "Subscription Expiration Date");
	define("RECALCULATE_COMMISSIONS_AND_POINTS_MSG", "Automatically recalculate commissions and points for this item using price value");
	define("SUBSCRIPTION_PAGE_MSG", "Subscription page");
	define("SUBSCRIPTION_WITHOUT_REGISTRATION_MSG", "User can add subscriptions to his cart without registration");
	define("SUBSCRIPTION_REQUIRE_REGISTRATION_MSG", "User must have an account before accessing subscription page");

	define("MATCH_EXISTED_PRODUCTS_MSG", "Match Existing Products");
	define("MATCH_BY_ITEM_CODE_MSG", "by product code");
	define("MATCH_BY_MANUFACTURER_CODE_MSG", "by manufacturer code");
	define("DISPLAY_COMPONENTS_AND_OPTIONS_LIST_MSG", "Display options and components list");
	define("AS_LIST_MSG", "as list");
	define("AS_TABLE_MSG", "as table");

	define("ACCOUNT_SUBSCRIPTION_MSG", "Account subscription");
	define("ACCOUNT_SUBSCRIPTION_DESC", "To activate his account user needs to pay the subscription fee");
	define("SUBSCRIPTION_CANCELLATION_MSG", "Subscription cancellation");
	define("CONFIRM_CANCEL_SUBSCRIPTION_MSG", "Are you sure you want cancel this subscription?");
	define("CONFIRM_RETURN_SUBSCRIPTION_MSG", "Are you sure you want cancel this subscription and return {credits_amount} to balance?");
	define("CANCEL_SUBSCRIPTION_MSG", "Cancel Subscription");
	define("DONT_RETURN_MONEY_MSG", "Don't return the money");
	define("RETURN_MONEY_TO_CREDITS_BALANCE_MSG", "Return money for unused period to credits balance");
	define("UPGRADE_DOWNGRADE_TYPE_MSG", "Can user upgrade/downgrade his account type");

	define("PREDEFINED_TYPES_MSG", "Predefined Types");
	define("SHIPPING_TAX_PERCENT_MSG", "Shipping Tax Percent");
	define("PACKAGES_NUMBER_MSG", "Number of Packages");
	define("PER_PACKAGE_MSG", "per package");
	define("CURRENCY_SHOW_DESC", "user can choose this currency in which prices will be shown");
	define("CURRENCY_DEFAULT_SHOW_DESC", "all prices shown by default in this currency");
	define("RECOMMENDED_MSG", "Recomended");
	define("UPDATE_STATUS_MSG", "Update status");

	define("FIRST_CONTROLS_ARE_FREE_MSG", "First {free_price_amount} controls are free");
	define("FIRST_LETTERS_ARE_FREE_MSG", "First {free_price_amount} letters are free");
	define("FIRST_NONSPACE_LETTERS_ARE_FREE_MSG", "First  {free_price_amount} non-space letters are free");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Email Notification");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Administrator Email Notification");
	define("EMAIL_NOTIFICATION_USER_MSG", "User Email Notification");
	define("EMAIL_SEND_ADMIN_MSF", "Send notification to administrator ");
	define("EMAIL_SEND_USER_MSG", "Send notification to user");
	define("EMAIL_USER_IF_STATUS_MSG", "Send notification email to user when the status is applied");
	define("EMAIL_TO_MSG", "To");
	define("EMAIL_TO_USER_DESC", "Customer email used if is empty");
	define("EMAIL_FROM_MSG", "From");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Reply To");
	define("EMAIL_RETURN_PATH_MSG", "Return Path");
	define("EMAIL_SUBJECT_MSG", "Subject");
	define("EMAIL_MESSAGE_TYPE_MSG", "Message Type");
	define("EMAIL_MESSAGE_MSG", "Message");
	define("SMS_NOTIFICATION_MSG", "SMS Notification");
	define("SMS_NOTIFICATION_ADMIN_MSG", "Administrator SMS Notification");
	define("SMS_NOTIFICATION_USER_MSG", "User SMS Notification ");
	define("SMS_SEND_ADMIN_MSG", "Send SMS Notification to Administrator");
	define("SMS_SEND_USER_MSG", "Send SMS Notification to User ");
	define("SMS_USER_IF_STATUS_MSG", "Send SMS notification to user when the status is applied");
	define("SMS_RECIPIENT_MSG", "SMS Recipient");
	define("SMS_RECIPIENT_ADMIN_DESC", "administrator's cell phone number");
	define("SMS_RECIPIENT_USER_DESC", "if empty 'Cell phone' value is used");
	define("SMS_ORIGINATOR_MSG", "SMS Originator");
	define("SMS_MESSAGE_MSG", "SMS Message");

	// informacje dot. konta użytkownika 
	define("LOGIN_AS_MSG", "Zalogowałeś się jako");
	define("LOGIN_INFO_MSG", "Infornacje o logowaniu");
	define("ACCESS_HOME_MSG", "Aby mieć dostęp do Twojej strony użytkownika");
	define("REMEMBER_LOGIN_MSG", "Pamiętaj Twoją nazwę użytkownika i hasło");
	define("ENTER_LOGIN_MSG", "Aby kontynuować wprowadź nazwę użytkownika i hasło");
	define("LOGIN_PASSWORD_ERROR", "Hasło lub nazwa użytkownika jest niepoprawna");
	define("ACCOUNT_APPROVE_ERROR", "Przepraszamy, Twoje konto nie zostało jeszcze zatwierdzone.");
	define("ACCOUNT_EXPIRED_MSG", "Your account has expired.");
	define("SESSION_EXPIRED_MSG", "Your session has expired.");
	define("NEW_PROFILE_ERROR", "Nie masz odpoweidnich praw, aby utworzyć konto.");
	define("EDIT_PROFILE_ERROR", "Nie masz odpowiednich praw do edycji tego profilu.");
	define("CHANGE_DETAILS_MSG", "Zmień swoje dane szczególowe");
	define("CHANGE_DETAILS_DESC", "Kliknij w link wyżej jeśli chcesz zmienić dane kontaktowe lub informacje o logowaniu które podałeś przy tworzeniu konta.");
	define("CHANGE_PASSWORD_MSG", "Zmień hasło");
	define("CHANGE_PASSWORD_DESC", "Link niżej poprowadzi Cię do strony gdzie możesz zmienic swoje hasło");
	define("SIGN_UP_MSG", "Zarejestruj się teraz");
	define("MY_ACCOUNT_MSG", "Moje konto");
	define("NEW_USER_MSG", "Nowy użytkownik");
	define("EXISTS_USER_MSG", "Istniejący użytkownicy");
	define("EDIT_PROFILE_MSG", "Edytuj profil");
	define("PERSONAL_DETAILS_MSG", "Dane personalne");
	define("DELIVERY_DETAILS_MSG", "Szczegóły dostawy");
	define("SAME_DETAILS_MSG", "Jeśli szczegóły dostawy są takie same jak powyżej zaznacz to pole<br> jeśli nie, Prosimy podaj szczegóły poniżej");
	define("DELIVERY_MSG", "Dostawa");
	define("SUBSCRIBE_CHECKBOX_MSG", "Prosimy zaznacz to pole jeśli chcesz otrzymywać nasz newsletter.");
	define("ADDITIONAL_DETAILS_MSG", "Additional Details");
	define("GUEST_MSG", "Guest");
	define("USER_MSG", "User");
	define("SELECT_USER_MSG", "Select User");

	// informacje dot. ogłoszeń
	define("MY_ADS_MSG", "Moje ogłoszenia");
	define("MY_ADS_DESC", "Jeśli masz przedmioty, które chciałbyś sprzedać, umieść tutaj ogłoszenie. Umieszczanie ogłoszeń jest łatwe i szybkie.");
	define("AD_GENERAL_MSG", "Informacje ogólne dot. ogłoszenia");
	define("ALL_ADS_MSG", "All Ads");
	define("AD_SELLER_MSG", "Sprzedawca");
	define("AD_START_MSG", "Data rozpoczęcia emisji");
	define("AD_RUNS_MSG", "Dni do zakończenia emisji");
	define("AD_QTY_MSG", "Ilość");
	define("AD_AVAILABILITY_MSG", "Dostępność");
	define("AD_COMPARED_MSG", "Pozwól na porównanie ogłoszeń");
	define("AD_UPLOAD_MSG", "Wgraj obrazek na serwer");
	define("AD_LOCATION_MSG", "Lokalizacja");
	define("AD_LOCATION_INFO_MSG", "Dodatkowe informacje");
	define("AD_PROPERTIES_MSG", "Właściwości ogłoszenia");
	define("AD_SPECIFICATION_MSG", "Specyfikacja ogłoszenia");
	define("AD_MORE_IMAGES_MSG", "Więcej obrazków");
	define("AD_IMAGE_DESC_MSG", "Opis obrazka");
	define("AD_DELETE_CONFIRM_MSG", "Czy chcesz skasować to ogłoszenie?");
	define("AD_NOT_APPROVED_MSG", "Nie zatwierdzono");
	define("AD_RUNNING_MSG", "W działaniu");
	define("AD_CLOSED_MSG", "Zamknięte");
	define("AD_NOT_STARTED_MSG", "Nie rozpoczęto emisji");
	define("AD_NEW_ERROR", "Nie masz odpowiednich praw aby utworzyć nowe ogłoszenie.");
	define("AD_EDIT_ERROR", "Nie masz odpowiednich praw aby edytować to ogłoszenie.");
	define("AD_DELETE_ERROR", "Nie masz odpowiednich praw aby skasować to ogłoszenie.");
	define("NO_ADS_MSG", "Nie znaleziono reklam w tej kategorii");
	define("NO_AD_MSG", "Brak dostępnego w tej kategorii ogłoszenia o tym identyfikatorze");
	define("FOUND_ADS_MSG", "Znaleziono <b>{found_records}</b> ogłoszeń pasujących do wyrażenia: '<b>{search_string}</b>'");
	define("AD_OFFER_MESSAGE_MSG", "Oferta");
	define("AD_OFFER_LOGIN_ERROR", "Przed przystąpieniem do działania musisz być zalogowany.");
	define("AD_REQUEST_BUTTON", "Wyślij zapytanie");
	define("AD_SENT_MSG", "Twoja oferta została wysłana.");
	define("ADS_SETTINGS_MSG", "Ads Settings");
	define("ADS_DAYS_MSG", "Days to run Ad");
	define("ADS_HOT_DAYS_MSG", "Days to run Hot Ad");
	define("AD_HOT_OFFER_MSG", "Hot Offer");
	define("AD_HOT_ACTIVATE_MSG", "Add this Ad to Hot Offers section");
	define("AD_HOT_START_MSG", "Hot Offer Start Date");
	define("AD_HOT_DESCRIPTION_MSG", "Hot Description");
	define("ADS_SPECIAL_DAYS_MSG", "Days to run Special Ad");
	define("AD_SPECIAL_OFFER_MSG", "Special Offer");
	define("AD_SPECIAL_ACTIVATE_MSG", "Add this Ad to Special Offers section");
	define("AD_SPECIAL_START_MSG", "Special Offer Start Date");
	define("AD_SPECIAL_DESCRIPTION_MSG", "Special Offer Description");
	define("AD_CREDITS_BALANCE_ERROR", "Not enough credits on your balance, you need {more_credits} more to post this Ad.");
	define("AD_CREDITS_MSG", "Ad Credits");
	define("ADS_SPECIAL_OFFERS_SETTINGS_MSG", "Ads Special Offers Settings");
	//ad types
	define("AD_PRODUCT_TYPE_MSG", "Product");
	define("AD_ACCESSORY_TYPE_MSG", "Accessory");

	define("EDIT_DAY_MSG", "Edit Day");
	define("DAYS_PRICE_MSG", "Days Price");
	define("ADS_PUBLISH_PRICE_MSG", "Price to post Ad");
	define("DAYS_NUMBER_MSG", "Number of Days");
	define("DAYS_TITLE_MSG", "Days Title");
	define("USER_ADS_LIMIT_MSG", "Number of ads can be added by user");
	define("USER_ADS_LIMIT_DESC", "leave this field blank if you do not want to limit number of ads user can post");
	define("USER_ADS_LIMIT_ERROR", "Sorry, but you are not allowed to add more than {ads_limit} ads.");

	define("ADS_SHOW_TERMS_MSG", "Show Terms & Conditions");
	define("ADS_SHOW_TERMS_DESC", "To submit an ad user has to read and agree to our terms and conditions");
	define("ADS_TERMS_MSG", "Terms & Conditions");
	define("ADS_TERMS_USER_DESC", "I have read and agree to your terms and conditions");
	define("ADS_TERMS_USER_ERROR", "To submit an ad you have to read and agree to our terms and conditions");
	define("ADS_ACTIVATION_MSG", "Ads Activation");
	define("ACTIVATE_ADS_MSG", "Activate Ads");
	define("ACTIVATE_ADS_NOTE", "automatically activate all user ads if his status changed to 'Approved'");
	define("DEACTIVATE_ADS_MSG", "Deactivate Ads");
	define("DEACTIVATE_ADS_NOTE", "automatically deactivate all user ads if his status changed to 'Not Approved'");

	define("MIN_ALLOWED_ADS_PRICE_MSG", "Minimum Allowed Price");
	define("MIN_ALLOWED_ADS_PRICE_NOTE", "leave this field blank if you do not want to limit the lower price for ads");
	define("MAX_ALLOWED_ADS_PRICE_MSG", "Maximum Allowed Price");
	define("MAX_ALLOWED_ADS_PRICE_NOTE", "leave this field blank if you do not want to limit the higher price for ads");

	// informacje dot. wyszukiwania
	define("SEARCH_FOR_MSG", "Szukaj wyrażenia");
	define("SEARCH_IN_MSG", "Szukaj w ");
	define("SEARCH_TITLE_MSG", "Tytuł");
	define("SEARCH_CODE_MSG", "Code");
	define("SEARCH_SHORT_DESC_MSG", "Krótki opis");
	define("SEARCH_FULL_DESC_MSG", "Dokładny opis");
	define("SEARCH_CATEGORY_MSG", "Szukaj w kategorii");
	define("SEARCH_MANUFACTURER_MSG", "Producent");
	define("SEARCH_SELLER_MSG", "Sprzedawca");
	define("SEARCH_PRICE_MSG", "Rozpiętość cen");
	define("SEARCH_WEIGHT_MSG", "Limity wagowe");
	define("SEARCH_RESULTS_MSG", "Wyniki wyszukiwania");
	define("FULL_SITE_SEARCH_MSG", "Full Site Search");
	define("KEYWORDS_CRITERION_MSG", "Keywords: <b>{keywords}</b>");
	define("AUTHOR_CRITERION_MSG", "Author: <b>{author}</b>");
	define("CATEGORY_CRITERION_MSG", "Category: <b>{category}</b>");
	define("DATE_CRITERION_MSG", "Date: <b>{date}</b>");
	define("TYPE_CRITERION_MSG", "Type: <b>{type}</b>");
	define("COUNTRY_CRITERION_MSG", "Country: <b>{country}</b>");
	define("STATE_CRITERION_MSG", "State: <b>{state}</b>");
	define("POSTAL_CODE_CRITERION_MSG", "Postal code: <b>{postal_code}</b>");
	define("AGE_CRITERION_MSG", "Age: <b>{age}</b>");

	// informacje dot. porównywania
	define("COMPARE_MSG", "Porównanie");
	define("COMPARE_REMOVE_MSG", "Usuń");
	define("COMPARE_REMOVE_HELP_MSG", "Kliknij tutaj aby usunąć produkt z tabeli porównawczej");
	define("COMPARE_MIN_ALLOWED_MSG", "Musisz wybrać conajmniej 2 produkty");
	define("COMPARE_MAX_ALLOWED_MSG", "Nie możesz wybrać więcej niż 5 produktów");
	define("COMPARE_PARAM_ERROR_MSG", "Parametr porównania ma złą wartość");

	// informacje dot. powiadamiania znajomych
	define("TELL_FRIEND_TITLE", "Powiedz znajomym");
	define("TELL_FRIEND_SUBJECT_MSG", "Ten link wysłał Twój znajomy");
	define("TELL_FRIEND_DEFAULT_MSG", "Cześć {friend_name} - Pomyślałem, że możesz być zainteresowany/na i chcesz zobaczyć {item_title} na stronie {item_url}");
	define("TELL_YOUR_NAME_FIELD", "Twoje imię");
	define("TELL_YOUR_EMAIL_FIELD", "Twój email");
	define("TELL_FRIENDS_NAME_FIELD", "Imię znajomego");
	define("TELL_FRIENDS_EMAIL_FIELD", "Email znajomego");
	define("TELL_COMMENT_FIELD", "Komentarz");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "NOTKA O OCHRONIE DANYCH: Nie zachowujemy i nie wykorzystujemy ponownie Twojego adresu email lub adresu email Twojego znajomego dla jakichkolwiek innych celów");
	define("TELL_SENT_MSG", "Twoja wiadomość została wysłana pomyślnie<br>Dziękujemy!");
	define("TELL_FRIEND_MESSAGE_MSG", "Thought you might be interested in seeing the {item_title} at {item_url}\\n\\n{user_name} left you a note:\\n{user_comment}");
	define("TELL_FRIEND_PARAM_MSG", "Introduce a friend' URL");
	define("TELL_FRIEND_PARAM_DESC", "adds a friend's URL parameter to a 'Tell a Friend' link if it exists for a user");
	define("FRIEND_COOKIE_EXPIRES_MSG", "Friend Cookie Expires");

	define("CONTACT_US_TITLE", "Contact Us");
	define("CONTACT_USER_NAME_FIELD", "Twoje imię");
	define("CONTACT_USER_EMAIL_FIELD", "Twój email");
	define("CONTACT_SUMMARY_FIELD", "Podsumowanie on-line");
	define("CONTACT_DESCRIPTION_FIELD", "Opis");
	define("CONTACT_REQUEST_SENT_MSG", "Your request was successfully sent.");

	// internal messages system
	define("FOLDER_INBOX_MSG", "Inbox");
	define("FOLDER_SENT_MSG", "Sent");
	define("FOLDER_DRAFT_MSG", "Draft");
	define("FOLDER_TRASH_MSG", "Trash");
	define("READ_MSG", "Read");
	define("USER_NOT_FOUND_MSG", "User {username} wasn't found.");
	define("MESSAGE_SAVED_MSG", "Your message has been saved.");
	define("NO_MESSAGES_MSG", "No messages were found");
	define("SEND_ME_MESSAGE_MSG", "Send me a Message");
	define("WRITE_NEW_MESSAGE_MSG", "Write a new Message");
	define("REACH_BOX_LIMIT_MSG", "You reach box limit - {box_limit} messages. Delete some messages before proceed.");
	define("MESSAGES_DAY_LIMIT_ERROR", "You can't send more than {day_limit} messages per day.");

	// przyciski
	define("GO_BUTTON", "Idź");
	define("CONTINUE_BUTTON", "Kontynuuj");
	define("BACK_BUTTON", "Powrót");
	define("NEXT_BUTTON", "Następny");
	define("PREV_BUTTON", "Poprzedni");
	define("SIGN_IN_BUTTON", "Zapisz się");
	define("LOGIN_BUTTON", "Zaloguj się");
	define("LOGOUT_BUTTON", "Wyloguj się");
	define("SEARCH_BUTTON", "Szukaj");
	define("RATE_IT_BUTTON", "Oceń produkt!");
	define("ADD_BUTTON", "Dodaj");
	define("UPDATE_BUTTON", "Uaktualnij");
	define("APPLY_BUTTON", "Zastosuj");
	define("REGISTER_BUTTON", "Zarejestruj");
	define("VOTE_BUTTON", "Głosuj");
	define("CANCEL_BUTTON", "Anuluj");
	define("CLEAR_BUTTON", "Wyczyść");
	define("RESET_BUTTON", "Zresetuj");
	define("DELETE_BUTTON", "Skasuj");
	define("DELETE_ALL_BUTTON", "Delete All");
	define("SUBSCRIBE_BUTTON", "Zapisz się");
	define("UNSUBSCRIBE_BUTTON", "Wypisz się");
	define("SUBMIT_BUTTON", "Zatwierdź");
	define("UPLOAD_BUTTON", "Wgraj pliki");
	define("SEND_BUTTON", "Wyślij");
	define("PREVIEW_BUTTON", "Preview");
	define("FILTER_BUTTON", "Filter");
	define("DOWNLOAD_BUTTON", "Download");
	define("REMOVE_BUTTON", "Remove");
	define("EDIT_BUTTON", "Edit");
	define("CHANGE_BUTTON", "Change");
	define("SAVE_BUTTON", "Save");
	define("REPLY_BUTTON", "Odpowiedz");
	define("FORWARD_BUTTON", "Forward");

	// controls
	define("CHECKBOXLIST_MSG", "Checkboxes List");
	define("LABEL_MSG", "Label");
	define("LISTBOX_MSG", "ListBox");
	define("RADIOBUTTON_MSG", "Radio Buttons");
	define("TEXTAREA_MSG", "TextArea");
	define("TEXTBOX_MSG", "TextBox");
	define("TEXTBOXLIST_MSG", "Text Boxes List");
	define("WIDTH_AND_HEIGHT_MSG", "Width & Height");
	define("IMAGEUPLOAD_MSG", "Image Upload");
	define("IMAGE_SELECT_MSG", "Image Select");
	define("CREDIT_CARD_MSG", "Credit Card");
	define("GROUP_MSG", "Group");

	// pola
	define("LOGIN_FIELD", "Nazwa użytkownika");
	define("USERNAME_FIELD", "Nazwa użytkownika");
	define("PASSWORD_FIELD", "Hasło");
	define("CONFIRM_PASS_FIELD", "Potwierdź hasło");
	define("NEW_PASS_FIELD", "Nowe hasło");
	define("CURRENT_PASS_FIELD", "Obecne hasło");
	define("FULL_NAME_FIELD", "Name");
	define("FIRST_NAME_FIELD", "Imię");
	define("LAST_NAME_FIELD", "Nazwisko");
	define("NICKNAME_FIELD", "Użytkownik");
	define("PERSONAL_IMAGE_FIELD", "Zdjęcie");
	define("COMPANY_SELECT_FIELD", "Firma");
	define("SELECT_COMPANY_MSG", "Wybierz firmę");
	define("COMPANY_NAME_FIELD", "Nazwa firmy");
	define("EMAIL_FIELD", "Email");
	define("STREET_FIRST_FIELD", "Adres linijka 1");
	define("STREET_SECOND_FIELD", "Adres linijka 2");
	define("CITY_FIELD", "Miasto");
	define("PROVINCE_FIELD", "Województwo");
	define("SELECT_STATE_MSG", "Select State");
	define("STATE_FIELD", "Stan");
	define("ZIP_FIELD", "Kod pocztowy");
	define("SELECT_COUNTRY_MSG", "Wybierz kraj");
	define("COUNTRY_FIELD", "Kraj");
	define("PHONE_FIELD", "Telefon");
	define("DAYTIME_PHONE_FIELD", "Telefon w godz. dziennych");
	define("EVENING_PHONE_FIELD", "Telefon w godz. wieczornych");
	define("CELL_PHONE_FIELD", "Telefon komórkowy");
	define("FAX_FIELD", "Fax");
	define("VALIDATION_CODE_FIELD", "Validation Code");
	define("AFFILIATE_CODE_FIELD", "Affiliate Code");
	define("AFFILIATE_CODE_HELP_MSG", "Please use the following URL {affiliate_url} to create a link affiliated with our site");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal Account");
	define("TAX_ID_FIELD", "Tax Number");
	define("MSN_ACCOUNT_FIELD", "MSN Account");
	define("ICQ_NUMBER_FIELD", "ICQ Number");
	define("USER_SITE_URL_FIELD", "User's Site URL");
	define("HIDDEN_STATUS_FIELD", "Hidden Status");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Do not show my online status");
	define("SHOW_ON_SITE_FIELD", "Show on site");
	define("SUMMARY_MSG", "Podsumowanie");
	define("MY_ADDRESS_BOOK_MSG", "My Address Book");
	define("MY_ADDRESS_BOOK_DESC", "Manage your address book of delivery addresses so the next time you order anything you could pick it up on from the list of delivery addresses without having to re-type the address over again.");
	define("ADDRESS_MSG", "Address");
	define("ADDRESS_TYPE_MSG", "Address Type");
	define("MY_ADDRESSES_MSG", "My Addresses");
	define("NO_ADDRESSES_MSG", "No addresses were found");
	define("SELECT_ADDRESS_MSG", "Select Address");
	define("SELECT_COUNTRY_FIRST_MSG", "Select country first");
	define("NO_STATES_FOR_COUNTRY_MSG", "No states available for selected country");
	define("ACCESS_TOKEN_MSG", "Access Token");
	define("MY_MESSAGES_MSG", "My Messages");
	define("MY_MESSAGES_DESC", "Here you can communicate with other users without having to share your e-mail addresses.");
	define("TERMS_MSG", "Terms & Conditions");
	define("TERMS_USER_DESC", "I have read and agree to your terms and conditions");

	// general form tabs
	define("GENERAL_TAB", "General");
	define("DESCRIPTION_TAB", "Description");
	define("LOCATION_TAB", "Location");
	define("IMAGES_TAB", "Images");
	define("PHOTOS_TAB", "Photos");

	// informacje dot. braku wpisów
	define("NO_RECORDS_MSG", "Nie znaleziono wpisów");
	define("NO_EVENTS_MSG", "Nie znaleziono zdarzenia");
	define("NO_QUESTIONS_MSG", "Nie znaleziono pytań");
	define("NO_NEWS_MSG", "Nie znaleziono nowych artykułów");
	define("NO_POLLS_MSG", "Nie znaleziono ankiet");
	define("NO_REMINDERS_MSG", "No reminders were found");
	define("NO_DATA_WERE_FOUND_MSG", "No data were found");


	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS Test");
	define("SMS_TEST_DESC", "Please enter your cell phone number and press button 'SEND_BUTTON' to receive test message");
	define("INVALID_CELL_PHONE", "Incorrect cell phone number");

	define("ARTICLE_RELATED_PRODUCTS_TITLE", "Article Related Products");
	define("CATEGORY_RELATED_PRODUCTS_TITLE", "Category Related Products");
	define("SELECT_TYPE_MSG", "Wybierz Typ");
	define("OFFER_PRICE_MSG", "Offer Price");
	define("OFFER_MESSAGE_MSG", "Offer Message");

	define("MY_WISHLIST_MSG", "My Wishlist");
	define("MY_WISHLIST_DESC", "Here you can view wishlist items saved in the past.");
	define("SELECT_WISHLIST_TYPE_MSG", "Please select a type to save product in your wishlist");
	define("MY_REMINDERS_MSG", "My Reminders");
	define("EDIT_REMINDER_MSG", "Edit Reminder");


	define("SELECT_SUBFOLDER_MSG", "Select Subfolder");
	define("CURRENT_DIR_MSG", "Current directory");
	define("NO_AVAILIABLE_CATEGORIES_MSG", "No categories available");
	define("SHOW_FOR_NON_REGISTERED_USERS_MSG", "Show for non registered users");
	define("SHOW_FOR_REGISTERED_USERS_MSG", "Show for all registered users");
	define("VIEW_ITEM_IN_THE_LIST_MSG", "View item in products list");
	define("ACCESS_DETAILS_MSG", "Access Details");
	define("ACCESS_ITEMS_DETAILS_MSG", "Access item details / buy item");
	define("OTHER_SUBSCRIPTIONS_MSG", "Other Subscriptions");
	define("USE_CATEGORY_ALL_SITES_MSG", "Use this category for all sites (untick this checkbox to select sites manually)");
	define("USE_ITEM_ALL_SITES_MSG", "Use this item for all sites (untick this checkbox to select sites manually) ");
	define("SAVE_SUBSCRIPTIONS_SETTINGS_BY_CATEGORY_MSG", "Save subscriptions settings from categories");
	define("SAVE_SITES_SETTINGS_BY_CATEGORY_MSG", "Save sites settings from categories");
	define("ACCESS_LEVELS_MSG", "Access Levels");
	define("SITES_MSG", "Sites");
	define("NON_REGISTERED_USERS_MSG", "Non registered users");
	define("REGISTERED_CUSTOMERS_MSG", "Registered Users");
	define("PREVIEW_IN_SEPARATE_SECTION_MSG", "Show in separate section");
	define("PREVIEW_BELOW_DETAILS_IMAGE_MSG", "Show below image on details page");
	define("PREVIEW_BELOW_LIST_IMAGE_MSG", "Show below image on listing page");
	define("PREVIEW_POSITION_MSG", "Position");
	define("ADMIN_NOTES_MSG", "Administrator Notes");
	define("USER_NOTES_MSG", "User Notes");
	define("CMS_PERMISSIONS_MSG", "CMS Permissions");
	define("ARTICLES_PERMISSIONS_MSG", "Articles Permissions");
	define("WISHLIST_MSG", "Wishlist");
	define("TYPE_IS_NOT_AVAILIABLE_MSG", "Type is not availiable");
	define("TYPE_IS_NOT_SELECTED_MSG", "Type is not selected");
	define("SHOW_ALL_MSG", "Show all");

	define("MEMBER_SINCE_MSG", "Member Since");
	define("SITEMAP_TITLE_INDEX", "title");
	define("SITEMAP_URL_INDEX", "url");
	define("SITEMAP_SUBS_INDEX", "subs");

	define("HOT_RELEASES_MSG", "Hot Releases");
	define("PAY_FOR_AD_MSG", "Pay for Ad");
	define("CHECK_SITE_MSG", "check the site");

	define("CONTACT_US_MSG", "Contact Us");
	define("REGISTERED_USERS_ALLOWED_MESSAGES_MSG", "Only registered users can send their messages.");
	define("NOT_ALLOWED_SEND_MESSAGES_MSG", "Sorry, but you are not allowed to send messages.");
	define("MESSAGE_SENT_MSG", "Your message has been sent sucessfully");
	define("MESSAGE_INTERVAL_ERROR", "Please wait for {interval_time} to send your message.");
	define("ONE_LINE_SUMMARY_MSG", "Podsumowanie on-line");
	define("DETAILED_COMMENT_MSG", "Szczegółowe komentarze");
	define("REMINDER_MSG", "Reminder");
	define("CHAINED_MENU_TITLE", "Chained Menu");
	//article statuses
	define("ARTICLE_NEW_MSG", "New");
	define("ARTICLE_PUBLISHED_MSG", "Published");
	define("ARTICLE_PENDING_MSG", "Pending");
	define("ARTICLE_HIDDEN_MSG", "Hidden");
	//priorities
	define("PRIORITY_HIGH_MSG", "High");
	define("PRIORITY_NORMAL_MSG", "Normal");
	define("PRIORITY_LOW_MSG", "Low");
	//customer types
	define("CUSTOMER_TYPE_MSG", "Customer");
	//cookies constants
	define("COOKIE_CONTROL_MSG", "Cookies Control");
	define("COOKIE_INFO_MSG", "<b>Cookies Control</b><br /><br />This site uses cookies to store information on your computer. If you turn off cookies, some site features will become unavailable.<br /><a href=\"page.php?page=use_of_cookies\">Read more</a><br /><br />Keep cookies?");
	define("CALL_CENTER_MODE_MSG", "You are in <b>Call Center mode</b>. It means all checkout settigns you see are visible only to you as administrator. <b>Logout</b> from admin panel to switch to usual mode.");

?>