<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// cart messages
	define("CART_TITLE", "Carrinho de compras ");
	define("SMALL_CART_TITLE", "As suas compras");
	define("PRODUCTS_TITLE", "Produtos");
	define("LATEST_PRODUCTS_TITLE", "Latest Products");
	define("RELATED_PRODUCTS_TITLE", "Produtos similares");
	define("TOP_SELLERS_TITLE", "Os melhores vendedores");
	define("PRODUCTS_RECOMMENDED_TITLE", "Produtos Recomendados");
	define("ONE_PAGE_CHECKOUT_TITLE", "One Page Checkout");
	define("CHECKOUT_LOGIN_TITLE", "Identificação");
	define("CHECKOUT_INFO_TITLE", "Informações Pessoais");
	define("CHECKOUT_PAYMENT_TITLE", "Detalhes do Pagamento");
	define("CHECKOUT_CONFIRM_TITLE", "Confirmação");
	define("CHECKOUT_FINAL_TITLE", "Finalização");
	define("CHANGES_LOG_TITLE", "Histórico");
	define("COMPARE_TITLE", "Comparação de produtos");
	define("CUSTOMERS_WHO_BOUGHT_TITLE", "Customers Who Bought This Item Also Bought");

	define("PRODUCT_MSG", "Produto");
	define("PRICES_MSG", "Preços");
	define("OUR_PRICE_MSG", "O nosso preço");
	define("YOU_SAVE_MSG", "Poupe");
	define("PROD_OPTIONS_MSG", "Opções");
	define("PROD_SUBCOMPONENTS_MSG", "Subcomponentes");
	define("OPTIONS_AND_COMPONENTS_MSG", "Opções e componentes");
	define("PROD_AVAILABILITY_MSG", "Disponibilidade");
	define("PROD_HIGHLIGHT_MSG", "Em destaque");
	define("PROD_SUPER_IMAGE_MSG", "Clique aqui para aumentar a imagem");
	define("PROD_PREVIEW_MSG", "Pré-visualização");
	define("PROD_PREVIEW_CLICK_MSG", "Clique aqui para pré-visualizar");
	define("PROD_DESCRIPTION_MSG", "Descrição");
	define("PROD_SPECIFICATION_MSG", "Especificações");
	define("PROD_IMAGES_MSG", "Imagens");
	define("PROD_ACCESSORIES_MSG", "Acessórios");
	define("PROD_NOTE_MSG", "Nota");
	define("PROD_SHIPPING_MSG", "Transporte/encomenda");
	define("PROD_WEIGHT_MSG", "Peso");
	define("PROD_DOWNLOAD_COLUMN", "Links");
	define("PROD_TITLE_COLUMN", "Produto");
	define("PROD_CODE_MSG", "Código");
	define("PROD_QTY_COLUMN", "Quantidade");
	define("PROD_PRICE_COLUMN", "Preço");
	define("PROD_TOTAL_COLUMN", "Preço Total");
	define("PROD_TAX_TOTAL_COLUMN", "Preço mais impostos");
	define("GOODS_TOTAL_MSG", "Total da compra ");
	define("PAYMENT_AMOUNT_MSG", "Payment Amount");
	define("TOTAL_DISCOUNT_MSG", "Desconto total");
	define("GOODS_WITH_DISCOUNT_MSG", "Custo dos produtos, depois dos descontos");
	define("SHIPPING_TRACKING_NUMBER_MSG", "Número de controlo da encomenda");
	define("SHIPPING_EXPECTING_MSG", "Data prevista da encomenda");
	define("SELECT_SHIPPING_METHOD_MSG", "Select Shipping Method");
	define("SHIPPING_METHOD_MSG", "Shipping Method");
	define("PROCESSING_FEE_MSG", "Imposto");
	define("MY_PRODUCTS_MSG", "Os meus produtos");
	define("MY_PRODUCTS_DESC", "Clique aqui para adicionar novos produtos ou modificar outros já existentes.");
	define("EDIT_PRODUCT_MSG", "Editar produto");
	define("ORDER_STEP_ONE_MSG", "Step 1. Personal and Delivery Data.");
	define("ORDER_STEP_TWO_MSG", "Step 2. Payment Details.");
	define("ORDER_STEP_THREE_MSG", "Step 3. Order Confirmation.");
	define("PROD_NEW_ERROR", "Não tem permissão para criar um novo produto.");
	define("PROD_EDIT_ERROR", "Não tem permissão para editar este produto.");
	define("PROD_DELETE_ERROR", "Não tem permissão para eliminar este produto.");
	define("PROD_DELETE_CONFIRM_MSG", "Deseja eliminar este produto?");
	define("PROD_NOT_APPROVED_MSG", "Não aprovado");
	define("PROD_ACTIVE_MSG", "Activo");
	define("PROD_GENERAL_TAB", "Geral");
	define("PROD_DOWNLOADABLE_TAB", "Software para download");
	define("PROD_SPECIAL_OFFER_TAB", "Oferta especial");
	define("PROD_RECURRING_TAB", "Prestações");
	define("PROD_NOTIFICATION_TAB", "Notificação");
	define("PROD_NOTES_TAB", "Classificação/notas");
	define("PROD_GENERAL_INFO_MSG", "Informação geral do produto");
	define("PROD_SHOWN_MSG", "Tornar este produto disponível para vendas");
	define("PROD_ORDER_MSG", "Ordem de Produto");
	define("PROD_TYPE_MSG", "Tipo de produto");
	define("PROD_TYPE_NOTE", "Note: if you select 'Gift Voucher' type the system will automatically generate a gift voucher coupon after placing the order, if you select 'Bundle' then you should add subcomponents to this product as only they are visible on checkout.");
	define("PROD_NAME_MSG", "Nome de produto");
	define("PROD_MANUFACTURER_MSG", "Fabricante");
	define("PROD_ISSUE_DATE_MSG", "Data de lançamento do produto");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "Opções adicionais");
	define("PROD_ALLOWED_COMPARISON_MSG", "Permitir comparação de produto");
	define("PROD_TAX_FREE_MSG", "Produto livre de impostos e taxas");
	define("PROD_LANGUAGE_DESC", "Mostrar o produto apenas na língua seleccionada");
	define("PROD_PRICING_MSG", "Preçário");
	define("PROD_CHANGE_PRICE_MSG", "Permitir aos clientes alterar o preço");
	define("PROD_LIST_PRICE_MSG", "Preço (Tabela de preços)");
	define("PROD_DISCOUNT_PRICE_MSG", "Preço com descontos");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "Activar descontos");
	define("PROD_TRADE_PRICE_MSG", "PVP");
	define("PROD_DISCOUNT_TRADE_MSG", "PVP com descontos");
	define("PROD_BUYING_PRICE_MSG", "Preço de compra");
	define("PROD_SHOWN_DISCOUNT_MSG", "Percentagem de desconto");
	define("PROD_OPTIONS_PRICE_MSG", "Preço das opções");
	define("PROD_OPTIONS_PRICE_DESC", "Use este campo se quiser mostrar os preços incluindo os preços das opções mesmo que estas não estejam disponíveis");
	define("PROD_PRICE_PREVIEW_MSG", "Pré-visualização do preço (a aparecer na página)");
	define("PROD_APPEARANCE_MSG", "Aspecto visual");
	define("PROD_LANGUAGE_MSG", "Língua");
	define("CUSTOM_TEMPLATE_MSG", "Modelo personalizado");
	define("HIDE_ADD_BUTTON_MSG", "Ocultar o botão '<b>{ADD_TO_CART_MSG}</b>'");
	define("ON_PROD_LIST_MSG", "na página da lista de produtos");
	define("ON_PROD_DETAILS_MSG", "na página de detalhes do produto");
	define("ON_TABLE_VIEW_MSG", "on table view list");
	define("ON_GRID_VIEW_MSG", "on grid view list");
	define("ON_SEPARATE_PAGE_MSG", "em página separada");
	define("ON_CHECKOUT_PROCESS_MSG", "em processo de verificação");
	define("PROD_PREVIEW_URL_MSG", "URL para pré-visualização do produto");
	define("PROD_STOCK_MSG", "Stock");
	define("USE_STOCK_MSG", "Utilizar o nível de stock");
	define("STOCK_QUANTITY_MSG", "Quantidade em stock");
	define("HIDE_OUT_STOCK_MSG", "Ocultar o produto, quando não há em stock");
	define("HIDE_OUT_STOCK_DESC", "Não mostrar o produto na web, se não houver em stock");
	define("DISABLE_OUT_STOCK_MSG", "Ocultar produtos fora dos limites");
	define("DISABLE_OUT_STOCK_DESC", "Desactivar o botão '<b>{ADD_TO_CART_MSG}</b>' se o produto não houver em stock");
	define("IN_STOCK_AVAILABILITY_MSG", "Disponibilidade em stock");
	define("IN_STOCK_AVAILABILITY_DESC", "Prazo previsto de entrega caso o produto esteja disponível (em stock)");
	define("OUT_STOCK_AVAILABILITY_MSG", "Ruptura de Stock");
	define("OUT_STOCK_AVAILABILITY_DESC", "Prazo previsto de entrega caso o produto não esteja disponível (não em stock)");
	define("SHIPPING_RESTRICTIONS_MSG", "Restricções de transporte");
	define("PROD_OFFER_ACTIVATE_MSG", "Adicionar este produto à secção de ofertas especiais");
	define("PROD_RATING_MSG", "Classificação de produto");
	define("PROD_DIRECT_LINK_MSG", "Link directo para comprar produto");
	define("PRODUCTS_REPORT_MSG", "Relatório dos produtos");
	define("MERCHANT_SALES_MSG", "Vendas do comerciante");
	define("MERCHANT_SALES_DESC", "Esta secção permite visualizar a lista de vendas relacionada com os produtos que seleccionou. Aqui, também poderá verificar a quantidade total de comissões geradas.");
	define("AFFILIATE_SALES_MSG", "Vendas da Filial / Associado");
	define("AFFILIATE_SALES_DESC", "Clica aqui para ver a lista de todas as vendas dos associados / filiais. Pode aqui tambem visualizar o valor total gerado em comissões. ");
	define("COMMISSION_PAYMENTS_MSG", "Pagamentos de comissões");
	define("COMMISSION_PAYMENTS_DESC", "Por favor visite esta secção para configurar os pagamentos de comissões");
	define("PAYMENT_NAME_COLUMN", "Nome do pagamento");
	define("PAYMENT_TOTAL_COLUMN", "Total");
	define("PAYMENT_DATE_COLUMN", "Data de pagamento");
	define("NO_COMMISSION_PAYMENTS_MSG", "Não foram encontrados pagamentos de comissão");
	define("COMMISSIONS_MSG", "Comissões");
	define("COMMISSION_AMOUNT_COLUMN", "Valor das comissões");
	define("COMMISSION_DATE_COLUMN", "Data da comissão");
	define("NO_COMMISSIONS_MSG", "Não foram encontradas comissões");
	define("AFFILIATE_MSG", "Associado / Filial");
	define("MERCHANT_MSG", "Comerciante");
	define("CONTACT_MERCHANT_TITLE", "Contactar comerciante");
	define("PROD_SORT_BY_MSG", "Ordenar por");
	define("PROD_SORT_DEFAULT_MSG", "Por defeito");
	define("PROD_SORT_MANUFACTURER_MSG", "Fabricante");
	define("PROD_SORT_CODE_MSG", "Código");
	define("PROD_MOST_POPULAR_MSG", "O mais popular");
	define("PROD_FIELDS_TAB", "Campos");
	define("PROD_TERMS_TAB", "Termos");
	define("PROD_SHOW_TERMS_MSG", "Mostrar termos e condições");
	define("PROD_SHOW_TERMS_DESC", "Para adquirir este produto, o utilizador tem que ler e concordar  com os nossos termos e condições");
	define("PROD_TERMS_USER_ERROR", "Para adquirir o produto tem que ler e concordar com os nossos termos e condições");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "Quantidade de produto que podem ser adicionados pelo comerciante");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "Deixe este campo vazio se não pretender fazer restricções à quantidade de produtos.");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "Pedimos desculpa, mas não tem permissão para adicionar mais que {products_limit} produtos.");
	define("FEES_COMMISSIONS_MSG", "Taxas & Comissões");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "Descontos, taxas, comissões");
	define("DISCOUNT_MSG", "Descontos");
	define("MERCHANT_FEE_MSG", "Taxa comerciante");
	define("AFFILIATE_COMMISSION_MSG", "Comissão do associado / filial");
	define("NO_OPTIONS_AVAILABLE_MSG", "Não há opções, nem componentes disponíveis");
	define("OPTION_MSG", "Opção");
	define("SUBCOMPONENT_MSG", "Subcomponente");
	define("SUBCOMPONENT_SELECTION_MSG", "Selecção de subcomponente");
	define("ADD_SUBCOMPONENT_MSG", "Adicionar subcomponente");
	define("ADD_SUBCOMPONENT_SELECTION_MSG", "Adicionar selecção de subcomponente");
	define("EDIT_OPTION_MSG", "Editar opção");
	define("OPTION_ORDER_MSG", "Ordenação da opção");
	define("OPTION_NAME_MSG", "Nome da opção");
	define("OPTION_HINT_MSG", "Option Hint");
	define("OPTION_HINT_DESC", "shown instead of Option Name");
	define("OPTION_CONTROL_MSG", "Controlo da opção");
	define("CONTROL_TYPE_USE_DESC", "Para <b>Checkboxes List</b>, <b>ListBox</b> e <b>Radio Buttons</b> adicione, por favor, os valores nas respectivas opções.");
	define("OPTION_TEXT_MSG", "Texto das opções");
	define("OPTION_STYLE_MSG", "Estilo das opções");
	define("OPTION_STYLE_NOTE", "Use o modelo CSS para mudar a visualização do bloco de opções");
	define("SHOW_OPTION_MSG", "Mostrar propriedade");
	define("OPTION_REQUIRED_MSG", "Aparência / Visualização das opções");
	define("OPTIONS_APPEARANCE_MSG", "Opções do aspecto físico");
	define("CONTROL_STYLE_MSG", "Estilo de controlo");
	define("CONTROL_STYLE_NOTE", "Use o modelo CSS para mudar a visualização dos controlos");
	define("BEFORE_TITLE_HTML_MSG", "Antes do título HTML");
	define("BEFORE_TITLE_HTML_NOTE", "Este HTML aparece antes da opção de nome");
	define("BEFORE_TITLE_COMPONENT_NOTE", "Este HTML aparece antes da componente de nome");
	define("AFTER_TITLE_HTML_MSG", "Depois do título HTML");
	define("AFTER_TITLE_HTML_NOTE", "Este HTML aparece depois da opção do nome");
	define("AFTER_TITLE_COMPONENT_NOTE", "Este HTML aparece depois da componente do nome");
	define("BEFORE_CONTROL_HTML_MSG", "Antes do controlo HTML");
	define("BEFORE_CONTROL_HTML_NOTE", "Este HTML aparece antes de cada opção de controlo");
	define("BEFORE_CONTROL_COMPONENT_NOTE", "Este HTML aparece antes de cada componente de controlo");
	define("AFTER_CONTROL_HTML_MSG", "Depois do controlo HTML");
	define("AFTER_CONTROL_HTML_NOTE", "Este HTML aparece depois de cada opção de controlo");
	define("AFTER_CONTROL_COMPONENT_NOTE", "Este HTML aparece depois de cada componente de controlo");
	define("END_HTML_MSG", "Fim HTML");
	define("END_HTML_NOTE", "este HTML aparece no fim do bloco de opções");
	define("END_COMPONENT_NOTE", "this HTML appear in the end of the component block");
	define("JAVASCRIPT_SETTINGS_MSG", "Definições de Javascript");
	define("ONCHANGE_EVENT_MSG", "OnChange Event");
	define("ONCLICK_EVENT_MSG", "OnClick Event");
	define("CONTROL_CODE_MSG", "Código de controlo");
	define("OPTIONS_VALUES_MSG", "Opções de valores");
	define("DESCRIPTION_AND_CODE_MSG", "Descrição & código");
	define("SELLING_MSG", "Vendas");
	define("PERCENTAGE_MSG", "Percentagem");
	define("OPTION_PERCENTAGE_PRICE_DESC", "Colocar a opção de preço como percentagem do preço original do produto");
	define("PERCENTAGE_PRICE_TYPE_MSG", "Percentage Price Type");
	define("FROM_PRODUCT_PRICE_MSG", "from product price");
	define("FROM_OTHER_OPTION_MSG", "from other option");
	define("BUYING_MSG", "Compra");
	define("USE_MSG", "Utilizar");
	define("ACTIVATE_STOCK_CONTROL_MSG", "Activar controlo do stock");
	define("ACTIVATE_CONTROL_CHECKBOX_MSG", "Check the following checkbox to activate stock control for this option value");
	define("CHECK_STOCK_USE_MSG", "Please, activate the Stock Level option before using the 'Hide Off Limits' option ");
	define("HIDE_MSG", "Ocultar");
	define("HIDE_IF_OUT_STOCK_MSG", "Ocultar, se não houver em stock");
	define("HIDE_OPTION_VALUE_DESC", "Check the following checkbox to hide this option value if it's out of stock");
	define("PATH_MSG", "caminho");
	define("PERIOD_MSG", "Período");
	define("STOCK_LEVEL_MSG", "Nível de stock");
	define("DOWNLOADABLE_OPTIONS_MSG", "Opções para download");
	define("ADD_MORE_OPTIONS_QST", "Adicionar mais opções de valores?");
	define("EDIT_SUBCOMP_MSG", "Editar subcomponente");
	define("SUBCOMP_ID_MSG", "ID Subcomponente");
	define("SUBCOMP_NAME_MSG", "Nome Subcomponente");
	define("SUBCOMP_PRICE_MSG", "Preço Subcomponente");
	define("SUBCOMP_PRICE_NOTE", "aqui pode substituir o preço base do produto");
	define("OVERRIDE_PRICE_MSG", "Preço de substituição");
	define("REAL_PRICE_MSG", "Preço real");
	define("EDIT_SUBCOMP_SELECTION_MSG", "Editar selecção de componente");
	define("COMPONENT_ORDER_MSG", "Component Order");
	define("COMPONENT_NAME_MSG", "Component Name");
	define("COMPONENT_CONTROL_MSG", "Component Control");
	define("COMPONENT_CONTROL_DESC", "Controlo utilizado para especificar subcomponentes adicionais");
	define("COMPONENT_STYLE_MSG", "Estilo de componente");
	define("USE_CSS_TO_CHANGE_MSG", "Use CSS to change component block layout");
	define("SHOW_COMPONENT_MSG", "Mostrar componente");
	define("COMPONENT_REQUIRED_MSG", "Component Required");
	define("COMPONENT_APPEARANCE_MSG", "Aspecto físico da componente");
	define("LIST_OF_SUBCOMPONENTS_MSG", "List of subcomponents");
	define("ADD_MORE_SUBCOMP_QST", "Adicionar mais subcomponentes?");
	define("PRODUCT_SELECTION_MSG", "Selecção de produto");
	define("SELECT_PRODUCT_MSG", "Seleccionar produto");
	define("PRODUCT_ID_MSG", "ID do produto");
	define("POINTS_MSG", "Points");
	define("PROD_PAY_POINTS_MSG", "Pay with Points for Product(s)");
	define("POINTS_NOT_ALLOWED_MSG", "Not Allowed");
	define("POINTS_ALLOWED_MSG", "Allowed");
	define("ONLY_POINTS_ALLOWED_MSG", "Pay only with points");
	define("POINTS_PRICE_MSG", "Points Price");
	define("POINTS_PRICE_DESC", "leave this field blank if you want a points price to be calculated from a points conversion rate");
	define("POINTS_AMOUNT_MSG", "Points Amount");
	define("REWARD_POINTS_MSG", "Reward Points");
	define("REWARD_POINTS_TYPE_MSG", "Reward Points Type");
	define("REWARD_POINTS_AMOUNT_MSG", "Reward Points Amount");
	define("PAY_WITH_POINTS_SYSTEM_MSG", "Pay with Points System");
	define("PERCENT_PER_PROD_FULL_PRICE_MSG", "Percentage per product/option selling price");
	define("FIXED_AMOUNT_PER_PROD_MSG", "Fixed amount per product");
	define("PERCENT_PER_PROD_SELL_PRICE_MSG", "Percentage per product selling price");
	define("PERCENT_PER_PROD_SELL_BUY_MSG", "Percentage per (selling price - buying price)");
	define("POINTS_CONVERSION_RATE_MSG", "Conversion rate for money to points");
	define("SHIPPING_PAY_POINTS_MSG", "Pay with Points for Shipping");
	define("ORDER_OPTIONS_PAY_POINTS_MSG", "Pay with Points for Order Option(s)");
	define("POINTS_DECIMALS_MSG", "Number of decimals for Points");
	define("ACCUMULATE_POINTS_MSG", "Accumulate points");
	define("ACCUMULATE_POINTS_FOR_POINTS_MSG", "Do you want customers to accumulate points when paying with points?");
	define("POINTS_BALANCE_MSG", "Points balance");
	define("POINTS_REMAINING_MSG", "Points remaining");
	define("POINTS_NEEDED_TOTAL_MSG", "Total points needed");
	define("POINTS_CHECKBOXES_SELECT_MSG", "Use checkboxes to select products and options you want to pay with points.");
	define("POINTS_ENOUGH_ERROR", "Sorry, but you don't have enough points {points_amount} to pay for your order.");
	define("CREDIT_BALANCE_MSG", "Credit Balance");
	define("REWARDS_MSG", "Rewards");
	define("REWARD_CREDITS_MSG", "Reward Credits");
	define("REWARD_CREDITS_TYPE_MSG", "Reward Credits Type");
	define("REWARD_CREDITS_AMOUNT_MSG", "Reward Credits Amount");
	define("REWARD_CREDITS_TOTAL_MSG", "Total Reward Credits");
	define("PRODUCT_REWARDS_MSG", "Product Rewards");
	define("POINTS_AND_CREDITS_MSG", "Points & Credits");
	define("CREDITS_MSG", "Credits");
	define("DISCOUNT_PRICE_TYPE_MSG", "Discount Price Type");
	define("PARENT_OPTION_MSG", "Parent Option");
	define("PARENT_OPTION_DESC", "parent option to be selected to show current option");
	define("PARENT_OPTION_VALUE_MSG", "Parent Option Value");
	define("PARENT_OPTION_VALUE_DESC", "parent option value to be selected to show current option");
	define("PARENT_COMPONENT_SELECTION_MSG", "Parent Component Selection");
	define("PARENT_COMPONENT_MSG", "Parent Component");
	define("ASSIGN_OPTION_MSG", "Assign Option");
	define("ASSIGN_COMPONENT_MSG", "Assign Component");
	define("ONLY_FOR_LABEL_MSG", "Only for <b>Label Control</b>");
	define("AUTO_ADD_TO_ALL_PRODS_MSG", "Automatically added to all products");
	define("SELECT_OPTION_AND_VALUES_MSG", "Allow you to select this option and option values for each product individually");
	define("SELECT_OPTION_ALL_VALUES_MSG", "Allow you to select this option with all values for each product individually");
	define("SINGLE_TOTAL_PRICE_MSG", "Single total price");
	define("FOR_SPECIFIED_CONTOL_MSG", "For specified control type");
	define("FOR_SPECIFIED_LETTER_MSG", "For specified letter");
	define("FOR_SPECIFIED_NONSPACE_MSG", "For specified non-space letter");
	define("SUMMARY_DISCOUNT_MSG", "Summary Discount");
	define("FREE_CHARGE_CONTROLS_MSG", "Free of charge control types");
	define("FREE_CHARGE_LETTERS_MSG", "Free of charge letters");
	define("FREE_CHARGE_NONSPACE_MSG", "Free of charge non-space letters");
	define("MAX_LETTERS_ALL_CONTROLS_MSG", "Maximum number of letters for all control types");
	define("MAX_LETTERS_EACH_CONTROL_MSG", "Maximum number of letters per each control type");
	define("MAX_NONSPACE_ALL_CONTROLS_MSG", "Maximum number of non-space letters for all control types");
	define("MAX_NONSPACE_EACH_CONTROL_MSG", "Maximum number of non-space letters per each control type");
	define("MAX_LIMIT_MSG", "Maximium Limit");
	define("MAX_LIMIT_TYPE_MSG", "Maximium Limit Type");
	define("MAX_LIMIT_LENGTH_MSG", "Maximum Limit Length");
	define("SELLING_PRICE_MSG", "Selling Price");
	define("TRADE_SELLING_PRICE_MSG", "Trade Selling Price");
	define("PERCENTAGE_PRICE_MSG", "Percentage Price");
	define("PRODUCT_ID_NO_LONGER_EXISTS_MSG", "Product with ID '<b>{item_id}</b>' no longer exists in the database");
	define("PROD_TYPE_ID_NO_LONGER_EXISTS_MSG", "Product Type with ID '<b>{item_type_id}</b>' no longer exists in the database");
	define("STOCK_AND_SHIPPING_MSG", "Stock & Shipping");
	define("IMAGES_AND_APPEARANCE_MSG", "Images & Appearance");
	define("MINIMUM_ITEMS_QTY_MSG", "Minimum Quantity");
	define("MAXIMUM_ITEMS_QTY_MSG", "Maximum Quantity");
	define("MINIMUM_ITEMS_QTY_NOTE", "minimum allowed number of items to purchase");
	define("MAXIMUM_ITEMS_QTY_NOTE", "maximum allowed number of items to purchase");
	define("QTY_INCREMENT_MSG", "Quantity Increment");
	define("ALLOWED_QUANTITIES_MSG", "Allowed Quantities");
	define("ALLOWED_QUANTITIES_NOTE", "the number of items separated by commas user can add to the cart");
	define("FREE_SHIPPING_MSG", "Free Shipping");
	define("FREE_SHIPPING_DESC", "this option excludes any shipping costs for this product and its weight");
	define("HAS_BEEN_SUCCESSFULLY_COPIED_MSG", "has been successfully copied to the following products:");
	define("ALREADY_COPIED_MSG", "are already copied to the following products:");
	define("ALLOW_PRODUCT_COMPARISON_MSG", "Allow Products Comparison");
	define("FULL_DESCRIPTION_TYPE_MSG", "Full Description Type");
	define("IS_SPECIAL_OFFER_MSG", "Is Special Offer");
	define("HIDE_BUTTON_PROD_LIST_MSG", "Hide Add to Cart button on Products listing Page");
	define("HIDE_BUTTON_PROD_DETAILS_MSG", "Hide Add to Cart button on Product Details Page");
	define("HIDE_OFF_LIMITS_PRODUCTS_MSG", "Hide Off Limits Products");
	define("IS_DOWNLOADABLE_MSG", "Is Downloadable");
	define("DIRECT_BUY_LINK_MSG", "Direct Buy Link");
	define("SHIPPING_COST_MSG", "Custo do Transporte");
	define("SELECT_ONE_PRODUCT_MSG", "Please select at least one product first.");
	define("SELECT_ONE_PRODUCT_TYPE_MSG", "Please select at least one product type first.");
	define("ADD_COMPONENTS_TO_PRODUCTS_MSG", "Add components to other Products");
	define("ADD_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Add components to other Product Types");
	define("COPY_COMPONENTS_TO_PRODUCTS_MSG", "Copy components to selected Products");
	define("COPY_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Copy components to selected Product Types");
	define("SUCCESSFULLY_COPIED_TO_PRODUCT_TYPES_MSG", "has been successfully copied to the following product types:");
	define("ALREADY_COPIED_TO_PRODUCT_TYPES_MSG", "are already copied to the following product types:");
	define("CHOOSE_OPTIONS_MSG", "Choose Options");
	define("EDIT_OPTIONS_MSG", "Edit Options");
	define("UPDATE_OPTIONS_MSG", "Update Options");
	define("PRODUCT_TABS_MSG", "Product Tabs");
	define("CUSTOM_TABS_MSG", "Custom Tabs");

	define("CART_TOTAL_MSG", "Total das compras");
	define("CONTINUE_SHOPPING_MSG", "Continuar compras");
	define("REMOVE_FROM_CART_MSG", "Remover   ");
	define("EMPTY_CART_MSG", "O seu cesto de compras está vazio!");
	define("CLEAR_CART_MSG", "Limpar carrinho");
	define("PRE_ORDER_MSG", "Pré-encomendar");
	define("BUY_NOW_MSG", "Buy Now");
	define("ADD_TO_CART_MSG", "Adicionar ao cesto de compras");
	define("ADD_TO_WISHLIST_MSG", "Add to Wishlist");
	define("VIEW_CART_MSG", "Visualizar compras");
	define("AMEND_CART_MSG", "Modificar as minhas compras");
	define("MULTI_ADD_MSG", "Multi-Add");
	define("MULTI_ADD_DESC", "add one and more products at once");
	define("MY_SAVED_CARTS_MSG", "As minhas compras guardadas");
	define("MY_SAVED_CARTS_DESC", "Aqui pode visualizar/recuperar cestos de compras guardados anteriormente");
	define("NO_CARTS_MSG", "Não foram encontradas compras");
	define("SAVE_CART_TITLE", "Guardar o seu cesto de compras");
	define("SAVE_CART_BUTTON", "Guardar compras");
	define("SAVE_CART_INFO_MSG", "Pode guardar o seu carrinho actual e recuperá-lo em qualquer altura. Por favor, digite o nome do carrinho e pressione o botão 'Save Cart'. Iremos fornecer-lhe um número de carrinho único, que pode utilizar juntamente com o nome do carrinho para recuperar os conteúdos do seu carrinho actual. Se for um utilizador registado, pode recuperar os conteúdos do seu carrinho a partir da sua home page.");
	define("SAVE_CART_EMAIL_NOTE", "Please enter your email address to receive a copy of your saved cart along with the cart number and cart name.");
	define("CART_NO_FIELD", "Nº do Carrinho");
	define("CART_NAME_FIELD", "Nome do Carrinho");
	define("CART_SAVED_DATE_COLUMN", "Data guardada");
	define("CART_TOTAL_COLUMN", "Total do Carrinho");
	define("CART_SAVED_MSG", "O seu carrinho foi guardado. O Número do seu Carrinho é <b>{cart_id}</b>.");
	define("RETRIEVE_CART_TITLE", "Recuperar o seu Carrinho");
	define("RETRIEVE_CART_BUTTON", "Recuperar o Carrinho");
	define("RETRIEVE_CART_INFO_MSG", "Por favor, digite o número e o nome do seu carrinho, para recuperar o seu carrinho anteriormente guardado.");
	define("RETRIEVE_CART_NOTE_MSG", "Por favor, lembre-se que o carrinho recuperado irá sobrecarregar o seu carrinho actual. Se tiver efectuado alguma alteração a este carrinho assim que o tiver carregado, por favor, certifique-se de que o guarda de novo.");
	define("CART_RETRIEVED_MSG", "O seu carrinho de compras foi recuperado.");
	define("RETRIEVE_CART_ERROR", "Não foi possível recuperar o seu carrinho. <br>Por favor, verifique se digitou a informação correctamente e volte a tentar.");
	define("PROD_NOT_AVAILABLE_ERROR", "Este produto, actualmente, já não se encontra disponível na loja.");
	define("PROD_OPTIONS_MISSED_ERROR", "Faltam algumas opções a este produto. Por favor, verifique a página do produto para as seleccionar.");
	define("PROD_PRICE_CHANGED_MSG", "Product price changed");

	define("GOTO_CHECKOUT_MSG", "Verificar");
	define("CHECKOUT_WITHOUT_MSG", "Verificar sem criar uma conta de cliente");
	define("OPEN_AND_CHECKOUT_MSG", "Abrir uma conta de cliente e verificar");
	define("REMOVE_FROM_CART_JS", "Tem a certeza que deseja remover este {item_type} do seu Carrinho de Compras?");
	define("CLEAR_CART_JS", "Tem a certeza que deseja remover todos os produtos do seu Carrinho de Compras?");
	define("CART_QTY_ZERO_JS", "Está a um clique de mudar a quantidade de \"{old_quantity}\" para \"0\".\\nIsto irá remover \"{product_name}\" do seu carrinho.\\nContinuar?");
	define("ALTER_CART_QTY_JS", "Está a um clique de alterar a quantidade de \\n'{product_name}' de '{old_quantity}' para '{new_quantity}'\\nContinuar?");
	define("ADD_PRODUCT_MSG", "Adicionar este produto ao seu Carrinho das Compras?");
	define("PRODUCT_OUT_STOCK_MSG", "Pedimos desculpa, mas não pode comprar este produto, por não se encontrar em stock");
	define("REQUIRED_PROPERTY_MSG", "Por favor, especifique {property_name} para {product_name}.");
	define("PRODUCT_LIMIT_MSG", "Você não pode adicionar mais que {limit_quantity} itens para {product_name}.");
	define("PRODUCT_MIN_LIMIT_MSG", "You can't add less than {limit_quantity} items for {product_name}.");
	define("PRODUCT_QUANTITY_ERROR", "You can't add {quantity} items for {product_name}.");
	define("PRODUCT_ALLOWED_QUANTITIES_MSG", "The quantities allowed for this product are: {quantities_list}");
	define("ADDED_PRODUCT_MSG", "{product_name} foi adicionado ao seu Carrinho das Compras.");
	define("ADDED_TO_WISHLIST_MSG", "{product_name} has been added to your Wishlist.");
	define("REQUIRED_DELIVERY_MSG", "Por favor, seleccione o modo de entrega.");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{product_name} não pode ser entregue em {country_name}.");
	define("NO_PRODUCT_MSG", "O produto com este ID não está disponível nesta categoria");
	define("NO_PRODUCTS_MSG", "Não foram encontrados produtos");
	define("NO_PRODUCTS_MATCH_MSG", "Não foram encontrados produtos com os critérios pretendidos");
	define("FOUND_PRODUCTS_MSG", "Encontrámos<b>{found_records}</b> produtos que incluem o(s) termo(s) '<b>{search_string}</b>'");
	define("PROD_DOWNLOAD_MSG", "Download");
	define("PROD_VER_MSG", "ver.");
	define("PROD_RELEASES_MSG", "Versões de {product_name}");
	define("PROD_CHANGES_LOG_MSG", "{product_name} altera o registo");
	define("CHANGES_LOG_MSG", "Altera Registo");
	define("ALL_PRODUCTS_MSG", "Todos os produtos");
	define("ALL_PROD_RELEASES_MSG", "Todas as versões");
	define("NO_PROD_RELEASES_MSG", "Versões não disponíveis");
	define("NO_RELEASE_CHANGES_MSG", "Alterações não disponíveis");
	define("SERIAL_NUMBER_MSG", "N/S");
	define("RECURRING_OPTIONS_MSG", "Opções de prestações");
	define("RECURRING_ACTIVATE_MSG", "Activar pagamentos a prestações");
	define("RECURRING_PERIOD_MSG", "Período das Prestações");
	define("RECURRING_INTERVAL_MSG", "Intervalo das Prestações");
	define("RECURRING_INTERVAL_DESC", "Esta é a duração do ciclo de facturação");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "Total de Pagamentos");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "Número total de pagamentos por efectuar");
	define("RECURRING_PAYMENTS_MADE_MSG", "Pagamentos Efectuados");
	define("RECURRING_PAYMENTS_FAILED_MSG", "Falha dos Pagamentos");
	define("RECURRING_START_DATE_MSG", "Data de Início dos Pagamentos");
	define("RECURRING_START_DATE_DESC", "A data de início do pagamento das prestações é a data em que os pagamentos das prestações vão começar.");
	define("RECURRING_END_DATE_MSG", "Data do Fim dos Pagamentos");
	define("RECURRING_END_DATE_DESC", "A data de fim do pagamento das prestações é a data em que o pagamento das prestações será cancelado");
	define("RECURRING_LAST_PAYMENT_MSG", "Data do último pagamento");
	define("RECURRING_PLAN_PAYMENT_MSG", "Data do pagamento a planear");
	define("RECURRING_NEXT_PAYMENT_MSG", "Data do próximo pagamento");
	define("RECURRING_METHOD_MSG", "Modo de Pagamento das Prestações");
	define("RECURRING_NOT_ALLOWED_MSG", "Não permitido");
	define("RECURRING_NOT_ALLOWED_ERROR", "Os produtos com pagamentos a prestações não são permitidos para método de pagamento '{payment_name}'. Por favor, seleccione um modo de pagamento diferente.");
	define("RECURRING_AUTO_CREATE_MSG", "Criar ordem automática para próximo pagamento");
	define("RECURRING_AUTO_BILL_MSG", "Criar e facturar automaticamente encomendas a prestações");
	define("RECURRING_SHIPPING_MSG", "Aplicar o transporte para pagamentos a prestações");
	define("RECURRING_PROCEED_CURRENT_MSG", "Proceed current recurring orders");
	define("SUBSCRIPTION_MSG", "Subscrição");
	define("SUBSCRIPTION_OPTIONS_MSG", "Opções de subscrição");
	define("SUBSCRIPTION_ACTIVATE_MSG", "Activar subscrição");
	define("SUBSCRIPTION_RECURRING_MSG", "Activar pagamento em prestações para esta subscrição");
	define("SUBSCRIPTION_NAME_MSG", "Nome da subscrição");
	define("SUBSCRIPTION_FEE_MSG", "Taxa de subscrição");
	define("SUBSCRIPTION_PERIOD_MSG", "Período de subscrição");
	define("SUBSCRIPTION_INTERVAL_MSG", "Intervalo de subscrição");
	define("SUBSCRIPTION_INTERVAL_DESC", "Esta é a duração do ciclo de subscrição");
	define("SUBSCRIPTION_SUSPEND_MSG", "Suspender subscrição");
	define("SUBSCRIPTION_SUSPEND_DESC", "Número de dias em que todas as actividades dos clientes estão suspensas");
	define("SUBSCRIPTION_CANCEL_MSG", "Cancelar subscrição");
	define("SUBSCRIPTION_REWARDS_MSG", "Subscription Rewards");
	define("SUBSCRIPTION_FEE_PERCENTAGE_MSG", "Percentage of subscription fee");
	define("SUBSCRIPTION_FIXED_AMOUNT_MSG", "Fixed amount for subscription");
	define("CONFIRM_SUBSCRIPTION_MSG", "Add this subscription to your Shopping Cart?");
	define("ADDED_SUBSCRIPTION_MSG", "{subscription_name} was added to your Shopping Cart.");
	define("SELECT_SUBSCRIPTION_MSG", "Please select subscription to add to your Shopping Cart.");
	define("NO_ACTIVE_PS_MSG", "Sorry, but there is no active payment system.");
	define("ORDER_STATUS_MSG", "Order Status");
	define("SELECT_ORDER_STATUS_MSG", "select order status");
	define("PRODUCT_STATUS_MSG", "Product Status");
	define("SELECT_PRODUCT_STATUS_MSG", "select product status");

	define("WISHLIST_PRODUCTS_MSG", "Wish List Products");
	define("WISHLIST_NOT_EXISTS_MSG", "The wish list you have requested does not exist.");
	define("WISHLIST_BOUGHT_MSG", "Bought");
	define("WISHLIST_WANTS_MSG", "Wants");
	define("WISHLIST_HAS_MSG", "Has");
	define("FIND_FRIEND_WISHLIST_MSG", "Find a Friend's Wish List");
	define("FIND_WISHLIST_BUTTON", "Find Wish List");
	define("FIND_WISHLIST_DESC", "If you would like to view a Wish List belonging to a friend or family member, perhaps to purchase a gift for them, please enter their e-mail address.");
	define("CONFIRM_WISHLIST_DELETE_MSG", "Are you sure you want delete this wishlist item?");

	define("COUPON_MSG", "Cupão");
	define("COUPON_NOT_FOUND_MSG", "Não foi encontrado nenhum Cupão com este código.");
	define("COUPON_NON_ACTIVE_MSG", "Este cupão não está activo.");
	define("COUPON_USED_MSG", "Este cupão já foi utilizado.");
	define("COUPON_EXPIRED_MSG", "Este cupão expirou.");
	define("COUPON_EXCLUSIVE_MSG", "Este cupão não é acumulável com outros cupões que estejam em utilização.");
	define("COUPON_APPLIED_MSG", "Este cupão já foi aplicado.");
	define("COUPON_PRODUCTS_MSG", "Pedimos desculpa, este cupão não pode ser utilizado com os produtos do seu carrinho de compras.");
	define("COUPON_ORDER_AMOUNT_MSG", "Pedimos desculpa, este cupão não pode ser aplicado nesta compra. <br>A quantia mínima para este cupão é de {minimum_amount}");
	define("COUPON_PROD_PRICE_MSG", "Pedimos desculpa, este cupão não pode ser aplicado para este produto. <br>A quantia mínima para este cupão é de {minimum_amount}");
	define("COUPON_REMOVE_MSG", "Remover Cupão");
	define("COUPON_CODE_FIELD", "Cupão");
	define("COUPON_UPCOMING_MSG", "This coupon can't be used yet.");
	define("COUPON_CANT_BE_USED_MSG", "You are not allowed to use this coupon.");
	define("COUPON_CAN_BE_USED_ONCE_MSG", "This coupon can be used only once by registered users.");
	define("COUPON_SAME_USE_LIMIT_MSG", "This coupon can be used only {use_limit} times by registered users.");
	define("COUPON_ADDED_MSG", "The coupon has been successfully added to the cart.");
	define("COUPON_MIN_QTY_ERROR", "Sorry, this coupon cannot be applied for your current purchase. <br>Minimum quantity for this coupon is {min_quantity}.");
	define("COUPON_MAX_QTY_ERROR", "Sorry, this coupon cannot be applied for your current purchase. <br>Maximum quantity for this coupon is {max_quantity}.");
	define("COUPON_CANT_BE_APPLIED_ERROR", "Sorry, but this coupon cannot be applied for your current purchase.");
	define("MIN_CART_COST_ERROR", "Minimum cart amount for this coupon is {cart_amount}");
	define("MAX_CART_COST_ERROR", "Maximum cart amount for this coupon is {cart_amount}");
	define("FRIEND_AFFILIATE_FORM_MSG", "Friend / Affiliate Form");
	define("FRIEND_AFFILIATE_FORM_DESC", "Please enter in the field below your friend's nickname or affiliate code and press '{APPLY_BUTTON}'.");
	define("NO_USERS_MSG", "No users were found");
	define("FRIEND_FOUND_MSG", "We've found your friend.");
	define("AFFILIATE_FOUND_MSG", "Your affiliate code was accepted.");

	define("CC_NAME_FIELD", "Nome do Detentor do Cartão");
	define("CC_NAME_DESC", "como aparece no cartão");
	define("CC_FIRST_NAME_FIELD", "Primeiro Nome");
	define("CC_LAST_NAME_FIELD", "Último Nome");
	define("CC_NUMBER_FIELD", "Número do Cartão");
	define("CC_NUMBER_ERROR_MSG", "Pedimos desculpa, mas, aparentemente, existe um problema com o seu número de cartão de crédito - por favor, verifique e tente novamente.");
	define("CC_NUMBER_ALLOWED_MSG", "Pedimos desculpa, mas com este número de cartão de crédito não lhe é permitido efectuar este pagamento.");
	define("CC_START_DATE_FIELD", "Data de Início");
	define("CC_EXPIRY_DATE_FIELD", "Data a Expirar");
	define("CC_TYPE_FIELD", "Tipo de Cartão");
	define("CC_ISSUE_NUMBER_FIELD", "Referência do Assunto");
	define("CC_ISSUE_NUMBER_DESC", "Apenas cartões Switch & Solo");
	define("CC_SECURITY_CODE_FIELD", "Código de Segurança");
	define("CC_SECURITY_CODE_HELP_MSG", "Ajuda?");
	define("CC_SECURITY_CODE_TITLE", "Código de Segurança?");
	define("CC_SECURITY_CODE_1_DESC", "O código de segurança do cartão é um número único de três dígitos, impresso no seu cartão de débito/crédito. Este número não é gravado no cartão e não é impresso em recibos - tornando-se difícil para alguém sabê-lo, que não o detentor do cartão. Alguns emissores de cartões referem-se a este número como o 'Código de Segurança do Cartão', outros como o 'Código de Segurança Pessoal', e outros como o 'Valor de Verificação do Cartão'.");
	define("CC_SECURITY_CODE_2_DESC", "A maioria dos cartões tem um número de três dígitos impresso no topo da tira da assinatura no reverso do cartão.");
	define("PAY_WITHOUT_CC_MSG", "Se não desejar pagar com cartão de crédito, assinale aqui");
	define("PAY_WITHOUT_CC_FIELD", "Informar Outra Forma de Pagamento");
	define("PAY_WITHOUT_CC_DESC", "Diga-nos de que forma gostaria de pagar as suas compras");

	define("ORDER_NUMBER_COLUMN", "Nº");
	define("ORDER_ADDED_COLUMN", "Data em que a encomenda foi colocada");
	define("ORDER_TOTAL_COLUMN", "Total");
	define("ORDER_NUMBER_MSG", "Nº da Encomenda");
	define("PARENT_ORDER_NUMBER_MSG", "Nº da Encomenda Relacionada");
	define("ORDER_DATE_MSG", "Data da Encomenda");
	define("ORDER_TOTAL_MSG", "TOTAL");
	define("INVOICE_MSG", "Factura");
	define("INVOICE_NUMBER_MSG", "Invoice Number");
	define("INVOICE_DATE_MSG", "Invoice Date");
	define("INVOICE_TO_MSG", "Factura para ");
	define("ORIGINAL_COPY_MSG", "Original Copy");
	define("COPY_NUMBER_MSG", "Copy #{copy_number}");
	define("CREDIT_NOTE_MSG", "Credit Note");
	define("CREDIT_NUMBER_MSG", "Credit number");
	define("CREDIT_DATE_MSG", "Credit Date");
	define("CREDIT_TO_MSG", "Credit to");
	define("DELIVERY_TO_MSG", "Entrega para");
	define("PAYMENT_GATEWAY_MSG", "Gateway de Pagamento");
	define("SELECT_PAYMENT_MSG", "Por favor, seleccione a preferência de Gateway de Pagamento");
	define("GOTO_PAYMENT_MSG", "Agora, será redireccionado para {payment_system}. Se nada acontecer, por favor, clique no botão '{button_name}' para prosseguir.");
	define("MY_ORDERS_MSG", "As Minhas Encomendas");
	define("MY_ORDERS_DESC", "Uma vez que fez a sua encomenda connosco, você será capaz de rastrear o status da sua encomenda e rever os detalhes da mesma.");
	define("MY_SALES_ORDERS_MSG", "As Minhas Encomendas");
	define("MY_SALES_ORDERS_DESC", "Permitir o rastreio das encomendas do seu comerciante");
	define("PURCHASED_ORDERS_MSG", "Compras Efectuadas");
	define("NO_ORDERS_MSG", "Nenhuma encomenda foi encontrada");
	define("NO_ORDERS_MATCH_MSG", "Não foram encontradas encomendas que se encaixem nos critérios procurados");
	define("VIEW_ORDER_DETAILS_MSG", "Ver detalhes");
	define("ORDER_DETAILS_MSG", "Detalhes da Encomenda");
	define("PAYMENT_DETAILS_MSG", "Detalhes do Pagamento");
	define("CHECKOUT_SUCCESS_TITLE", "A sua encomenda foi submetida com êxito!");
	define("CHECKOUT_SUCCESS_MSG", "Obrigado, pela sua preferência. O seu número de referência é {order_id}!");
	define("CHECKOUT_PENDING_TITLE", "A sua encomenda está pendente...");
	define("CHECKOUT_PENDING_MSG", "A sua transacção não foi concluída e está a aguardar aprovação.");
	define("CHECKOUT_ERROR_TITLE", "Erro de Encomenda");
	define("CHECKOUT_ERROR_MSG", "Ocorreu um erro ao processar a sua encomenda. Pedimos desculpa, por algum inconveniente causado.");
	define("ORDER_CODE_ERROR", "O parâmetro da verificação tem um valor errado.");
	define("ORDER_PLACED_ERROR", "<b>Order</b> já foi colocada.");
	define("ORDER_EXISTS_ERROR", "Tal <b>Order</b> não existe.");
	define("ORDER_NOTES_MSG", "Notas de Encomenda");
	define("ORDER_NOTE_MSG", "Nota de Encomenda");
	define("CANCEL_ORDER_MSG", "Cancelar Encomenda");
	define("CANCEL_ORDER_CONFIRM_MSG", "Tem a certeza que quer cancelar esta encomenda?");
	define("GROSS_SALES_MSG", "Vendas em bruto");
	define("FEES_MSG", "Taxas");
	define("NET_SALES_MSG", "Vendas via Internet");
	define("ITEMS_NUMBER_COLUMN", "#Itens");
	define("AVERAGE_PRICE_COLUMN", "Preço Médio");
	define("PAID_STATUS_MSG", "Status Pago");
	define("PAID_MSG", "Pago");
	define("NOT_PAID_MSG", "Por Pagar");
	define("PAY_FOR_YOUR_ORDER_MSG", "Pague a sua Encomenda");
	define("REORDER_MSG", "Reorder");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "Custo mínimo dos produtos por encomenda");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "Custo máximo dos produtos por encomenda");
	define("ORDER_MIN_WEIGHT_FIELD", "Peso mínimo por encomenda");
	define("ORDER_MAX_WEIGHT_FIELD", "Peso máximo por encomenda");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "O custo total dos produtos por encomenda não pode ser inferior a {min_cost}.");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "O custo total dos produtos por encomenda não deverá exceder {max_cost}.");
	define("ORDER_MIN_WEIGHT_ERROR", "O peso total dos produtos por encomenda não poderá ser inferior a {min_weight}");
	define("ORDER_MAX_WEIGHT_ERROR", "O peso total dos produtos por encomenda não deverá exceder {max_weight}");
	define("PURCHASED_PRODUCT_ERROR", "Sorry, you have already purchased the '{product_name}' product and you are not allowed to repurchase it.");
	define("PURCHASED_PRODUCT_DAYS_ERROR", "Sorry, you have already purchased the '{product_name}' product and you are not allowed to repurchase it within {days_number} days.");
	define("PREVENT_REPURCHASE_MSG", "Prevent repurchase");
	define("PREVENT_PRODUCT_REPURCHASE_MSG", "Prevent customers from repurchasing the same product more than once within a specified period.");
	define("REPURCHASE_PERIOD_MSG", "Repurchase Period");
	define("REPURCHASE_PERIOD_DESC", "leave this field blank if you want stop customers from repurchasing the same product at all");
	define("MANUFACTURER_CODE_MSG", "Código do Fabricante");
	define("SHOW_MANUFACTURER_CODE_MSG", "Show Manufacturer Code");
	define("APPROPRIATE_CODE_ERROR_MSG", "Can't find appropriate order");
	define("APPROPRIATE_LIBRARY_ERROR_MSG", "Can't find appropriate php library");
	define("LINKS_SENT_MSG", "Links sent");
	define("LINKS_FOR_ORDER_MSG", "Links For Your Order #");
	define("SERIAL_NUMBERS_FOR_ORDER_MSG", "Serial Numbers For Your Order #");
	define("SERIAL_NUMBERS_SENT_MSG", "Serial Numbers sent");
	define("NO_SERIAL_NUMBERS_MSG", "Não há números de série disponíveis");
	define("ADD_GIFT_VOUCHER_MSG", "Adicionar Voucher de Oferta");
	define("GIFT_VOUCHERS_MSG", "Vouchers de Oferta");
	define("EDIT_GIFT_VOUCHER_MSG", "Editar Voucher de Oferta");
	define("GIFT_VOUCHERS_FOR_ORDERS_MSG", "Gift Vouchers For Your Order #");
	define("GIFT_VOUCHERS_SENT_MSG", "Gift Vouchers sent");
	define("CREDIT_AMOUNT_MSG", "Credit Amount");
	define("SUBSTRACT_CREDIT_AMOUNT_MSG", "Subtract credit amount from user balance");
	define("ADD_CREDIT_AMOUNT_MSG", "Add credit amount to user balance");
	define("CREDIT_ACTION_MSG", "Credit Action");
	define("PACKING_SLIP_NO_MSG", "Packing Slip No: ");
	define("REGISTER_PRODUCT_MSG", "Register Product");
	define("MY_PRODUCT_REGISTRATIONS_MSG", "My Registered Products");
	define("MY_PRODUCT_REGISTRATIONS_DESC", " ");
	define("REGISTER_MORE_PRODUCTS_MSG", "Register more products");
	define("REGISTRATION_NUMBER_MSG", "Registration Number");
	define("NO_PRODUCT_REGISTRATIONS_MSG", "No Product Registrations");
	define("REGISTRATION_PROD_CODE_COLUMN", "Code");
	define("REGISTRATION_TOTAL_COLUMN", "Total");
	define("REGISTRATION_PROD_TITLE_COLUMN", "Title");
	define("PRODUCT_REGISTRATION_MSG", "Product Registration");
	define("PRODUCT_REGISTRATION_SETTINGS_MSG", "Products Registration Settings");
	define("VIEW_REGISTERED_PRODUCTS_MSG", "View Registered Products");
	define("EDIT_REGISTERED_PRODUCTS_MSG", "Edit Registered Products");
	define("EDIT_REGISTRATION_CATEGORIES_MSG", "Edit Registration Categories");
	define("EDIT_REGISTRATION_PRODUCTS_MSG", "Edit Products Registrations");
	define("OPTIONS_TRADE_PRICE_MSG", "Options Trade Price");
	define("DEFAULT_LARGE_IMAGE_DESC", "shown if product doesn't have large image");
	define("DEFAULT_LARGE_IMAGE_MSG", "Default Large Image");
	define("LATEST_ADDED_PRODUCTS_REGISTRATIONS_MSG", "Latest Added Registrations");
	define("LATEST_MODIFIED_PRODUCTS_REGISTRATIONS_MSG", "Latest Modified Registrations");
	define("LATEST_ADDED_REGISTRATION_PRODUCTS_MSG", "Latest Added Registration Products");
	define("LATEST_MODIFIED_REGISTRATION_PRODUCTS_MSG", "Latest Modified Registration Products");
	define("REGISTRATION_PRODUCTS_MSG", "Registration Products");
	define("NO_REGISTRATION_PRODUCTS_MSG", "No Products Registration");
	define("BY_REGISTRATION_NUMBER_MSG", "By Registration Number");
	define("BY_PRODUCT_ID_MSG", "By Product ID");
	define("SEARCH_REGISTRATIONS_MSG", "Search Registrations");
	define("SELECT_REGISTRATIONS_NOTE", "Select Registrations");
	define("REMOVE_SELECTED_REGISTRATIONS_QST", "Remove selected registrations");
	define("EDIT_REGISTRATION_CATEGORY_MSG", "Edit Registration Category");
	define("EDIT_PRODUCT_REGISTRATION_MSG", "Edit Registration");
	define("IM_DONE_REGISTERING_MSG", "Im done registering");
	define("PRODUCT_REGISTRATION_PLACED_EMAIL_MSG", "Placed Email");
	define("PRODUCT_REGISTRATION_APPROVED_EMAIL_MSG", "Approved Email");
	define("PRODUCT_REGISTRATION_DECLINED_EMAIL_MSG", "Declined Email");
	define("STORE_NAME_FORM_MSG", "purchased from (Store name)");
	define("PREDEFINED_ORDER_EMAIL_MSG", "Predefined Order Email");
	define("DATE_OF_PURCHASE_MSG", "Date of purchase");
	define("STORE_NAME_MSG", "Store Name");
	define("NO_PRODUCTS_IN_CATEGORY_MSG", "There are no products in selected category. Please, select another one.");
	define("REGISTRATION_ID_MSG", "Registration ID");
	define("DAY_OF_PURCHASE_MSG", "Day of purchase");
	define("MONTH_OF_PURCHASE_MSG", "Month of purchase");
	define("YEAR_OF_PURCHASE_MSG", "Year of purchase");
	define("MERCHANT_STATUS_NOTIFY_MSG", "Send notification to Merchant(s) if status applied");
	define("MERCHANT_EMAIL_IF_EMPTY_MSG", "Merchant email used if is empty");
	define("MERCHANT_PRODUCTS_MSG", "Merchant products");
	define("ADMIN_STATUS_NOTIFY_MSG", "Send notification to Administrator(s) if status applied");
	define("SUPPLIER_NOTIFY_MSG", "Supplier notification");
	define("SUPPLIER_STATUS_NOTIFY_MSG", "Send notification to Supplier(s) if status applied");
	define("SUPPLIER_EMAIL_IF_EMPTY_MSG", "Supplier email used if is empty");
	define("SUPPLIER_PRODUCTS_MSG", "Supplier products");
	define("AFFILIATE_STATUS_NOTIFY_MSG", "Send notification to affiliate if status applied");
	define("AFFILIATE_EMAIL_IF_EMPTY_MSG", "Affiliate email used if is empty");
	define("AFFILIATE_PRODUCTS_MSG", "Affiliate products");

	define("RECURRING_PRICE_MSG", "Recurring Price");
	define("RECURRING_PRICE_DESC", "this amount will be added to all recurring payments");
	define("CART_PRODUCTS_MSG", "Cart Products");
	define("CART_RESTRICTIONS_MSG", "Cart Restrictions");
	define("CART_QUANTITY_MSG", "Cart Quantity");
	define("SUBCOMPONENT_ADDED_ONCE_MSG", "Subcomponent added only once with specified quantity");
	define("SUBCOMPONENT_QTY_MULTIPLY_MSG", "Multiply subcomponent quantity by parent product quantity");
	define("CUSTOMERS_LIST_BOUGHT_ITEM_TITLE", "Customers Who Bought This Item");

	define("VIEW_MERCHANT_PRODUCTS_MSG", "View Merchant's Products");
	define("SHIPPING_CALCULATOR_MSG", "Shipping Calculator");
	define("NO_SHIPPING_METHODS_MSG", "No shipping methods were found");
	define("NO_SHIPPING_MSG", "No Shipping");
	define("CUSTOM_SHIPPING_MSG", "Custom Shipping");
	define("NEW_SHIPPING_MSG", "New Shipping");
	define("REMOVE_PRODUCT_SHIPPING_MSG", "Would you like to remove {item_name} from this shipping?");

	define("ADD_MORE_COLUMNS_QST", "Add more columns?");
	define("DEFAULT_TABLE_VIEW_MSG", "Default Table View");
	define("OVERRIDE_TABLE_VIEW_MSG", "Override Table View");
	define("TABLE_VIEW_TYPE_MSG", "Table View Type");

	define("PARAMETER_WRONG_VALUE_MSG", "{param_name} parameter has wrong value.");
	define("CANNOT_OBTAIN_PARAMETER_MSG", "Can't obtain {param_name} parameter.");
	define("TRANSACTION_DECLINED_MSG", "Your transaction has been declined.");
	define("UNEXPECTED_GATEWAY_RESPONSE_MSG", "Unexpected response format from gateway.");
	define("EMPTY_GATEWAY_RESPONSE_MSG", "Empty response from gateway. Please check your settings.");
	define("CURL_INIT_ERROR_MSG", "Can't initialize cURL.");
	define("PROCESSING_TRANSACTION_ERROR_MSG", "There has occurred an error while processing the transaction.");
	define("UPS_PARAMETER_REQUIRED_MSG", "UPS module error: {param_name} is required.");

	define("STATUS_NEW_ORDER_MSG", "New Order");
	define("STATUS_PAYMENT_DATA_MSG", "Payment Data");
	define("STATUS_CONFIRMED_MSG", "Confirmed");
	define("STATUS_PAID_MSG", "Paid");
	define("STATUS_SHIPPED_MSG", "Shipped");
	define("STATUS_PENDING_MSG", "Pending");
	define("STATUS_CLOSED_MSG", "Closed");
	define("STATUS_DECLINED_MSG", "Declined");
	define("STATUS_VALIDATED_MSG", "Validated");
	define("STATUS_FAILED_MSG", "Failed");
	define("STATUS_DISPATCHED_MSG", "Dispatched");
	define("STATUS_CANCELLED_MSG", "Cancelled");
	define("STATUS_REFUNDED_MSG", "Refunded");
	define("STATUS_CAPTURED_MSG", "Captured");
	define("STATUS_VOIDED_MSG", "Voided");
	define("STATUS_AUTHORIZED_MSG", "Authorized");
	define("STATUS_INVOICE_SENT_MSG", "Invoice Sent");

?>