<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// cart messages
	define("CART_TITLE", "Alışveriş Sepetiniz");
	define("SMALL_CART_TITLE", "Sepetiniz");
	define("PRODUCTS_TITLE", "Ürünler");
	define("LATEST_PRODUCTS_TITLE", "Latest Products");
	define("RELATED_PRODUCTS_TITLE", "Benzer ürünler");
	define("TOP_SELLERS_TITLE", "Çok Satanlar");
	define("PRODUCTS_RECOMMENDED_TITLE", "Önerilen Ürünler");
	define("ONE_PAGE_CHECKOUT_TITLE", "One Page Checkout");
	define("CHECKOUT_LOGIN_TITLE", "Ödeme :: Giriş");
	define("CHECKOUT_INFO_TITLE", "Ödeme :: Kişisel Bilgiler");
	define("CHECKOUT_PAYMENT_TITLE", "Ödeme :: Ödeme Detayları");
	define("CHECKOUT_CONFIRM_TITLE", "Ödeme :: Onay");
	define("CHECKOUT_FINAL_TITLE", "Ödeme :: Son");
	define("CHANGES_LOG_TITLE", "Değişiklik Listesi");
	define("COMPARE_TITLE", "Ürün Kıyaslama");
	define("CUSTOMERS_WHO_BOUGHT_TITLE", "Bu Ürünü Alanlar Ayrıca Şu Ürünleri de Aldılar");

	define("PRODUCT_MSG", "Ürün");
	define("PRICES_MSG", "Fiyatlar");
	define("OUR_PRICE_MSG", "Bizim Fiyatımız");
	define("YOU_SAVE_MSG", "Kazancınız");
	define("PROD_OPTIONS_MSG", "Seçenekler");
	define("PROD_SUBCOMPONENTS_MSG", "Alt-Bileşenler");
	define("OPTIONS_AND_COMPONENTS_MSG", "Seçenekler ve Bileşenler");
	define("PROD_AVAILABILITY_MSG", "Sipariş Durumu");
	define("PROD_HIGHLIGHT_MSG", "Ürün Bilgisi");
	define("PROD_SUPER_IMAGE_MSG", "Büyük resim için tıklayınız.");
	define("PROD_PREVIEW_MSG", "Önizleme");
	define("PROD_PREVIEW_CLICK_MSG", "Önizleme için tıklayınız");
	define("PROD_DESCRIPTION_MSG", "Açıklama");
	define("PROD_SPECIFICATION_MSG", "Özellikler");
	define("PROD_IMAGES_MSG", "Resimler");
	define("PROD_ACCESSORIES_MSG", "Aksesuarlar");
	define("PROD_NOTE_MSG", "Not");
	define("PROD_SHIPPING_MSG", "Kargo Bedeli");
	define("PROD_WEIGHT_MSG", "Ağırlık");
	define("PROD_DOWNLOAD_COLUMN", "Linkler");
	define("PROD_TITLE_COLUMN", "Ürün");
	define("PROD_CODE_MSG", "Kod");
	define("PROD_QTY_COLUMN", "Adet");
	define("PROD_PRICE_COLUMN", "Fiyat");
	define("PROD_TOTAL_COLUMN", "Toplam");
	define("PROD_TAX_TOTAL_COLUMN", "K.D.V.");
	define("GOODS_TOTAL_MSG", "Ürün Toplam");
	define("PAYMENT_AMOUNT_MSG", "Payment Amount");
	define("TOTAL_DISCOUNT_MSG", "Toplam İndirim");
	define("GOODS_WITH_DISCOUNT_MSG", "İndirim Sonrası Ürün Maliyeti");
	define("SHIPPING_TRACKING_NUMBER_MSG", "Kargo Takip No:");
	define("SHIPPING_EXPECTING_MSG", "Tahmini Teslimat Süresi");
	define("SELECT_SHIPPING_METHOD_MSG", "Teslimat Şeklini Seçiniz");
	define("SHIPPING_METHOD_MSG", "Teslimat Şekli");
	define("PROCESSING_FEE_MSG", "İşlem Bedeli");
	define("MY_PRODUCTS_MSG", "Ürünlerim");
	define("MY_PRODUCTS_DESC", "Yeni ürün eklemek veya mevcut olanları değiştirmek için buraya tıklayın");
	define("EDIT_PRODUCT_MSG", "Ürün Düzenle");
	define("ORDER_STEP_ONE_MSG", "1. Adım: Kişisel ve Teslimat Bilgileri");
	define("ORDER_STEP_TWO_MSG", "2. Adım: Ödeme Detayları");
	define("ORDER_STEP_THREE_MSG", "3. Adım: Sipariş Onay");
	define("PROD_NEW_ERROR", "Yeni ürün eklemek için izniniz yok.");
	define("PROD_EDIT_ERROR", "Bu ürünü düzenlemek için izniniz yok.");
	define("PROD_DELETE_ERROR", "Bu ürünü silmek için izniniz yok.");
	define("PROD_DELETE_CONFIRM_MSG", "Bu ürünü silmek istiyor musunuz?");
	define("PROD_NOT_APPROVED_MSG", "Onaylanmadı");
	define("PROD_ACTIVE_MSG", "Aktif");
	define("PROD_GENERAL_TAB", "Genel");
	define("PROD_DOWNLOADABLE_TAB", "İndirilebilir / Yazılım");
	define("PROD_SPECIAL_OFFER_TAB", "Özel Teklif");
	define("PROD_RECURRING_TAB", "Yinelenen");
	define("PROD_NOTIFICATION_TAB", "Uyarı");
	define("PROD_NOTES_TAB", "Reyting / Notlar");
	define("PROD_GENERAL_INFO_MSG", "Genel Ürün Bilgisi");
	define("PROD_SHOWN_MSG", "Bu ürünü satışa uygun yap");
	define("PROD_ORDER_MSG", "Ürün Siparişi");
	define("PROD_TYPE_MSG", "Ürün Tipi");
	define("PROD_TYPE_NOTE", "Note: if you select 'Gift Voucher' type the system will automatically generate a gift voucher coupon after placing the order, if you select 'Bundle' then you should add subcomponents to this product as only they are visible on checkout.");
	define("PROD_NAME_MSG", "Ürün Adı");
	define("PROD_MANUFACTURER_MSG", "Üretici");
	define("PROD_ISSUE_DATE_MSG", "Üretim Tarihi");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "Ek Seçenekler");
	define("PROD_ALLOWED_COMPARISON_MSG", "Ürün karşılaştırmasına izin ver");
	define("PROD_TAX_FREE_MSG", "Vergisiz ürün");
	define("PROD_LANGUAGE_DESC", "Ürünü sadece seçili dilde göster.");
	define("PROD_PRICING_MSG", "Fiyatlandırma");
	define("PROD_CHANGE_PRICE_MSG", "Müşteriye fiyat bilgisini değiştirme şansı tanı");
	define("PROD_LIST_PRICE_MSG", "Fiyat (Liste Fiyatı)");
	define("PROD_DISCOUNT_PRICE_MSG", "İndirimli Fiyatı");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "İndirimi Aktif hale getir");
	define("PROD_TRADE_PRICE_MSG", "Satış Fiyatı");
	define("PROD_DISCOUNT_TRADE_MSG", "İndirimli Satış Fiyatı");
	define("PROD_BUYING_PRICE_MSG", "Alış Fiyatı");
	define("PROD_SHOWN_DISCOUNT_MSG", "İndirim Göster (%)");
	define("PROD_OPTIONS_PRICE_MSG", "Seçenekli Fiyat");
	define("PROD_OPTIONS_PRICE_DESC", "Seçeneklerin olmadığı bloklarda fiyatı göstermek istiyorsanız bu alanı kullanın");
	define("PROD_PRICE_PREVIEW_MSG", "Fiyat Önizlemesi (sayfada nasıl görüneceği)");
	define("PROD_APPEARANCE_MSG", "Görünüm");
	define("PROD_LANGUAGE_MSG", "Dil");
	define("CUSTOM_TEMPLATE_MSG", "Özel Şablon");
	define("HIDE_ADD_BUTTON_MSG", "<b>{ADD_TO_CART_MSG}</b>' butonunu gizle");
	define("ON_PROD_LIST_MSG", "ürün listesi sayfasında");
	define("ON_PROD_DETAILS_MSG", "ürün detayı sayfasında");
	define("ON_TABLE_VIEW_MSG", "on table view list");
	define("ON_GRID_VIEW_MSG", "on grid view list");
	define("ON_SEPARATE_PAGE_MSG", "ayrı sayfada");
	define("ON_CHECKOUT_PROCESS_MSG", "ödeme esnasında");
	define("PROD_PREVIEW_URL_MSG", "Ürün Önizleme Adresi (URL)");
	define("PROD_STOCK_MSG", "Stok");
	define("USE_STOCK_MSG", "Stok Seviyesini Kullan");
	define("STOCK_QUANTITY_MSG", "Stok Miktarı");
	define("HIDE_OUT_STOCK_MSG", "Stokta Tükenen Ürünleri Gizle");
	define("HIDE_OUT_STOCK_DESC", "Stokta bulunmayan ürünleri web sayfasında gösterme");
	define("DISABLE_OUT_STOCK_MSG", "Sınırsız Ürünleri İptal Et");
	define("DISABLE_OUT_STOCK_DESC", "Stok tükenmiş ise '<b>{ADD_TO_CART_MSG}</b>' butonunu iptal et.");
	define("IN_STOCK_AVAILABILITY_MSG", "Stok Kullanılabilirliği");
	define("IN_STOCK_AVAILABILITY_DESC", "Genellikle ürün gönderme zamanı ürün stoktaykendir");
	define("OUT_STOCK_AVAILABILITY_MSG", "Stok erişebilirliği dışında");
	define("OUT_STOCK_AVAILABILITY_DESC", "Genellikle ürün gönderme zamanı stokta olmadığındadır.");
	define("SHIPPING_RESTRICTIONS_MSG", "Kargo kısıtlamaları");
	define("PROD_OFFER_ACTIVATE_MSG", "Bu ürünü Özel Teklifler bölümüne ekle");
	define("PROD_RATING_MSG", "Ürün Reytingi");
	define("PROD_DIRECT_LINK_MSG", "Ürün satın alma linki");
	define("PRODUCTS_REPORT_MSG", "Ürün Raporları");
	define("MERCHANT_SALES_MSG", "Satıcı satışları");
	define("MERCHANT_SALES_DESC", "Bu bölüm sizin ürünlerinizle ilgili satış listelerini görmenize ve oluşturulmuş komisyonların toplam tutarını kontrol etmenize olanak sağlar.");
	define("AFFILIATE_SALES_MSG", "Ortaklık Satışları");
	define("AFFILIATE_SALES_DESC", "Lütfen bizim hesabımız ile ortak yapılmış satışların listesini görmek için buraya tıklayın. Burada ayrıca oluşturulmuş komisyonların toplam tutarını görebilirsiniz.  ");
	define("COMMISSION_PAYMENTS_MSG", "Komisyon Ödemeleri");
	define("COMMISSION_PAYMENTS_DESC", "Komisyon Ödemeleriniz için bu bölümü ziyaret edin");
	define("PAYMENT_NAME_COLUMN", "Ödeme İsmi");
	define("PAYMENT_TOTAL_COLUMN", "Toplam");
	define("PAYMENT_DATE_COLUMN", "Ödeme Tarihi");
	define("NO_COMMISSION_PAYMENTS_MSG", "Komisyon Ödemesi Bulunamadı");
	define("COMMISSIONS_MSG", "Komisyonlar");
	define("COMMISSION_AMOUNT_COLUMN", "Komisyon Tutarı");
	define("COMMISSION_DATE_COLUMN", "Komisyon Tarihi");
	define("NO_COMMISSIONS_MSG", "Komisyon bulunamadı");
	define("AFFILIATE_MSG", "Ortaklık");
	define("MERCHANT_MSG", "Satıcı");
	define("CONTACT_MERCHANT_TITLE", "Satıcıyla İletişime Geç");
	define("PROD_SORT_BY_MSG", "Sınıfla");
	define("PROD_SORT_DEFAULT_MSG", "varsayılan: otomatik seçenek/rasgele");
	define("PROD_SORT_MANUFACTURER_MSG", "İmalatçı");
	define("PROD_SORT_CODE_MSG", "Kod");
	define("PROD_MOST_POPULAR_MSG", "En Popüler");
	define("PROD_FIELDS_TAB", "Alanlar");
	define("PROD_TERMS_TAB", "Kurallar");
	define("PROD_SHOW_TERMS_MSG", "Kurallar ve Koşulları Göster");
	define("PROD_SHOW_TERMS_DESC", "Ürün yüklemek için kullanıcı bizim kurallarımızı ve koşullarımızı okumalı ve onaylamalıdır");
	define("PROD_TERMS_USER_ERROR", "Bu ürünü yüklemek için kurallarımızı ve koşullarımızı okuyup, onaylamalısınız");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "Ürün sayısı satıcı tarafından eklenebilir.");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "Satıcının yollayabileceği ürün sayısını sınırlamak istiyorsanız bu alanı boş bırakın. ");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "Özür dileriz {products_limit} den fazla ürün ekleyemezsiniz.");
	define("FEES_COMMISSIONS_MSG", "Ödemeler ve Komisyonlar");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "İndirimler, Ücretler, Komisyonlar");
	define("DISCOUNT_MSG", "İndirim");
	define("MERCHANT_FEE_MSG", "Satıcı Ücreti");
	define("AFFILIATE_COMMISSION_MSG", "Ortaklık Komisyonu");
	define("NO_OPTIONS_AVAILABLE_MSG", "Seçenek veya bileşen mevcut değil");
	define("OPTION_MSG", "Seçenekler");
	define("SUBCOMPONENT_MSG", "Altbileşenler");
	define("SUBCOMPONENT_SELECTION_MSG", "Altbileşen Seçimi");
	define("ADD_SUBCOMPONENT_MSG", "Alt-bileşen ekle");
	define("ADD_SUBCOMPONENT_SELECTION_MSG", "Alt-bileşen ekle seçimi");
	define("EDIT_OPTION_MSG", "Seçeneği düzenle");
	define("OPTION_ORDER_MSG", "Seçenek Sırası");
	define("OPTION_NAME_MSG", "Seçenek Adı");
	define("OPTION_HINT_MSG", "Option Hint");
	define("OPTION_HINT_DESC", "shown instead of Option Name");
	define("OPTION_CONTROL_MSG", "Seçenek Kontrolü");
	define("CONTROL_TYPE_USE_DESC", "For <b>Checkboxes List</b>, <b>ListBox</b> and <b>Radio Buttons</b> you need to add it's values in the rows below.");
	define("OPTION_TEXT_MSG", "Seçenek Metni");
	define("OPTION_STYLE_MSG", "Seçenek Stili");
	define("OPTION_STYLE_NOTE", "Seçenek blok görünümü değiştirmek için CSS kullan");
	define("SHOW_OPTION_MSG", "Niteliği göster");
	define("OPTION_REQUIRED_MSG", "Seçenek gerekli");
	define("OPTIONS_APPEARANCE_MSG", "Seçenek Görünümü");
	define("CONTROL_STYLE_MSG", "Kontrol Stili");
	define("CONTROL_STYLE_NOTE", "Kontrol görünümünü değiştirmek için CSS kullan");
	define("BEFORE_TITLE_HTML_MSG", "Başlıktan önceki HTML");
	define("BEFORE_TITLE_HTML_NOTE", "bu HTML seçenek adından önce");
	define("BEFORE_TITLE_COMPONENT_NOTE", "bu HTML bileşen adından önce");
	define("AFTER_TITLE_HTML_MSG", "Başlıktan sonraki HTML");
	define("AFTER_TITLE_HTML_NOTE", "bu HTML seçenek adından sonra ");
	define("AFTER_TITLE_COMPONENT_NOTE", "bu HTML bileşen adından sonra");
	define("BEFORE_CONTROL_HTML_MSG", "Kontrolden önceki HTML");
	define("BEFORE_CONTROL_HTML_NOTE", "bu HTML her seçenek kontrolünden önce");
	define("BEFORE_CONTROL_COMPONENT_NOTE", "bu HTML her bileşen kontrolünden önce");
	define("AFTER_CONTROL_HTML_MSG", "Kontrolden sonraki HTML");
	define("AFTER_CONTROL_HTML_NOTE", "bu HTML her seçenek kontrolünden sonra");
	define("AFTER_CONTROL_COMPONENT_NOTE", "bu HTML her bileşen kontrolünden sonra");
	define("END_HTML_MSG", "Bitiş HTML");
	define("END_HTML_NOTE", "bu HTML  seçenek bloğunun sonunda");
	define("END_COMPONENT_NOTE", "bu HTML bileşen bloğunun sonunda");
	define("JAVASCRIPT_SETTINGS_MSG", "Javascript Ayarları");
	define("ONCHANGE_EVENT_MSG", "Değiştiğinde olacaklar");
	define("ONCLICK_EVENT_MSG", "Tıklandığında olacaklar");
	define("CONTROL_CODE_MSG", "Kontrol Kodu");
	define("OPTIONS_VALUES_MSG", "Seçenekler Değerleri");
	define("DESCRIPTION_AND_CODE_MSG", "Tanım ve Kod");
	define("SELLING_MSG", "Satış");
	define("PERCENTAGE_MSG", "Yüzde");
	define("OPTION_PERCENTAGE_PRICE_DESC", "Opsiyon fiyatını yüzde olarak orijinal ürün fiyatına göre ayarla");
	define("PERCENTAGE_PRICE_TYPE_MSG", "Percentage Price Type");
	define("FROM_PRODUCT_PRICE_MSG", "from product price");
	define("FROM_OTHER_OPTION_MSG", "from other option");
	define("BUYING_MSG", "Alış");
	define("USE_MSG", "Kullan");
	define("ACTIVATE_STOCK_CONTROL_MSG", "Stok kontrolünü aktive et");
	define("ACTIVATE_CONTROL_CHECKBOX_MSG", "Check the following checkbox to activate stock control for this option value");
	define("CHECK_STOCK_USE_MSG", "Please, activate the Stock Level option before using the 'Hide Off Limits' option ");
	define("HIDE_MSG", "Gizle");
	define("HIDE_IF_OUT_STOCK_MSG", "Stokda yoksa gizle");
	define("HIDE_OPTION_VALUE_DESC", "Eğer stokta yoksa seçenek değerini gizlemek için kutucuğu işaretle");
	define("PATH_MSG", "Yol");
	define("PERIOD_MSG", "Süre");
	define("STOCK_LEVEL_MSG", "Stok Adeti");
	define("DOWNLOADABLE_OPTIONS_MSG", "İndirilebilirlik seçenekleri");
	define("ADD_MORE_OPTIONS_QST", "Başka seçenek değeri eklenecek mi?");
	define("EDIT_SUBCOMP_MSG", "Alt-bileşeni düzelt");
	define("SUBCOMP_ID_MSG", "Alt-bileşen ID");
	define("SUBCOMP_NAME_MSG", "Alt-bileşen adı");
	define("SUBCOMP_PRICE_MSG", "Alt-bileşen fiyatı");
	define("SUBCOMP_PRICE_NOTE", "temel ürün fiyatını buraya koyabilirsiniz");
	define("OVERRIDE_PRICE_MSG", "Komisyon Fiyatı");
	define("REAL_PRICE_MSG", "Gerçek fiyat");
	define("EDIT_SUBCOMP_SELECTION_MSG", "Bileşen Seçimini Düzelt");
	define("COMPONENT_ORDER_MSG", "Bileşen Sırası");
	define("COMPONENT_NAME_MSG", "Bileşen Adı");
	define("COMPONENT_CONTROL_MSG", "Bileşen Kontrolü");
	define("COMPONENT_CONTROL_DESC", "İlave alt-bileşenleri belirlemekte kullanılan kontrol");
	define("COMPONENT_STYLE_MSG", "Bileşen stili");
	define("USE_CSS_TO_CHANGE_MSG", "Bileşen blok görünümünü değiştirirken CSS kullan");
	define("SHOW_COMPONENT_MSG", "Bileşen göster");
	define("COMPONENT_REQUIRED_MSG", "Bileşen gerekli");
	define("COMPONENT_APPEARANCE_MSG", "Bileşen görünüşü");
	define("LIST_OF_SUBCOMPONENTS_MSG", "Alt bileşenlerin listesi");
	define("ADD_MORE_SUBCOMP_QST", "Başka alt-bileşen eklenecek mi?");
	define("PRODUCT_SELECTION_MSG", "Ürün Seçimi");
	define("SELECT_PRODUCT_MSG", "Ürün Seçiniz");
	define("PRODUCT_ID_MSG", "Ürün ID");
	define("POINTS_MSG", "Puanlar");
	define("PROD_PAY_POINTS_MSG", "Ürün/Ürünler için puanlarla ödeme yap");
	define("POINTS_NOT_ALLOWED_MSG", "Onaylanmadı");
	define("POINTS_ALLOWED_MSG", "Onaylandı");
	define("ONLY_POINTS_ALLOWED_MSG", "Sadece puanlarla öde");
	define("POINTS_PRICE_MSG", "Puan Fiyatı");
	define("POINTS_PRICE_DESC", "Bu alanı, puan fiyatının puan değişim oranından otomatik olarak hesaplamak için boş bırakınız");
	define("POINTS_AMOUNT_MSG", "Puan Toplamı");
	define("REWARD_POINTS_MSG", "Ödül Puanı");
	define("REWARD_POINTS_TYPE_MSG", "Ödül Puan Tipi");
	define("REWARD_POINTS_AMOUNT_MSG", "Ödül Puan Toplamı");
	define("PAY_WITH_POINTS_SYSTEM_MSG", "Ödül Puanı Sistemi ile Öde");
	define("PERCENT_PER_PROD_FULL_PRICE_MSG", "Her Ürün/Seçenek Satış Puanı Yüzdesi");
	define("FIXED_AMOUNT_PER_PROD_MSG", "Her Ürün için Sabit Miktar");
	define("PERCENT_PER_PROD_SELL_PRICE_MSG", "Her ürün satış Fiyatı Yüzdesi");
	define("PERCENT_PER_PROD_SELL_BUY_MSG", "Her Alış/Satış Yüzdesi");
	define("POINTS_CONVERSION_RATE_MSG", "Paradan Puana Dönüşüm Yüzdesi");
	define("SHIPPING_PAY_POINTS_MSG", "Kargo için Puanla Ödeme");
	define("ORDER_OPTIONS_PAY_POINTS_MSG", "Sipariş seçeneklerini puanla ödemek");
	define("POINTS_DECIMALS_MSG", "Puanlar için ondalık sayısı");
	define("ACCUMULATE_POINTS_MSG", "Arttırılabilir puanlar");
	define("ACCUMULATE_POINTS_FOR_POINTS_MSG", "Müşteriler puanla satın alırken puan arttırmalarını istiyor musunuz?");
	define("POINTS_BALANCE_MSG", "Puan Durumu");
	define("POINTS_REMAINING_MSG", "Kalan Puan");
	define("POINTS_NEEDED_TOTAL_MSG", "Gerekli olan toplam puan");
	define("POINTS_CHECKBOXES_SELECT_MSG", "puanla ödemek istediğiniz ürün ve seçenekleri seçmek için kutucukları kullanınız");
	define("POINTS_ENOUGH_ERROR", "Üzgünüz. Ödeme için yeterli puanınız {points_amount} bulunmamakta");
	define("CREDIT_BALANCE_MSG", "Credit Balance");
	define("REWARDS_MSG", "Ödüller");
	define("REWARD_CREDITS_MSG", "Ödül Puanı");
	define("REWARD_CREDITS_TYPE_MSG", "Ödül Puan Tipi");
	define("REWARD_CREDITS_AMOUNT_MSG", "Ödül Puan Toplamı");
	define("REWARD_CREDITS_TOTAL_MSG", "Toplam Ödül Kredisi");
	define("PRODUCT_REWARDS_MSG", "Ürün Ödülleri");
	define("POINTS_AND_CREDITS_MSG", "Puanlar & Krediler");
	define("CREDITS_MSG", "Krediler");
	define("DISCOUNT_PRICE_TYPE_MSG", "İndirim Fiyat Tipi");
	define("PARENT_OPTION_MSG", "Parent Option");
	define("PARENT_OPTION_DESC", "parent option to be selected to show current option");
	define("PARENT_OPTION_VALUE_MSG", "Parent Option Value");
	define("PARENT_OPTION_VALUE_DESC", "parent option value to be selected to show current option");
	define("PARENT_COMPONENT_SELECTION_MSG", "Parent Component Selection");
	define("PARENT_COMPONENT_MSG", "Parent Component");
	define("ASSIGN_OPTION_MSG", "Assign Option");
	define("ASSIGN_COMPONENT_MSG", "Assign Component");
	define("ONLY_FOR_LABEL_MSG", "Only for <b>Label Control</b>");
	define("AUTO_ADD_TO_ALL_PRODS_MSG", "Automatically added to all products");
	define("SELECT_OPTION_AND_VALUES_MSG", "Allow you to select this option and option values for each product individually");
	define("SELECT_OPTION_ALL_VALUES_MSG", "Allow you to select this option with all values for each product individually");
	define("SINGLE_TOTAL_PRICE_MSG", "Single total price");
	define("FOR_SPECIFIED_CONTOL_MSG", "For specified control type");
	define("FOR_SPECIFIED_LETTER_MSG", "For specified letter");
	define("FOR_SPECIFIED_NONSPACE_MSG", "For specified non-space letter");
	define("SUMMARY_DISCOUNT_MSG", "Summary Discount");
	define("FREE_CHARGE_CONTROLS_MSG", "Free of charge control types");
	define("FREE_CHARGE_LETTERS_MSG", "Free of charge letters");
	define("FREE_CHARGE_NONSPACE_MSG", "Free of charge non-space letters");
	define("MAX_LETTERS_ALL_CONTROLS_MSG", "Tüm kontrol tipleri için maksimum harf sayısı");
	define("MAX_LETTERS_EACH_CONTROL_MSG", "Herbir kontrol tipi için maksimum harf sayısı");
	define("MAX_NONSPACE_ALL_CONTROLS_MSG", "Maximum number of non-space letters for all control types");
	define("MAX_NONSPACE_EACH_CONTROL_MSG", "Maximum number of non-space letters per each control type");
	define("MAX_LIMIT_MSG", "Maksimum Limit");
	define("MAX_LIMIT_TYPE_MSG", "Maksimum Limit Tipi");
	define("MAX_LIMIT_LENGTH_MSG", "Maksimum Limit Uzunluğu");
	define("SELLING_PRICE_MSG", "Satış Fiyatı");
	define("TRADE_SELLING_PRICE_MSG", "Trade Selling Price");
	define("PERCENTAGE_PRICE_MSG", "Percentage Price");
	define("PRODUCT_ID_NO_LONGER_EXISTS_MSG", "<b>{item_id}</b>' ID nolu ürün artık veritabanımızda değil");
	define("PROD_TYPE_ID_NO_LONGER_EXISTS_MSG", "<b>{item_type_id}</b>' ID nolu ürün tipi artık veritabanımızda değil");
	define("STOCK_AND_SHIPPING_MSG", "Stok & Teslimat");
	define("IMAGES_AND_APPEARANCE_MSG", "Resimler & Görünüm");
	define("MINIMUM_ITEMS_QTY_MSG", "Minimum Miktar");
	define("MAXIMUM_ITEMS_QTY_MSG", "Maksimum Miktar");
	define("MINIMUM_ITEMS_QTY_NOTE", "satın alınabilecek minimum ürün sayısı");
	define("MAXIMUM_ITEMS_QTY_NOTE", "satın alınabilecek maksimum ürün sayısı");
	define("QTY_INCREMENT_MSG", "Quantity Increment");
	define("ALLOWED_QUANTITIES_MSG", "Allowed Quantities");
	define("ALLOWED_QUANTITIES_NOTE", "the number of items separated by commas user can add to the cart");
	define("FREE_SHIPPING_MSG", "Ücretsiz Kargo");
	define("FREE_SHIPPING_DESC", "this option excludes any shipping costs for this product and its weight");
	define("HAS_BEEN_SUCCESSFULLY_COPIED_MSG", "has been successfully copied to the following products:");
	define("ALREADY_COPIED_MSG", "are already copied to the following products:");
	define("ALLOW_PRODUCT_COMPARISON_MSG", "Ürün Karşılaştırmasına izin ver");
	define("FULL_DESCRIPTION_TYPE_MSG", "Full Description Type");
	define("IS_SPECIAL_OFFER_MSG", "Is Special Offer");
	define("HIDE_BUTTON_PROD_LIST_MSG", "Ürün Listesi sayfasında Sepete Ekle butonunu gizle");
	define("HIDE_BUTTON_PROD_DETAILS_MSG", "Ürün Detayı sayfasında Sepete Ekle butonunu gizle");
	define("HIDE_OFF_LIMITS_PRODUCTS_MSG", "Hide Off Limits Products");
	define("IS_DOWNLOADABLE_MSG", "Is Downloadable");
	define("DIRECT_BUY_LINK_MSG", "Direct Buy Link");
	define("SHIPPING_COST_MSG", "Kargo Bedeli");
	define("SELECT_ONE_PRODUCT_MSG", "Lütfen en az bir ürün seçiniz.");
	define("SELECT_ONE_PRODUCT_TYPE_MSG", "Lütfen en az bir ürün tipi seçiniz.");
	define("ADD_COMPONENTS_TO_PRODUCTS_MSG", "Add components to other Products");
	define("ADD_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Add components to other Product Types");
	define("COPY_COMPONENTS_TO_PRODUCTS_MSG", "Copy components to selected Products");
	define("COPY_COMPONENTS_TO_PRODUCT_TYPES_MSG", "Copy components to selected Product Types");
	define("SUCCESSFULLY_COPIED_TO_PRODUCT_TYPES_MSG", "has been successfully copied to the following product types:");
	define("ALREADY_COPIED_TO_PRODUCT_TYPES_MSG", "are already copied to the following product types:");
	define("CHOOSE_OPTIONS_MSG", "Choose Options");
	define("EDIT_OPTIONS_MSG", "Edit Options");
	define("UPDATE_OPTIONS_MSG", "Update Options");
	define("PRODUCT_TABS_MSG", "Product Tabs");
	define("CUSTOM_TABS_MSG", "Custom Tabs");

	define("CART_TOTAL_MSG", "Toplam Sipariş Bedeli");
	define("CONTINUE_SHOPPING_MSG", "Alışverişe Devam Et");
	define("REMOVE_FROM_CART_MSG", "Kaldır");
	define("EMPTY_CART_MSG", "Sepetiniz Boş!");
	define("CLEAR_CART_MSG", "Sepeti Boşalt");
	define("PRE_ORDER_MSG", "Ön sipariş");
	define("BUY_NOW_MSG", "Buy Now");
	define("ADD_TO_CART_MSG", "Sepete Ekle");
	define("ADD_TO_WISHLIST_MSG", "İstek Listeme Ekle");
	define("VIEW_CART_MSG", "Sepeti Göster");
	define("AMEND_CART_MSG", "Sepeti Değiştir");
	define("MULTI_ADD_MSG", "Multi-Add");
	define("MULTI_ADD_DESC", "add one and more products at once");
	define("MY_SAVED_CARTS_MSG", "Kaydedilmiş Siparişlerim");
	define("MY_SAVED_CARTS_DESC", "Buradan eskiden kaydedilmiş alışveriş sepetlerinize bakabilirsiniz/kullanabilirsiniz.");
	define("NO_CARTS_MSG", "Sipariş bulunamadı");
	define("SAVE_CART_TITLE", "Siparişlerinizi Kaydedin");
	define("SAVE_CART_BUTTON", "Sepeti Kaydet");
	define("SAVE_CART_INFO_MSG", "Mevcut alışveriş sepetinizi kaydedebilir ve istediğiniz an kullanabilirsiniz. Lütfen bir sepet adı seçin ve 'Sepeti Kaydet' (save cart) butonuna basın. Mevcut sepet içeriği nizi kullanmanız için sepet adıyla  birlikte kullanabileceğiniz bir sepet numarası size iletilecektir.");
	define("SAVE_CART_EMAIL_NOTE", "Please enter your email address to receive a copy of your saved cart along with the cart number and cart name.");
	define("CART_NO_FIELD", "Alışveriş Sepet Numarası");
	define("CART_NAME_FIELD", "Alışveriş Sepet Adı");
	define("CART_SAVED_DATE_COLUMN", "Kayıt Tarihi");
	define("CART_TOTAL_COLUMN", "Alışveriş Sepeti Toplam");
	define("CART_SAVED_MSG", "Alışveriş Sepetiniz Kaydedildi. Sepet Numaranız: <b>{cart_id}</b>.");
	define("RETRIEVE_CART_TITLE", "Alışveriş Sepetinizi Görüntüleyin");
	define("RETRIEVE_CART_BUTTON", "Sepeti Getir");
	define("RETRIEVE_CART_INFO_MSG", "Daha önceden kaydedilmiş alışveriş sepetinizi görüntülemek için Alışveri Sepeti Numaranızı ve Alışveriş Sepet Adını girin");
	define("RETRIEVE_CART_NOTE_MSG", "Geri getirilen sepet mevcut alışveriş sepetiniz değiştirecektir. Lütfen bu sepet üzerinde değişiklik yaparsanız kaydetmeyi unutmayın.");
	define("CART_RETRIEVED_MSG", "Alışveriş Sepetiniz Getirildi.");
	define("RETRIEVE_CART_ERROR", "Alışveriş Sepetinizi getiremedik.<br>Lütfen girdiğiniz bilgilerin doğruluğundan emin olun ve tekrar deneyin.");
	define("PROD_NOT_AVAILABLE_ERROR", "Bu ürün artık mağazada bulunmuyor.");
	define("PROD_OPTIONS_MISSED_ERROR", "Bu ürünün bazı seçenekleri kaybolmuş. Lütfen seçenekleri görmek için ürün sayfasını ziyaret edin.");
	define("PROD_PRICE_CHANGED_MSG", "Product price changed");

	define("GOTO_CHECKOUT_MSG", "Ödemeyi Yap");
	define("CHECKOUT_WITHOUT_MSG", "Hesap açmadan ödeme");
	define("OPEN_AND_CHECKOUT_MSG", "Hesap açma ve ödeme");
	define("REMOVE_FROM_CART_JS", "{item_type} 'i sepetten çıkarmak istediğinize emin misiniz?");
	define("CLEAR_CART_JS", "Tüm ürünleri sepetten çıkarmak istediğinizde emin misiniz?");
	define("CART_QTY_ZERO_JS", "Miktarı '{old_quantity}'den '0'./n e çevirmek üzeresiniz. Bu '{product_name}'i sepetinizden siler. Devam etmek istiyor musunuz?");
	define("ALTER_CART_QTY_JS", "{product_name}'  miktarınını \\n '{old_quantity}' den '{new_quantity}' e çevirmek üzeresiniz \\nDevam etmek istiyor musunuz?");
	define("ADD_PRODUCT_MSG", "Bu ürün sepete eklensin mi?");
	define("PRODUCT_OUT_STOCK_MSG", "Bu ürünü stokta bulunmadığından satın alamazsınız");
	define("REQUIRED_PROPERTY_MSG", "Lütfen {product_name} için {property_name} belirleyin. ");
	define("PRODUCT_LIMIT_MSG", "{product_name} için {limit_quantity} den fazla ekleyemezsiniz.  ");
	define("PRODUCT_MIN_LIMIT_MSG", "You can't add less than {limit_quantity} items for {product_name}.");
	define("PRODUCT_QUANTITY_ERROR", "You can't add {quantity} items for {product_name}.");
	define("PRODUCT_ALLOWED_QUANTITIES_MSG", "The quantities allowed for this product are: {quantities_list}");
	define("ADDED_PRODUCT_MSG", "{product_name} alışveriş sepetinize eklendi.");
	define("ADDED_TO_WISHLIST_MSG", "{product_name} has been added to your Wishlist.");
	define("REQUIRED_DELIVERY_MSG", "Lütfen bir gönderim yolu seçin.");
	define("PROD_RESTRICTED_DELIVERY_MSG", "Bu ürün {product_name} bu ülkeye {country_name} gönderilemez.");
	define("NO_PRODUCT_MSG", "Bu ID ile tanımlanan ürün bu kategoride mevcut değildir.");
	define("NO_PRODUCTS_MSG", "ürün bulunamadı.");
	define("NO_PRODUCTS_MATCH_MSG", "Verilmiş kritere uygun ürün bulunamadı");
	define("FOUND_PRODUCTS_MSG", "<b>{search_string}</b>' arama kriterine uygun <b>{found_records}</b> sonuç bulundu. ");
	define("PROD_DOWNLOAD_MSG", "İndir");
	define("PROD_VER_MSG", "ver.");
	define("PROD_RELEASES_MSG", "bu ürün {product_name} satışta");
	define("PROD_CHANGES_LOG_MSG", "{product_name} kaydı değiştirdi");
	define("CHANGES_LOG_MSG", "Değişiklik Listesi");
	define("ALL_PRODUCTS_MSG", "Tüm Ürünler");
	define("ALL_PROD_RELEASES_MSG", "Tüm piyasa ürünleri");
	define("NO_PROD_RELEASES_MSG", "piyasa ürünü bulunamadı");
	define("NO_RELEASE_CHANGES_MSG", "Değişiklik yok");
	define("SERIAL_NUMBER_MSG", "Seri No");
	define("RECURRING_OPTIONS_MSG", "Yinelenme seçenekleri");
	define("RECURRING_ACTIVATE_MSG", "Yinelenme ödemelerini aktif hale getir");
	define("RECURRING_PERIOD_MSG", "Yinelenme süresi");
	define("RECURRING_INTERVAL_MSG", "Yinelenme aralığı");
	define("RECURRING_INTERVAL_DESC", "Bu ödeme deviri uzunlugudur");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "Toplam Ödeme");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "Toplam Ödenecek Tutar");
	define("RECURRING_PAYMENTS_MADE_MSG", "Yapılmış Ödemeler");
	define("RECURRING_PAYMENTS_FAILED_MSG", "Yapılamamış Ödemeler");
	define("RECURRING_START_DATE_MSG", "Ödemelerin Başlangıç Tarihi");
	define("RECURRING_START_DATE_DESC", "Yinelenen ödemenin başlangıç tarihi yinelenecek ödemenin başlangıç tarihidir");
	define("RECURRING_END_DATE_MSG", "Ödeme Bitiş Tarihi");
	define("RECURRING_END_DATE_DESC", "Yinelenen ödemenin bitiş tarihi yinelenecek ödemenin iptal tarihidir");
	define("RECURRING_LAST_PAYMENT_MSG", "Son Ödeme Tarihi");
	define("RECURRING_PLAN_PAYMENT_MSG", "Planlanmış ödeme tarihi");
	define("RECURRING_NEXT_PAYMENT_MSG", "Bir sonraki ödeme tarihi");
	define("RECURRING_METHOD_MSG", "Yinelenme şekli");
	define("RECURRING_NOT_ALLOWED_MSG", "İzin verilmemiş");
	define("RECURRING_NOT_ALLOWED_ERROR", "{payment_name}' ödemesini yinelenen ödemeleri olan ürünler için kullanamazsınız. Lütfen başka bir ödeme türü seçiniz.");
	define("RECURRING_AUTO_CREATE_MSG", "Bir sonraki ödeme için otomatik sipariş oluştur");
	define("RECURRING_AUTO_BILL_MSG", "Yinelenen siparişleri otomatik oluştur ve faturalandır");
	define("RECURRING_SHIPPING_MSG", "Yinelenen ödemeler için nakliye uygula");
	define("RECURRING_PROCEED_CURRENT_MSG", "Proceed current recurring orders");
	define("SUBSCRIPTION_MSG", "Üyelik");
	define("SUBSCRIPTION_OPTIONS_MSG", "Üyelik Seçenekleri");
	define("SUBSCRIPTION_ACTIVATE_MSG", "Üyeliği aktif hale getir");
	define("SUBSCRIPTION_RECURRING_MSG", "Bu üyelik için yinelenen ödemeleri aktif hale getir");
	define("SUBSCRIPTION_NAME_MSG", "Üyelik İsmi");
	define("SUBSCRIPTION_FEE_MSG", "Üyelik Tutarı");
	define("SUBSCRIPTION_PERIOD_MSG", "Üyelik Süresi");
	define("SUBSCRIPTION_INTERVAL_MSG", "Üyelik Aralığı");
	define("SUBSCRIPTION_INTERVAL_DESC", "Bu üyelik devir uzunluğudur.");
	define("SUBSCRIPTION_SUSPEND_MSG", "Üyelik Askıda");
	define("SUBSCRIPTION_SUSPEND_DESC", "Müşterinin aktivitelerinin askıya alındığı gün sayısı");
	define("SUBSCRIPTION_CANCEL_MSG", "Üyeliği İptal Et");
	define("SUBSCRIPTION_REWARDS_MSG", "Üyelik Ödülleri");
	define("SUBSCRIPTION_FEE_PERCENTAGE_MSG", "Üyelik Ücreti Oranı");
	define("SUBSCRIPTION_FIXED_AMOUNT_MSG", "Üyelik için sabit tutar");
	define("CONFIRM_SUBSCRIPTION_MSG", "Bu abonelik sepetinize eklensin mi?");
	define("ADDED_SUBSCRIPTION_MSG", "{subscription_name} Alış veriş Sepetinize eklendi.");
	define("SELECT_SUBSCRIPTION_MSG", "Lütfen sepete ekleyeceğiniz aboneliği seçiniz.");
	define("NO_ACTIVE_PS_MSG", "Sorry, but there is no active payment system.");
	define("ORDER_STATUS_MSG", "Order Status");
	define("SELECT_ORDER_STATUS_MSG", "Select Order Status");
	define("PRODUCT_STATUS_MSG", "Product Status");
	define("SELECT_PRODUCT_STATUS_MSG", "select product status");

	define("WISHLIST_PRODUCTS_MSG", "Wish List Products");
	define("WISHLIST_NOT_EXISTS_MSG", "The wish list you have requested does not exist.");
	define("WISHLIST_BOUGHT_MSG", "Bought");
	define("WISHLIST_WANTS_MSG", "Wants");
	define("WISHLIST_HAS_MSG", "Has");
	define("FIND_FRIEND_WISHLIST_MSG", "Find a Friend's Wish List");
	define("FIND_WISHLIST_BUTTON", "Find Wish List");
	define("FIND_WISHLIST_DESC", "If you would like to view a Wish List belonging to a friend or family member, perhaps to purchase a gift for them, please enter their e-mail address.");
	define("CONFIRM_WISHLIST_DELETE_MSG", "Are you sure you want delete this wishlist item?");

	define("COUPON_MSG", "Kupon");
	define("COUPON_NOT_FOUND_MSG", "Bu koda sahip kupon bulunamadı.");
	define("COUPON_NON_ACTIVE_MSG", "Kupon aktif değil");
	define("COUPON_USED_MSG", "Kupon daha önce kullanılmış");
	define("COUPON_EXPIRED_MSG", "Kuponun süresi dolmuş.");
	define("COUPON_EXCLUSIVE_MSG", "Bu kupon daha önce uygulanan kuponlarla birlikte kullanılamaz.");
	define("COUPON_APPLIED_MSG", "Bu kupon zaten kullanıldı.");
	define("COUPON_PRODUCTS_MSG", "Bu kupon sepetinizdeki ürünler için kullanılamaz.");
	define("COUPON_ORDER_AMOUNT_MSG", "Bu kuponu şu anki satınalma işleminiz için kullanamazsınız. <br>Kuponun geçerli olması için alışveriş tutarı en az {minimum_amount} olmalıdır.");
	define("COUPON_PROD_PRICE_MSG", "Bu kuponu bu ürün için kullanamazsınız. <br>Kuponun geçerli olması için ürün bedeli en az {minimum_amount} olmalıdır.");
	define("COUPON_REMOVE_MSG", "Kuponu Çıkar");
	define("COUPON_CODE_FIELD", "Kupon");
	define("COUPON_UPCOMING_MSG", "Bu kupon henüz kullanılabilir değil.");
	define("COUPON_CANT_BE_USED_MSG", "Bu kupon sizin tarafınızdan kullanılamaz.");
	define("COUPON_CAN_BE_USED_ONCE_MSG", "Bu kupon kayıtlı kullanıcılar tarafından sadece bir defa kullanılabilir.");
	define("COUPON_SAME_USE_LIMIT_MSG", "Bu kupon kayıtlı kullanıcılar tarafından sadece {use_limit} defa kullanılabilir.");
	define("COUPON_ADDED_MSG", "Kupon sepete başarıyla eklendi.");
	define("COUPON_MIN_QTY_ERROR", "Üzgünüz, bu kupon mevcut alışverişiniz için kullanılamaz. <br>Bu kupon için minimum miktar: {min_quantity}.");
	define("COUPON_MAX_QTY_ERROR", "Üzgünüz, bu kupon mevcut alışverişiniz için kullanılamaz. <br>Bu kupon için maksimum miktar: {max_quantity}.");
	define("COUPON_CANT_BE_APPLIED_ERROR", "Sorry, but this coupon cannot be applied for your current purchase.");
	define("MIN_CART_COST_ERROR", "Minimum cart amount for this coupon is {cart_amount}");
	define("MAX_CART_COST_ERROR", "Maximum cart amount for this coupon is {cart_amount}");
	define("FRIEND_AFFILIATE_FORM_MSG", "Friend / Affiliate Form");
	define("FRIEND_AFFILIATE_FORM_DESC", "Please enter in the field below your friend's nickname or affiliate code and press '{APPLY_BUTTON}'.");
	define("NO_USERS_MSG", "Kullanıcı bulunamadı");
	define("FRIEND_FOUND_MSG", "We've found your friend.");
	define("AFFILIATE_FOUND_MSG", "Your affiliate code was accepted.");

	define("CC_NAME_FIELD", "Kart Sahibinin Adı");
	define("CC_NAME_DESC", "Kart üzerindeki gibi");
	define("CC_FIRST_NAME_FIELD", "Adı");
	define("CC_LAST_NAME_FIELD", "Soyadı");
	define("CC_NUMBER_FIELD", "Kart No");
	define("CC_NUMBER_ERROR_MSG", "Kredi kartı numaranızla ilgili bir problem var, lütfen kontrol edip tekrar deneyiniz.");
	define("CC_NUMBER_ALLOWED_MSG", "Üzgünüz, bu kredi kartı numarası bu ödeme için kullanılamaz.");
	define("CC_START_DATE_FIELD", "Başlangıç Tarihi");
	define("CC_EXPIRY_DATE_FIELD", "Son Kullanma Tarihi");
	define("CC_TYPE_FIELD", "Kart Tipi");
	define("CC_ISSUE_NUMBER_FIELD", "Dağıtım Numarası");
	define("CC_ISSUE_NUMBER_DESC", "Yalnızca Switch & Solo kartlar için.");
	define("CC_SECURITY_CODE_FIELD", "Güvenlik Kodu");
	define("CC_SECURITY_CODE_HELP_MSG", "Yardım?");
	define("CC_SECURITY_CODE_TITLE", "Güvenlik Kodu?");
	define("CC_SECURITY_CODE_1_DESC", "Güvenlik kodu, kartınızın arka yüzündeki son üç  rakamdır. Bu numara kart sahibinden başkasının bilmesini engellemek için kart üzerine kabartma olarak basılmaz. Bazı kart yayımcıları bu numarayı 'Kart Güvenlik Kodu', bazıları 'Kişisel Güvenlik Kodu', bazıları ise 'Kart Doğrulama Değeri' olarak kabul eder.");
	define("CC_SECURITY_CODE_2_DESC", "Bir çok kart tipinde güvenlik kodu kartınızın arka yüzünde bulunan numaranın son üç rakamından oluşur. CVV (Card Verification Value)olarak da adlandırılır.");
	define("PAY_WITHOUT_CC_MSG", "Kredi kartı ile ödemek istemiyorsanız burayı işaretleyiniz.");
	define("PAY_WITHOUT_CC_FIELD", "Diğer Ödeme Bilgileri");
	define("PAY_WITHOUT_CC_DESC", "Sipariş ödemesini nasıl yapmak istediğinizi belirtiniz.");

	define("ORDER_NUMBER_COLUMN", "No");
	define("ORDER_ADDED_COLUMN", "Sipariş Verildi");
	define("ORDER_TOTAL_COLUMN", "Toplam");
	define("ORDER_NUMBER_MSG", "Sipariş No");
	define("PARENT_ORDER_NUMBER_MSG", "Ana Sipariş No");
	define("ORDER_DATE_MSG", "Sipariş Tarihi");
	define("ORDER_TOTAL_MSG", "Toplam");
	define("INVOICE_MSG", "Fatura");
	define("INVOICE_NUMBER_MSG", "Fatura Numarası");
	define("INVOICE_DATE_MSG", "Fatura Tarihi");
	define("INVOICE_TO_MSG", "Fatura");
	define("ORIGINAL_COPY_MSG", "Original Copy");
	define("COPY_NUMBER_MSG", "Copy #{copy_number}");
	define("CREDIT_NOTE_MSG", "Credit Note");
	define("CREDIT_NUMBER_MSG", "Credit number");
	define("CREDIT_DATE_MSG", "Credit Date");
	define("CREDIT_TO_MSG", "Credit to");
	define("DELIVERY_TO_MSG", "Teslimat");
	define("PAYMENT_GATEWAY_MSG", "Ödeme Tipi");
	define("SELECT_PAYMENT_MSG", "Lütfen tercih ettiğiniz ödeme tipini belirtiniz.");
	define("GOTO_PAYMENT_MSG", "{payment_system} ödeme bölgesine yönlendiriliyorsunuz. Yönlendirme gerçekleşmezse '{button_name}' butona tıklayınız.");
	define("MY_ORDERS_MSG", "Siparişlerim");
	define("MY_ORDERS_DESC", "Verdiğiniz siparişleri detaylarıyla buradan izleyebilirsiniz.");
	define("MY_SALES_ORDERS_MSG", "Siparişlerim");
	define("MY_SALES_ORDERS_DESC", "Siparişlerinizi izlemek için onaylayın");
	define("PURCHASED_ORDERS_MSG", "Alınan Siparişlerim");
	define("NO_ORDERS_MSG", "Sipariş bulunamadı");
	define("NO_ORDERS_MATCH_MSG", "Verilmiş kriterlere uygun sipariş bulunamadı");
	define("VIEW_ORDER_DETAILS_MSG", "Detayları Gör");
	define("ORDER_DETAILS_MSG", "Sipariş Detayları");
	define("PAYMENT_DETAILS_MSG", "Ödeme Detayları");
	define("CHECKOUT_SUCCESS_TITLE", "Siparişiniz başarıyla alındı!");
	define("CHECKOUT_SUCCESS_MSG", "Siparişiniz için teşekkür ederiz. Sipariş takip numaranız {order_id}!");
	define("CHECKOUT_PENDING_TITLE", "Siparişiniz bekliyor..");
	define("CHECKOUT_PENDING_MSG", "işleminiz tamamlanmış olup siparişiniz onay için beklemektedir.");
	define("CHECKOUT_ERROR_TITLE", "Sipariş Hatası");
	define("CHECKOUT_ERROR_MSG", "Sipariş sırasında bir hata oluştu. Özür dileriz.");
	define("ORDER_CODE_ERROR", "Onay parametresi yanlış bir değer içeriyor.");
	define("ORDER_PLACED_ERROR", "<b>Sipariş</b> zaten alınmış.");
	define("ORDER_EXISTS_ERROR", "Böyle bir <b>Sipariş</b> mevcut değil.");
	define("ORDER_NOTES_MSG", "Sipariş Notları");
	define("ORDER_NOTE_MSG", "Sipariş Notu");
	define("CANCEL_ORDER_MSG", "Siparişi İptal et");
	define("CANCEL_ORDER_CONFIRM_MSG", "Siparişi iptal etmek istediğinizden emin misiniz?");
	define("GROSS_SALES_MSG", "Brüt Satış");
	define("FEES_MSG", "Ücretler");
	define("NET_SALES_MSG", "Net Satış");
	define("ITEMS_NUMBER_COLUMN", "Ürün adeti");
	define("AVERAGE_PRICE_COLUMN", "Ortalama Fiyat");
	define("PAID_STATUS_MSG", "Ödenme Durumu");
	define("PAID_MSG", "Ödendi");
	define("NOT_PAID_MSG", "Ödenmedi");
	define("PAY_FOR_YOUR_ORDER_MSG", "Siparişiniz için ödeme");
	define("REORDER_MSG", "Reorder");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "sipariş başına asgari ürün fiyatı");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "sipariş başına azami ürün fiyatı");
	define("ORDER_MIN_WEIGHT_FIELD", "asgari sipariş ağırlığı");
	define("ORDER_MAX_WEIGHT_FIELD", "azami sipariş ağırlığı");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "Bir sipariş başına  toplam ürün fiyatı {min_cost} den az olamaz.");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "bir sipariş başına  toplam ürün fiyatı {max_cost} yi aşamaz.");
	define("ORDER_MIN_WEIGHT_ERROR", "Bir sipariş başına toplam ürün ağırlığı {min_weight} dan az olamaz.");
	define("ORDER_MAX_WEIGHT_ERROR", "Bir sipariş başına toplam ürün ağırlığı {max_weight} ı aşamaz.");
	define("PURCHASED_PRODUCT_ERROR", "Sorry, you have already purchased the '{product_name}' product and you are not allowed to repurchase it.");
	define("PURCHASED_PRODUCT_DAYS_ERROR", "Sorry, you have already purchased the '{product_name}' product and you are not allowed to repurchase it within {days_number} days.");
	define("PREVENT_REPURCHASE_MSG", "Tekrar satın almayı engelle");
	define("PREVENT_PRODUCT_REPURCHASE_MSG", "Müşterilerin belirli bir dönem içerinde aynı ürünü tekrar almalarını engelleyin");
	define("REPURCHASE_PERIOD_MSG", "Yeniden satınalabilme dönemi");
	define("REPURCHASE_PERIOD_DESC", "Müşterilerin tamamen yeniden satınalma işlemini engellemek için bu alanı boş bırakınız");
	define("MANUFACTURER_CODE_MSG", "Üretici kodu");
	define("SHOW_MANUFACTURER_CODE_MSG", "Üretici Kodunu Göster");
	define("APPROPRIATE_CODE_ERROR_MSG", "tahsisat siparişi bulunamadı");
	define("APPROPRIATE_LIBRARY_ERROR_MSG", "tahsisat php kütüphanesi bulunamadı");
	define("LINKS_SENT_MSG", "Links sent");
	define("LINKS_FOR_ORDER_MSG", "Links For Your Order #");
	define("SERIAL_NUMBERS_FOR_ORDER_MSG", "Siparişiniz için seri numaraları #");
	define("SERIAL_NUMBERS_SENT_MSG", "Seri Numaraları Gönderildi");
	define("NO_SERIAL_NUMBERS_MSG", "mevcut seri numarası bulunmamaktadır");
	define("ADD_GIFT_VOUCHER_MSG", "Hediye Kuponu ekle");
	define("GIFT_VOUCHERS_MSG", "Hediye Kuponları");
	define("EDIT_GIFT_VOUCHER_MSG", "Hediye Kuponunu Düzelt");
	define("GIFT_VOUCHERS_FOR_ORDERS_MSG", "Siparişiniz İçin Hediye Kuponları #");
	define("GIFT_VOUCHERS_SENT_MSG", "Gift Vouchers sent");
	define("CREDIT_AMOUNT_MSG", "Kredi Tutarı");
	define("SUBSTRACT_CREDIT_AMOUNT_MSG", "Subtract credit amount from user balance");
	define("ADD_CREDIT_AMOUNT_MSG", "Add credit amount to user balance");
	define("CREDIT_ACTION_MSG", "Credit Action");
	define("PACKING_SLIP_NO_MSG", "Packing Slip No: ");
	define("REGISTER_PRODUCT_MSG", "Register Product");
	define("MY_PRODUCT_REGISTRATIONS_MSG", "My Registered Products");
	define("MY_PRODUCT_REGISTRATIONS_DESC", " ");
	define("REGISTER_MORE_PRODUCTS_MSG", "Register more products");
	define("REGISTRATION_NUMBER_MSG", "Registration Number");
	define("NO_PRODUCT_REGISTRATIONS_MSG", "No Product Registrations");
	define("REGISTRATION_PROD_CODE_COLUMN", "Kod");
	define("REGISTRATION_TOTAL_COLUMN", "Toplam");
	define("REGISTRATION_PROD_TITLE_COLUMN", "Title");
	define("PRODUCT_REGISTRATION_MSG", "Registration");
	define("PRODUCT_REGISTRATION_SETTINGS_MSG", "Product Registration Settings");
	define("VIEW_REGISTERED_PRODUCTS_MSG", "View Registered Products");
	define("EDIT_REGISTERED_PRODUCTS_MSG", "Edit Registered Products");
	define("EDIT_REGISTRATION_CATEGORIES_MSG", "Edit Registration Categories");
	define("EDIT_REGISTRATION_PRODUCTS_MSG", "Edit Registration Products");
	define("OPTIONS_TRADE_PRICE_MSG", "Options Trade Price");
	define("DEFAULT_LARGE_IMAGE_DESC", "eğer ürünün büyük resmi yoksa görünür");
	define("DEFAULT_LARGE_IMAGE_MSG", "Varsayılan Büyük Resim");
	define("LATEST_ADDED_PRODUCTS_REGISTRATIONS_MSG", "Enson Eklenen Kayıtlar");
	define("LATEST_MODIFIED_PRODUCTS_REGISTRATIONS_MSG", "En son Değiştirilen Kayıtlar");
	define("LATEST_ADDED_REGISTRATION_PRODUCTS_MSG", "Latest Added Registration Products");
	define("LATEST_MODIFIED_REGISTRATION_PRODUCTS_MSG", "Latest Modified Registration Products");
	define("REGISTRATION_PRODUCTS_MSG", "Registration Products");
	define("NO_REGISTRATION_PRODUCTS_MSG", "No Registration Products");
	define("BY_REGISTRATION_NUMBER_MSG", "By Registration Number");
	define("BY_PRODUCT_ID_MSG", "By Product ID");
	define("SEARCH_REGISTRATIONS_MSG", "Search Registrations");
	define("SELECT_REGISTRATIONS_NOTE", "Select Registrations");
	define("REMOVE_SELECTED_REGISTRATIONS_QST", "Seçili kayıtları sil");
	define("EDIT_REGISTRATION_CATEGORY_MSG", "Edit Registration Category");
	define("EDIT_PRODUCT_REGISTRATION_MSG", "Edit Registration");
	define("IM_DONE_REGISTERING_MSG", "Im done registering");
	define("PRODUCT_REGISTRATION_PLACED_EMAIL_MSG", "Girilen E-posta");
	define("PRODUCT_REGISTRATION_APPROVED_EMAIL_MSG", "Approved Email");
	define("PRODUCT_REGISTRATION_DECLINED_EMAIL_MSG", "Declined Email");
	define("STORE_NAME_FORM_MSG", "purchased from (Store name)");
	define("PREDEFINED_ORDER_EMAIL_MSG", "Öntanımlı E-Posta");
	define("DATE_OF_PURCHASE_MSG", "Satış Tarihi");
	define("STORE_NAME_MSG", "Store Name");
	define("NO_PRODUCTS_IN_CATEGORY_MSG", "Seçili kategoride ürün mevcut değil. Lütfen başka bir kategori seçiniz.");
	define("REGISTRATION_ID_MSG", "Kayıt ID'si");
	define("DAY_OF_PURCHASE_MSG", "Satış Tarihi");
	define("MONTH_OF_PURCHASE_MSG", "Satışın gerçekleştiği ay");
	define("YEAR_OF_PURCHASE_MSG", "Satış Yılı");
	define("MERCHANT_STATUS_NOTIFY_MSG", "Send notification to Merchant(s) if status applied");
	define("MERCHANT_EMAIL_IF_EMPTY_MSG", "Merchant email used if is empty");
	define("MERCHANT_PRODUCTS_MSG", "Merchant products");
	define("ADMIN_STATUS_NOTIFY_MSG", "Send notification to Administrator(s) if status applied");
	define("SUPPLIER_NOTIFY_MSG", "Supplier notification");
	define("SUPPLIER_STATUS_NOTIFY_MSG", "Send notification to Supplier(s) if status applied");
	define("SUPPLIER_EMAIL_IF_EMPTY_MSG", "Supplier email used if is empty");
	define("SUPPLIER_PRODUCTS_MSG", "Supplier products");
	define("AFFILIATE_STATUS_NOTIFY_MSG", "Send notification to affiliate if status applied");
	define("AFFILIATE_EMAIL_IF_EMPTY_MSG", "Affiliate email used if is empty");
	define("AFFILIATE_PRODUCTS_MSG", "Affiliate products");

	define("RECURRING_PRICE_MSG", "Recurring Price");
	define("RECURRING_PRICE_DESC", "this amount will be added to all recurring payments");
	define("CART_PRODUCTS_MSG", "Cart Products");
	define("CART_RESTRICTIONS_MSG", "Cart Restrictions");
	define("CART_QUANTITY_MSG", "Sepet Miktarı");
	define("SUBCOMPONENT_ADDED_ONCE_MSG", "Subcomponent added only once with specified quantity");
	define("SUBCOMPONENT_QTY_MULTIPLY_MSG", "Multiply subcomponent quantity by parent product quantity");
	define("CUSTOMERS_LIST_BOUGHT_ITEM_TITLE", "Bu ürünü alan diğer müşteriler");

	define("VIEW_MERCHANT_PRODUCTS_MSG", "View Merchant's Products");
	define("SHIPPING_CALCULATOR_MSG", "Shipping Calculator");
	define("NO_SHIPPING_METHODS_MSG", "No shipping methods were found");
	define("NO_SHIPPING_MSG", "No Shipping");
	define("CUSTOM_SHIPPING_MSG", "Custom Shipping");
	define("NEW_SHIPPING_MSG", "New Shipping");
	define("REMOVE_PRODUCT_SHIPPING_MSG", "Would you like to remove {item_name} from this shipping?");

	define("ADD_MORE_COLUMNS_QST", "Add more columns?");
	define("DEFAULT_TABLE_VIEW_MSG", "Default Table View");
	define("OVERRIDE_TABLE_VIEW_MSG", "Override Table View");
	define("TABLE_VIEW_TYPE_MSG", "Table View Type");

	define("PARAMETER_WRONG_VALUE_MSG", "{param_name} parametresi yanlış değer içeriyor.");
	define("CANNOT_OBTAIN_PARAMETER_MSG", "{param_name} parametresi sağlanamadı.");
	define("TRANSACTION_DECLINED_MSG", "Your transaction has been declined.");
	define("UNEXPECTED_GATEWAY_RESPONSE_MSG", "Unexpected response format from gateway.");
	define("EMPTY_GATEWAY_RESPONSE_MSG", "Gateway boş yanıt gönderdi. Lütfen ayarlarınızı kontrol ediniz.");
	define("CURL_INIT_ERROR_MSG", "Can't initialize cURL.");
	define("PROCESSING_TRANSACTION_ERROR_MSG", "There has occurred an error while processing the transaction.");
	define("UPS_PARAMETER_REQUIRED_MSG", "UPS modül hatası: {param_name} gerekli.");

	define("STATUS_NEW_ORDER_MSG", "New Order");
	define("STATUS_PAYMENT_DATA_MSG", "Payment Data");
	define("STATUS_CONFIRMED_MSG", "Confirmed");
	define("STATUS_PAID_MSG", "Paid");
	define("STATUS_SHIPPED_MSG", "Shipped");
	define("STATUS_PENDING_MSG", "Pending");
	define("STATUS_CLOSED_MSG", "Closed");
	define("STATUS_DECLINED_MSG", "Declined");
	define("STATUS_VALIDATED_MSG", "Validated");
	define("STATUS_FAILED_MSG", "Failed");
	define("STATUS_DISPATCHED_MSG", "Dispatched");
	define("STATUS_CANCELLED_MSG", "Cancelled");
	define("STATUS_REFUNDED_MSG", "Refunded");
	define("STATUS_CAPTURED_MSG", "Captured");
	define("STATUS_VOIDED_MSG", "Voided");
	define("STATUS_AUTHORIZED_MSG", "Authorized");
	define("STATUS_INVOICE_SENT_MSG", "Invoice Sent");

?>